package com.gx.obe.server.common.enumeration;

import java.io.Serializable;

import com.gx.obe.server.common.utils.StringUtils;


/** 
  * @Description:   公用的枚举类型      		
  * @author guoyr
  */ 
public class CommonEnum implements Serializable{
	
	/**
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * 是否
	 */
	public static final String YES = "01";
	public static final String NO = "00";
    
	/**
	 * 是否叶子结点  0:非叶子结点;1:叶子结点
	 */
	public static final String LEAF  = "1";
	public static final String NO_LEAF  = "0";
	
	/**
	 * 保存状态 未保存：00,保存:01,提交:02
	 */
    public static final String SAVE_TEMP  = "00";
    public static final String SAVE_SAVE  = "01";
    public static final String SAVE_SUBMIT  = "02";
    public static final String SAVE_OPERATOR_INPUT  = "03";
    
	/**
	 * 使用状态（00：临时； 01：正式；02：删除；03：停止使用;05：归档项目）
	 */
    public static final String TEMP_STATUS  = "00";
    public static final String REAL_STATUS  = "01";
    public static final String DELETE_STATUS = "02";
    public static final String UNABLE_STATUS = "03";
    public static final String ARCHIVE_STATUS = "05";

    public static final String getUseStatusCN(String str) {
    	String useStatusCN = "临时";
    	if(null == str || "".equals(str) || str.equals(TEMP_STATUS)){
    		useStatusCN ="临时";
    	}else if(str.equals(REAL_STATUS)){
    		useStatusCN ="正式";
    	}else if(str.equals(DELETE_STATUS)){
    		useStatusCN ="已删除";
    	}else if(str.equals(UNABLE_STATUS)){
    		useStatusCN ="已停用";
    	}else if(str.equals(ARCHIVE_STATUS)){
    		useStatusCN ="已归档";
    	}
		return useStatusCN ;
    }
    
    /**
     * 默认状态（00：非默认状态；01：默认状态）
     */
    public static final String IS_DEFAULT = "01";
    public static final String NOT_DEFAULT = "00";
    public static final String getDefaultStatusCN(String str) {
    	String defaultStatusCN = "非默认状态";
    	if(null == str || "".equals(str) || str.equals(NOT_DEFAULT)){
    		defaultStatusCN = "非默认状态";
    	}else if(str.equals(IS_DEFAULT)){
    		defaultStatusCN = "默认状态";
    	}
		return defaultStatusCN ;
    }
    
    /**
     * 进度状态[00：未开始；01：进行中；02：完成；03：回退；04：停止；11：专家审核；12：经理审核]
     */
    public static final String NOT_START="00";
    public static final String IN_PROGRESS="01";
    public static final String COMPLETE="02";
    public static final String RE_OPERATOR="03";
    public static final String STOP="04";
    public static final String IN_EXPERT_REVIEW="11";
    public static final String IN_MANAGER_REVIEW="12";
    
    public static final String FAILE="04";
    public static final String START="05";
    public static final String STOPPED="06";
    
    public static final String getStatusCN(String str){
    	String type = "未开始";
    	if(StringUtils.isNotEmpty(str)){
    		if(str.equals(COMPLETE)){
    			type = "完成";
    		}else if(str.equals(IN_PROGRESS)){
    			type = "进行中";
    		}else if(str.equals(RE_OPERATOR)){
    			type = "重新操作";
    		}else if(str.equals(FAILE)){
    			type = "失败";
    		}
    	}
    	return type;
    }
    
    /**
     * @Description: 比较两个进度
	 * @author guoyr
	 * @author guoyr
	 * @author guoyr
	 * @author guoyr
     * @param sourceStatus
     * @param targetStatus
     * @return
     */
    public static int complateStatus(String sourceStatus, String targetStatus){
    	if(StringUtils.isNotEmpty(sourceStatus) && StringUtils.isNotEmpty(targetStatus)){
    		return sourceStatus.compareTo(targetStatus);
    	}else if(StringUtils.isNotEmpty(sourceStatus) && StringUtils.isEmpty(targetStatus)){
    		return 1;
    	}else if(StringUtils.isEmpty(sourceStatus) && StringUtils.isNotEmpty(targetStatus)){
    		return -1;
		} else {
			return 0;
		}
    }
    
    /**
     * 金额单位[00：元；01：万元]
     */
    public static final String YUAN="00";
    public static final String WAN_YUAN="01";
    public static final String PRICE_PERENT="02";
    
    public static final String getPriceUintCN(String str){
    	String type = "元";
    	if(StringUtils.isNotEmpty(str)){
    		if(str.equals(WAN_YUAN)){
    			type = "万元";
    		}else if(str.equals(PRICE_PERENT)){
    			type = "%";
    		}
    	}
    	return type;
    }
    
    
    /**
     * 直播组件类型
     */
    public static final String LIVING_COM_GXCX = "00";//国信创新直播组件
    public static final String LIVING_COM_FLX = "01";//飞利信直播组件
    public static final String LIVING_COM_OTHER = "02";//其他直播
    public static final String LIVING_COM_RTMP = "04";//百度推流RTMP推流
    public static final String LIVING_COM_HTTP = "05";//百度推流HTTP推流
    public static final String LIVING_COM = "06";//百度推流
}
