package com.gx.obe.server.common.utils;

import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

import net.sf.json.JSONObject;
 
 

/**
 * @Description: 获取当前时间
 * @author guoyr
 */
public class NowTimeUtils {	
	
    private static long NOW_TIME = 0l;
    private static Calendar GET_DATETIME_START_CALLENDAR;// 记录获取当前时间的时间点
    private static final String weak[] = {"日", "一", "二", "三", "四", "五", "六"};
    private static final String weakEn[] = {"Sun", "Mon", "Tues", "Wed", "Thur", "Fri", "Sat"};
    private static final String weakEnDay[] = {"Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"};
    private static final org.slf4j.Logger LOG = org.slf4j.LoggerFactory.getLogger(BigDecimalUtils.class);
    public static String NOW_DATE_SOURCE = "本机时间";
    private static boolean setTime = false;
	/**
	 * @Description: 获取数据库或时间服务器中的当前时间 
	 * @author guoyr
	 * @return
	 */
	private static long getNowTime() {
		// 如果还未设置当前时间
		if(!setTime){
			return new Date().getTime() ;
		}
		return NOW_TIME + (Calendar.getInstance().getTimeInMillis()-GET_DATETIME_START_CALLENDAR.getTimeInMillis());
	}
	
	
	
	/**
	 * @Description: 获得当前时间
	 * @author guoyr
	 * @return
	 */
	public static Date getNowDate(){
		// 如果还未设置当前时间
		if(!setTime){
			return new Date();
		}
		Calendar calendar = Calendar.getInstance();
		calendar.setTimeInMillis(getNowTime());
		return calendar.getTime();
	}

	
//	private static Runnable nowTimeRunnable = new Runnable(){
//		public void run() {
//			Date nowDate = null;
//			// 获取数据库服务器的当前时间
//			nowDate = getDBNowTime();
//			if(null != nowDate){
// 				NOW_DATE_SOURCE = "数据库服务器时间";
//			}
//			
//			// 如果需要从时间戳服务器时间获取时间
//			if("".equals("01")){
//				Thread getNowDateFormDateServerThread = new Thread(new Runnable(){
//					public void run(){
//						for(int i = 1; i < 4; i++){
//							Date nowDate = getJsonNowDateFormDateServer();
//							// 如果未能从时间服务器获取到当前时间，最多尝试获取3次
//							if(null != nowDate){
//								NOW_DATE_SOURCE = "时间戳服务器时间";
// 								break;
//							}
//							LOG.debug("从时间服务器获取到当前时间失败！");
//							// 每1分钟获取一次服务器时间
//							try {
//								Thread.sleep(1000*60*1);
//							} catch (InterruptedException e) {
//							}
//						}
//					}
//				});
//				getNowDateFormDateServerThread.start();
//			}
//		}
//	} ;
//	
//	/**
//	 * @Description: 设置当前时间
//	 * @author guoyr
//	 * @return
//	 */
//	public static Thread run(){
//		Thread thread = new Thread(nowTimeRunnable);
//		thread.start();
//		return thread;
//	}
//		
	
	
	
//	/**
//	 * @Description: 获得当前星期
//	 * @author guoyr
//	 * @return
//	 */
//	public static String getWeak(){
//		Calendar calendar = Calendar.getInstance();
//		calendar.setTime(getNowDate());
//		int dayOfWeak = calendar.get(Calendar.DAY_OF_WEEK)-1;
//		return weak[dayOfWeak];
//	}
//	/**
//	 * @Description: 获得当前星期
//	 * @author guoyr
//	 * @return
//	 */
//	public static String getWeakDay(){
//		Calendar calendar = Calendar.getInstance();
//		calendar.setTime(getNowDate());
//		int dayOfWeak = calendar.get(Calendar.DAY_OF_WEEK)-1;
//		return "星期"+weak[dayOfWeak];
//	}
//	
//	public static String getWeakEn(){
//		Calendar calendar = Calendar.getInstance();
//		calendar.setTime(getNowDate());
//		int dayOfWeak = calendar.get(Calendar.DAY_OF_WEEK)-1;
//		return weakEn[dayOfWeak];
//	}
//	public static String getWeakEngDay(){
//		Calendar calendar = Calendar.getInstance();
//		calendar.setTime(getNowDate());
//		int dayOfWeak = calendar.get(Calendar.DAY_OF_WEEK)-1;
//		return weakEnDay[dayOfWeak];
//	}
//	
//	/**
//	 * @Description: 获得当前日期
//	 * @author guoyr
//	 * @return
//	 */
//	public static String getDate(){
//		return new SimpleDateFormat("yyyy-MM-dd").format(getNowDate());
//	}
//	
//	/**
//	 * @Description: 获得当前时间
//	 * @author guoyr
//	 * @return
//	 */
//	public static String getTime(){
//		return new SimpleDateFormat("HH:mm:ss").format(getNowDate());
//	}
//	
//	/**
//	 * @Description: 获得当前日期和时间
//	 * @author guoyr
//	 * @return
//	 */
//	public static String getDateTime(){
//		return new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(getNowDate());
//	}
//	
//	/**
//	 * @Description: 获取数据库服务器的当前时间
//	 * @author guoyr
//	 * @return
//	 */
//	private static Date getDBNowTime(){
//		Date nowDate = null;
//		Connection conn = DateSourceUtils.getConnection();;
//		if(null != conn){
//			try{
//				QueryRunner qr = new QueryRunner();
//				Map<String, Object> nowDateMap = qr.query(conn, "SELECT NOW() NOW_TIME", new MapHandler());
//				if(null != nowDateMap){
//					nowDate = (Date)nowDateMap.get("NOW_TIME");
//				}
//				LOG.debug("获取数据库服务器时间！");
//			} catch (SQLException e) {
//				LOG.error("获取数据库服务器时间出错！", e);
//			}finally{
//				DateSourceUtils.close(conn);
//			}
//		}
//		return nowDate;
//	}
//	
	
	

}
