package com.gx.obe.server.config;


import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import com.baomidou.mybatisplus.extension.plugins.PaginationInterceptor;
import com.baomidou.mybatisplus.extension.plugins.PerformanceInterceptor;

/**  
 * @Title:  MybatisPlusConfig.java   
 * @Package com.gx.obe.server.config   
 * @Description:    MybatisPlus 配置  
 * @author: XiaoMaPro     
 * @date:   2019年4月22日 下午6:34:27   
 * @version V1.0 
 * @Copyright: 2018 - 2019 www.myspro.com Inc. All rights reserved. 
 *  
 */
@Configuration
public class MybatisPlusConfig {

    public PerformanceInterceptor performanceInterceptor() {
        PerformanceInterceptor performanceInterceptor = new PerformanceInterceptor();
        /** SQL 执行性能分析，开发环境使用，线上不推荐。 maxTime 指的是 sql 最大执行时长*/
        //performanceInterceptor.setMaxTime(1000);     
        /**SQL是否格式化 默认false*/
        performanceInterceptor.setFormat(true);
        return performanceInterceptor;
    }

     /**   
     * @Title: paginationInterceptor   
     * @Description: 分页插件
     * @param: @return      
     * @return: PaginationInterceptor      
     * @throws   
     */  
    @Bean
    public PaginationInterceptor paginationInterceptor() {
        return new PaginationInterceptor();
    }
}
