package com.gx.obe.server.management.boq.controller;

import com.gx.obe.server.common.base.BaseController;
import com.gx.obe.server.management.boq.entity.ObeExtraTable;
import com.gx.obe.server.management.boq.service.ObeExtraTableService;
import io.swagger.annotations.Api;
import lombok.AllArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
@Api(tags = "其他项目")
@RestController
@AllArgsConstructor
@RequestMapping("/obeExtraTable")
public class ObeExtraTableController extends BaseController<ObeExtraTableService, ObeExtraTable> {
    @Autowired
    public ObeExtraTableService ObeExtraTableServices;

    /**
     * @param ObeExtraTableList
     * @Description: 批量插入
     * @author mazc
     */
    @PostMapping("/insertByBatch")
    public int insertByBatch(@RequestBody List<ObeExtraTable> ObeExtraTableList) {
        return ObeExtraTableServices.insertByBatch(ObeExtraTableList);
    }

    /**
     * @param ObeExtraTableList
     * @Description: 批量更新
     * @author mazc
     */
    @PostMapping("/updateByBatch")
    public int updateByBatch(@RequestBody List<ObeExtraTable> ObeExtraTableList) {
        return ObeExtraTableServices.updateByBatch(ObeExtraTableList);
    }

    /**
     * @param tenderId
     * @param supplierId
     * @return
     * @Description: 获得供应商全部其他项目清单
     * @author mazc
     */
    @GetMapping("/getAllExtraTableQDList")
    public List<ObeExtraTable> getAllExtraTableQDList(String tenderId, String supplierId) {
        return ObeExtraTableServices.getAllExtraTableQDList(tenderId, supplierId);
    }

    /**
     * @param tenderId
     * @param projectCode
     * @return
     * @Description: : 获得招标项目的其他项目的清单列表
     * @author mazc
     */
    @GetMapping("/getTenderProjectExtraTableQdList")
    public List<ObeExtraTable> getTenderProjectExtraTableQdList(String tenderId, String projectCode) {
        return ObeExtraTableServices.getTenderProjectExtraTableQdList(tenderId, projectCode);
    }

    /**
     * @param projectId
     * @return List<ExtraTable>
     * @Description: 根据项目Id， 获得其他项目信息。
     * @author guoyr
     */
    @GetMapping("/getExtraTableListByProjectId")
    public List<ObeExtraTable> getExtraTableListByProjectId(String projectId) {
        return ObeExtraTableServices.getExtraTableListByProjectId(projectId);
    }

}