package com.gx.obe.server.management.boq.controller;

import com.gx.obe.server.common.base.BaseController;
import com.gx.obe.server.management.boq.entity.ObeProvisionalSums;
import com.gx.obe.server.management.boq.service.ObeProvisionalSumsService;
import io.swagger.annotations.Api;
import lombok.AllArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;
/** 
 * @Description: 
 * @author mazc 
 */
@Api(tags = "暂列金额")
@RestController
@AllArgsConstructor
@RequestMapping("/obeProvisionalSums")
public class ObeProvisionalSumsController extends BaseController<ObeProvisionalSumsService,ObeProvisionalSums>{
	@Autowired
	public ObeProvisionalSumsService ObeProvisionalSumsServices;
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeProvisionalSumsList 
	 */
	@PostMapping("/insertByBatch")
	public int insertByBatch(@RequestBody List<ObeProvisionalSums> ObeProvisionalSumsList) {
		return ObeProvisionalSumsServices.insertByBatch(ObeProvisionalSumsList);
	}
	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeProvisionalSumsList 
	 */
	@PostMapping("/updateByBatch")
	public int updateByBatch(@RequestBody List<ObeProvisionalSums> ObeProvisionalSumsList) {
		return ObeProvisionalSumsServices.updateByBatch(ObeProvisionalSumsList);
	}

	/**
	 * @Description:  根据工程Id，获得暂列金额
	 * @author guoyr
	 * @param projectId
	 * @return List<ProvisionalSums>
	 */
	@GetMapping("/getProvisionalSumsListByProjectId")
	public List<ObeProvisionalSums> getProvisionalSumsListByProjectId(String projectId){
		return ObeProvisionalSumsServices.getProvisionalSumsListByProjectId(projectId);
	}

}