package com.gx.obe.server.management.boq.controller;

import com.gx.obe.server.common.base.BaseController;
import com.gx.obe.server.management.boq.entity.ObeServiceCosts;
import com.gx.obe.server.management.boq.service.ObeServiceCostsService;
import io.swagger.annotations.Api;
import lombok.AllArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
@Api(tags = "总承包服务费")
@RestController
@AllArgsConstructor
@RequestMapping("/obeServiceCosts")
public class ObeServiceCostsController extends BaseController<ObeServiceCostsService, ObeServiceCosts> {
    @Autowired
    public ObeServiceCostsService ObeServiceCostsServices;

    /**
     * @param ObeServiceCostsList
     * @Description: 批量插入
     * @author mazc
     */
    @PostMapping("/insertByBatch")
    public int insertByBatch(@RequestBody List<ObeServiceCosts> ObeServiceCostsList) {
        return ObeServiceCostsServices.insertByBatch(ObeServiceCostsList);
    }

    /**
     * @param ObeServiceCostsList
     * @Description: 批量更新
     * @author mazc
     */
    @PostMapping("/updateByBatch")
    public int updateByBatch(@RequestBody List<ObeServiceCosts> ObeServiceCostsList) {
        return ObeServiceCostsServices.updateByBatch(ObeServiceCostsList);
    }

    /**
     * @param projectId
     * @return ServiceCosts
     * @Description: 根据项目Id，获得总承包服务费。
     * @author guoyr
     */
    @GetMapping("/getServiceCostsListByProjectId")
    public List<ObeServiceCosts> getServiceCostsListByProjectId(String projectId) {
        return ObeServiceCostsServices.getServiceCostsListByProjectId(projectId);
    }

}