package com.gx.obe.server.management.boq.dao;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Mapper;
import com.gx.obe.server.management.boq.entity.ObeServiceCosts;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
@Mapper
public interface ObeServiceCostsMapper extends BaseMapper<ObeServiceCosts> {

    /**
     * @param ObeServiceCostsList
     * @Description: 批量更新
     * @author mazc
     */
    Integer updateBatchList(@Param("ObeServiceCostsList") List<ObeServiceCosts> ObeServiceCostsList);

    /**
     * @param ObeServiceCostsList
     * @Description: 批量插入
     * @author mazc
     */
    Integer insertByBatch(@Param("ObeServiceCostsList") List<ObeServiceCosts> ObeServiceCostsList);

    /**
     * @param ObeServiceCosts
     * @param attributes
     * @Description: 指定字段修改
     * @author chenxw
     */
    Integer updateAssignProperty(@Param("ObeServiceCosts") ObeServiceCosts ObeServiceCosts, @Param("attributes") String[] attributes);

    /**
     * @param ObeServiceCostsList
     * @param attributes
     * @Description: 批量指定字段修改
     * @author chenxw
     */
    Integer batchUpdateProperty(@Param("ObeServiceCostsList") List<ObeServiceCosts> ObeServiceCostsList, @Param("attributes") String[] attributes);

    /**
     * @param tenderId
     * @return
     * @Description 根据项目ID删除数据
     */
    Integer deleteByTenderId(@Param("tenderId") String tenderId);

    /**
     * @param projectId
     * @return ServiceCosts
     * @Description: 根据项目Id，获得总承包服务费。
     * @author guoyr
     */
    List<ObeServiceCosts> getServiceCostsListByProjectId(@Param("projectId") String projectId);


}