package com.gx.obe.server.management.boq.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author mazc
 * @Description:
 */
@Data
@TableName("obe_appraisal_price")
public class ObeAppraisalPrice extends Model<ObeAppraisalPrice> {

    private static final long serialVersionUID = 1L;

    /**
     * 暂估价主键，唯一标识。
     */
    @TableId("APPRAISAL_PRICE_ID")
    private String id;
    /**
     * 暂估价父ID
     */
    @TableField("PARENT_ID")
    private String parentId;
    /**
     * 序号
     */
    @TableField("ORD_CODE")
    private String ordCode;
    /**
     * 编码
     */
    @TableField("APPRAISAL_CODE")
    private String appraisalCode;
    /**
     * 名称
     */
    @TableField("APPRAISAL_NAME")
    private String appraisalName;
    /**
     * 单位
     */
    @TableField("UNIT")
    private String unit;
    /**
     * 单价
     */
    @TableField("PRICE")
    private BigDecimal price;
    /**
     * 工程内容
     */
    @TableField("GCNR")
    private String gcnr;
    /**
     * 金额(元)
     */
    @TableField("TOTAL")
    private BigDecimal total;
    /**
     * 类型(00：暂估价 pid=’’时；01：材料暂估价；02：专业工程暂估价)
     */
    @TableField("KIND")
    private String kind;
    /**
     * 备注
     */
    @TableField("REMARK")
    private String remark;
    /**
     * 工程项目外键Id
     */
    @TableField("PROJECT_ID")
    private String projectId;
    /**
     * 序号
     */
    @TableField("SORT_NO")
    private Integer sortNo;
    /**
     * 招标项目外键Id
     */
    @TableField("TENDER_ID")
    private String tenderId;
    /**
     * 供应商Id
     */
    @TableField("SUPPLIER_ID")
    private String supplierId;
    /**
     * 序号
     */
    @TableField("NUMBER")
    private String number;

    public static final String APPRAISAL_PRICE_ID = "APPRAISAL_PRICE_ID";

    public static final String PARENT_ID = "PARENT_ID";

    public static final String ORD_CODE = "ORD_CODE";

    public static final String APPRAISAL_CODE = "APPRAISAL_CODE";

    public static final String APPRAISAL_NAME = "APPRAISAL_NAME";

    public static final String UNIT = "UNIT";

    public static final String PRICE = "PRICE";

    public static final String GCNR = "GCNR";

    public static final String TOTAL = "TOTAL";

    public static final String KIND = "KIND";

    public static final String REMARK = "REMARK";

    public static final String PROJECT_ID = "PROJECT_ID";

    public static final String SORT_NO = "SORT_NO";

    public static final String TENDER_ID = "TENDER_ID";

    public static final String SUPPLIER_ID = "SUPPLIER_ID";

    public static final String NUMBER = "NUMBER";

}