package com.gx.obe.server.management.boq.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author mazc
 * @Description:
 */
@Data
@TableName("obe_rates_table")
public class ObeRatesTable extends Model<ObeRatesTable> {

    private static final long serialVersionUID = 1L;

    /**
     * 规费税金主键，唯一标识。
     */
    @TableId("RATES_ID")
    private String id;
    /**
     * 招标项目ID
     */
    @TableField("TENDER_ID")
    private String tenderId;
    /**
     * 工程项目外键Id
     */
    @TableField("PROJECT_ID")
    private String projectId;
    /**
     * 供应商Id
     */
    @TableField("SUPPLIER_ID")
    private String supplierId;
    /**
     * 代号
     */
    @TableField("RATE_CODE")
    private String rateCode;
    /**
     * 00:规费;01安全文明施工费
     */
    @TableField("RATE_TYPE")
    private String rateType;
    /**
     * 名称
     */
    @TableField("NAME")
    private String name;
    /**
     * 取费描述
     */
    @TableField("BASE_PRICE")
    private BigDecimal basePrice;
    /**
     * 费率（%）
     */
    @TableField("RATE")
    private BigDecimal rate;
    /**
     * 备注
     */
    @TableField("REMARK")
    private String remark;
    /**
     * 序号
     */
    @TableField("SORT_NO")
    private Integer sortNo;

    public static final String RATES_ID = "RATES_ID";

    public static final String TENDER_ID = "TENDER_ID";

    public static final String PROJECT_ID = "PROJECT_ID";

    public static final String SUPPLIER_ID = "SUPPLIER_ID";

    public static final String RATE_CODE = "RATE_CODE";

    public static final String RATE_TYPE = "RATE_TYPE";

    public static final String NAME = "NAME";

    public static final String BASE_PRICE = "BASE_PRICE";

    public static final String RATE = "RATE";

    public static final String REMARK = "REMARK";

    public static final String SORT_NO = "SORT_NO";

}