package com.gx.obe.server.management.boq.service;

import com.baomidou.mybatisplus.extension.service.IService;
import java.util.List;
import com.gx.obe.server.management.boq.entity.ObeAppraisalPrice;
 
/** 
 * @Description: 
 * @author mazc 
 */
public interface ObeAppraisalPriceService extends IService<ObeAppraisalPrice> {

 	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeAppraisalPriceList 
	 */
 	Integer updateByBatch(List<ObeAppraisalPrice> ObeAppraisalPriceList);
	
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeAppraisalPriceList 
	 */
	Integer insertByBatch(List<ObeAppraisalPrice> ObeAppraisalPriceList);
	
	/**
     * @Description: 指定字段修改
     * @author chenxw
     * @param ObeAppraisalPrice
	 * @param attributes
     */
    boolean updateAssignProperty(ObeAppraisalPrice ObeAppraisalPrice, String[] attributes);
    
    /**
     * @Description: 批量指定字段修改
     * @author chenxw
     * @param ObeAppraisalPriceList
	 * @param attributes
     */
    Integer batchUpdateProperty(List<ObeAppraisalPrice> ObeAppraisalPriceList, String[] attributes);
	
	/** 
	 * @Description: 批量添加或跟新
	 * @author chenxw
	 * @param ObeAppraisalPriceList
	 * @param attributes
	 * @return 
	 */
    Integer batchSaveOrUpdate(List<ObeAppraisalPrice> ObeAppraisalPriceList, String[] attributes);

	/**
	 * @Description:  根据工程Id，获得暂估价
	 * @author guoyr
	 * @param projectId
	 * @return AppraisalPrice
	 */
	List<ObeAppraisalPrice> getAppraisalPriceListByProjectId(String projectId);

}



