package com.gx.obe.server.management.config.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gx.obe.server.management.config.entity.SysConfig;
import com.gx.obe.server.management.config.entity.SysConfigValue;
 
/** 
 * @Description: 
 * @author mazc 
 */
public interface SysConfigService extends IService<SysConfig> {

 	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param SysConfigList 
	 */
 	public int updateByBatch(List<SysConfig> SysConfigList);
	
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param SysConfigList 
	 */
	public int insertByBatch(List<SysConfig> SysConfigList);
	
	/**
     * @Description: 指定字段修改
     * @author mazc
     * @param SysConfig
	 * @param attributes
     */
    public boolean updateAssignProperty(SysConfig SysConfig, String[] attributes);
    
    /**
     * @Description: 批量指定字段修改
     * @author mazc
     * @param SysConfigList
	 * @param attributes
     */
    public int batchUpdateProperty(List<SysConfig> SysConfigList, String[] attributes);

	/**
	 * @Description: 验证字典名称唯一性
	 * @author mazc
	 * @param id
	 * @param configName
	 * @return boolean true：是唯一；false:不是唯一
	 */
	public boolean isUniqueConfigName(String id, String configName);
	
	/**
	 * @Description: 验证字典编码唯一性
	 * @author mazc
	 * @param id
	 * @param configCode
	 * @return
	 */
	public boolean isUniqueConfigCode(String id, String configCode);
	
	/**
	 * @Description: 根据编码，获得数据字典对象。
	 * @author mazc
	 * @param configCode
	 * @return
	 */
	public SysConfig getConfigByCode(String configCode);
	
	
	/**
	 * @Description: 根据字典编码，获得有效字典值集合。
	 * @author mazc
	 * @param configCode 字典编码
	 * @return List<SysConfigValue>
	 */
	public List<SysConfigValue> getConfigValueList(String configCode);
}



