package com.gx.obe.server.management.config.service;

import java.util.Date;
import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gx.obe.server.management.config.entity.SysConfigValue;

/**
 * @Description:
 * @author mazc
 */
public interface SysConfigValueService extends IService<SysConfigValue> {

	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param SysConfigValueList
	 */
	public int updateByBatch(List<SysConfigValue> SysConfigValueList);

	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param SysConfigValueList
	 */
	public int insertByBatch(List<SysConfigValue> SysConfigValueList);

	/**
	 * @Description: 指定字段修改
	 * @author mazc
	 * @param SysConfigValue
	 * @param attributes
	 */
	public boolean updateAssignProperty(SysConfigValue SysConfigValue, String[] attributes);

	/**
	 * @Description: 批量指定字段修改
	 * @author mazc
	 * @param SysConfigValueList
	 * @param attributes
	 */
	public int batchUpdateProperty(List<SysConfigValue> SysConfigValueList, String[] attributes);

	public int batchSaveOrUpdate(List<SysConfigValue> SysConfigValueList, String[] attributes);

	/**
	 * @Description:根据配置编码，获得有效配置值集合。
	 * @author mazc
	 * @param configCode
	 * @return
	 */
	List<SysConfigValue> getConfigValueListByConfigCode(String configCode);

	/**
	 * @Description: 验证配置值编码唯一性
	 * @author mazc
	 * @param id
	 * @param configCode
	 * @return
	 */
	boolean isUniqueConfigValueCode(String configId, String id, String configValueCode);

	/**
	 * @Description: 获得数据配置值的最大序号
	 * @author mazc
	 * @return
	 */
	int getMaxConfigValueSortNo(String configId);

	/**
	 * @Description: 获得系统配置的最晚修改时间
	 * @author mazc
	 * @return
	 */
	Date getLatestModifyTime(String configCode);
	
	/**
	 * @Description: 交换数据配置值的排序
	 * @author mazc
	 * @param sourceSortNo
	 * @param sourceid
	 * @param targetSortNo
	 * @param targetId
	 * @return
	 */
	boolean changeConfigValueSortNo(Integer sourceSortNo, String sourceid, Integer targetSortNo, String targetId);

	List<SysConfigValue> getConfigValueListByConfigId(String configId, String useStatus);
}
