package com.gx.obe.server.management.dictionary.controller;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.gx.obe.server.common.base.BaseController;
import com.gx.obe.server.common.utils.IDUtils;
import com.gx.obe.server.common.utils.StringUtils;
import com.gx.obe.server.management.dictionary.entity.BidOpeningRoom;
import com.gx.obe.server.management.dictionary.service.BidOpeningRoomService;

import io.swagger.annotations.Api;
import lombok.AllArgsConstructor;

 /**  
 * 
 * @author 
 * @Title: BidOpeningRoomController  
 * @Package com.gx.obe.server.management.dictionary.controller   
 * @Description:   
 * @author: XiaoMa Pro - myzhichao@163.com
 * @date:   2019-05-13   
 * @version V1.0 
 * @Copyright: 2019 www.msypro.com Inc. All rights reserved. 
 *  
 */
@Api(tags = "开标室管理")
@RestController
@AllArgsConstructor
@RequestMapping("/bidOpeningRoom")
public class BidOpeningRoomController  extends BaseController<BidOpeningRoomService,BidOpeningRoom>{
	
	@Autowired
	private BidOpeningRoomService bidOpeningRoomService;
	
	@GetMapping("/openingRoomList")
	public List<BidOpeningRoom> getBidOpeningRoomList(String useStatus){
		return bidOpeningRoomService.getBidOpeningRoomList(useStatus);
	}
	
	/**
	 * @Description: 获取全部开标室
	 * @author mazc
	 * @return 
	 */
	@GetMapping("/openingRoomAll")
	public List<BidOpeningRoom> getbidOpeningRoomAll(){
		return bidOpeningRoomService.list();
	}
	
	@PostMapping("/updateById")
	public boolean updateById(@RequestBody BidOpeningRoom bidOpeningRoom) {
		return bidOpeningRoomService.updateById(bidOpeningRoom);
	}
	
	
	/**
	 * @Description: 添加或按照id更新非空字段
	 * @author mazc
	 * @param awardCertificate
	 * @return 
	 */
	@PostMapping("/saveOrUpdate")
	public boolean saveOrUpdate(@RequestBody BidOpeningRoom bidOpeningRoom){
		if(StringUtils.isEmpty(bidOpeningRoom.getId())) {
			bidOpeningRoom.setId(IDUtils.getId());
			return bidOpeningRoomService.save(bidOpeningRoom);
		}else {
			return bidOpeningRoomService.updateById(bidOpeningRoom);
		}
	}
	
	/**
	 * @Description: 通过id或者name查询
	 * @author mazc
	 * @param id
	 * @param name
	 * @return 
	 */
	@GetMapping("/findIdOrName")
	public List<Object> findIdOrName(String id ,String name){
		QueryWrapper<BidOpeningRoom> queryWrapper = new QueryWrapper<BidOpeningRoom>();
		queryWrapper.select(BidOpeningRoom.BID_OPENING_ROOM_ID);
		if(StringUtils.isNotEmpty(id)) {
			queryWrapper.lambda().ne(BidOpeningRoom::getId, id);
		}
		queryWrapper.lambda().eq(BidOpeningRoom::getBidOpeningRoomName, name);
		
		return bidOpeningRoomService.listObjs(queryWrapper);
	}
	
}