package com.gx.obe.server.management.dictionary.controller;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.gx.obe.server.common.base.BaseController;
import com.gx.obe.server.management.dictionary.entity.DecEnvelope;
import com.gx.obe.server.management.dictionary.service.DecEnvelopeService;

import lombok.AllArgsConstructor;
/** 
 * @Description: 解密信封
 * @author mazc 
 */
@RestController
@AllArgsConstructor
@RequestMapping("/decEnvelope")
public class DecEnvelopeController extends BaseController<DecEnvelopeService,DecEnvelope>{
	@Autowired
	public DecEnvelopeService decEnvelopeServices;
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param obeDecEnvelopeList 
	 */
	@PostMapping("/insertByBatch")
	public int insertByBatch(@RequestBody List<DecEnvelope> obeDecEnvelopeList) {
		return decEnvelopeServices.insertByBatch(obeDecEnvelopeList);
	}
	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param obeDecEnvelopeList 
	 */
	@PostMapping("/updateByBatch")
	public int updateByBatch(@RequestBody List<DecEnvelope> obeDecEnvelopeList) {
		return decEnvelopeServices.updateByBatch(obeDecEnvelopeList);
	}

	/**
	 * @Description: 获得解密信封
	 * @author mazc
	 * @param tenderId
	 * @param supplierId
	 * @return 
	 */
	@GetMapping("/getDecEnvelope")
	public DecEnvelope getDecEnvelope(String tenderId, String supplierId){
		return decEnvelopeServices.getDecEnvelope(tenderId, supplierId);
	}
	
	/**
	 * @Description: 上传解密信封
	 * @author mazc
	 * @param decEnvelope
	 * @return 
	 */
	@PostMapping("/uploadDecEnvelope")
	public boolean uploadDecEnvelope(@RequestBody DecEnvelope decEnvelope){
		return decEnvelopeServices.uploadDecEnvelope(decEnvelope);
	}
	
	/**
	 * @Description: 是否已经存在解密信封
	 * @author mazc
	 * @param tenderId
	 * @param supplierId
	 * @return 
	 */
	@GetMapping("/hasDecEnvelope")
	public boolean hasDecEnvelope(String tenderId, String supplierId){
		return decEnvelopeServices.hasDecEnvelope(tenderId, supplierId);
	}
	
	
}