package com.gx.obe.server.management.dictionary.controller;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.gx.obe.server.common.base.BaseController;
import com.gx.obe.server.management.dictionary.entity.EncEnvelope;
import com.gx.obe.server.management.dictionary.service.EncEnvelopeService;

import lombok.AllArgsConstructor;
/** 
 * @Description: 
 * @author mazc 
 */
@RestController
@AllArgsConstructor
@RequestMapping("/encEnvelope")
public class EncEnvelopeController extends BaseController<EncEnvelopeService,EncEnvelope>{
	@Autowired
	public EncEnvelopeService encEnvelopeServices;
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param obeEncEnvelopeList 
	 */
	@PostMapping("/insertByBatch")
	public int insertByBatch(@RequestBody List<EncEnvelope> obeEncEnvelopeList) {
		return encEnvelopeServices.insertByBatch(obeEncEnvelopeList);
	}
	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param obeEncEnvelopeList 
	 */
	@PostMapping("/updateByBatch")
	public int updateByBatch(@RequestBody List<EncEnvelope> obeEncEnvelopeList) {
		return encEnvelopeServices.updateByBatch(obeEncEnvelopeList);
	}

	
	/**
	 * @Description:  上传投标信封
	 * @author mazc
	 * @param encEnverlope
	 * @return 
	 */
	@PostMapping("/uploadEncEnvelope")
	public boolean uploadEncEnvelope(@RequestBody EncEnvelope encEnverlope){
		return encEnvelopeServices.uploadEncEnvelope(encEnverlope);
	}
	
	/**
	 * @Description: 删除项目的投标信封信息
	 * @author mazc
	 * @param tenderId 
	 */
	@GetMapping("/deleteTenderEnvelop")
	public boolean deleteTenderEnvelop(String tenderId){
		return encEnvelopeServices.deleteTenderEnvelop(tenderId);
	}
	
	/**
	 * @Description: 删除供应商的投标信封信息
	 * @author mazc
	 * @param tenderId
	 * @param supplierId 
	 */
	@GetMapping("/deleteSupplierEnvelop")
	public boolean deleteSupplierEnvelop(String tenderId, String supplierId){
		return encEnvelopeServices.deleteSupplierEnvelop(tenderId, supplierId);		
	}
	
	/**
	 * @Description: 获得投标信封
	 * @author wangxiang
	 * @param string
	 * @param supplierId
	 * @return 
	 */
	@GetMapping("/getEnEnvalopeByTenderIdSupplierId")
	public EncEnvelope getEnEnvalopeByTenderIdSupplierId(String tenderId, String supplierId) {
		QueryWrapper<EncEnvelope>  wrapper = new QueryWrapper<EncEnvelope>();
		wrapper.lambda().eq(EncEnvelope::getTenderId, tenderId)
						.eq(EncEnvelope::getSupplierId, supplierId);
		return encEnvelopeServices.getOne(wrapper);
	}
	
	
	/**
	 * @Description: 
	 * @author mazc
	 * @param tenderId
	 * @param supplierId
	 * @return 
	 */
	@GetMapping("/deleteByTenderIdAndSupplierId")
	public boolean deleteByTenderIdAndSupplierId(String tenderId, String supplierId){
		return encEnvelopeServices.deleteByTenderIdAndSupplierId(tenderId, supplierId);
	}
	
}