package com.gx.obe.server.management.dictionary.controller;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.gx.obe.server.common.base.BaseController;
import com.gx.obe.server.management.dictionary.entity.Struct;
import com.gx.obe.server.management.dictionary.service.StructService;

import lombok.AllArgsConstructor;
/** 
 * @Description: 
 * @author mazc 
 */
@RestController
@AllArgsConstructor
@RequestMapping("/struct")
public class StructController extends BaseController<StructService,Struct>{
	@Autowired
	public StructService structServices;
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param obeStructList 
	 */
	@PostMapping("/insertByBatch")
	public int insertByBatch(@RequestBody List<Struct> obeStructList) {
		return structServices.insertByBatch(obeStructList);
	}
	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param obeStructList 
	 */
	@PostMapping("/updateByBatch")
	public int updateByBatch(@RequestBody List<Struct> obeStructList) {
		return structServices.updateByBatch(obeStructList);
	}
	
	@GetMapping("/getStructBySupplierIdAndFactorIdList")
	public List<Struct> getStructBySupplierIdAndFactorIdList(String tenderId, String supplierId, String factorId) {
		return structServices.getStructBySupplierIdAndFactorIdList(tenderId, supplierId, factorId);
	}
	
	@PostMapping("/updateAssignProperty")
	public boolean updateAssignProperty(@RequestBody Struct struct) {
		return structServices.updateAssignProperty(struct);
		
	}
	
}