package com.gx.obe.server.management.dictionary.controller;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.gx.obe.server.common.base.BaseController;
import com.gx.obe.server.management.dictionary.dao.SupplierBidBondMapper;
import com.gx.obe.server.management.dictionary.entity.SupplierBidBond;
import com.gx.obe.server.management.dictionary.service.SupplierBidBondService;

import io.swagger.annotations.Api;
import lombok.AllArgsConstructor;
/** 
 * @Description: 
 * @author wangxiang
 */
@Api(tags = "")
@RestController
@AllArgsConstructor
@RequestMapping("/supplierBidBond")
public class SupplierBidBondController extends BaseController<SupplierBidBondService,SupplierBidBond>{
	@Autowired
	public SupplierBidBondService supplierBidBondnService;
	public SupplierBidBondMapper supplierBidBondnMapper;
	
	/**
	 * @Description: 
	 * @author wangxiang
	 * @param tenderId
	 * @return 
	 */
	@GetMapping("/getSupplierBidBondByTenderId")
	public List<SupplierBidBond> getSupplierBidBondByTenderId(String tenderId){
		QueryWrapper<SupplierBidBond>  wrapper = new QueryWrapper<SupplierBidBond>();
		wrapper.lambda().eq(SupplierBidBond::getTenderId, tenderId).orderByDesc(SupplierBidBond::getSupplierId);
		return supplierBidBondnMapper.selectList(wrapper);
	}
	
	/**
	 * @Description: 批量保存
	 * @author wangxiang
	 * @param supplierBidBondList
	 * @return 
	 */
	@PostMapping("/batchSaveSupplierBidBond")
	public boolean batchSaveSupplierBidBond(@RequestBody List<SupplierBidBond> supplierBidBondList) {
		int size = 0;
		if(null != supplierBidBondList && supplierBidBondList.size() > 0) {
			for(SupplierBidBond supplierBidBond : supplierBidBondList ) {
				int count =  supplierBidBondnMapper.insert(supplierBidBond);
				size = size + count;
			}
			return size == supplierBidBondList.size();
		}else {
			return true;
		}
    }
	
	
}