package com.gx.obe.server.management.dictionary.controller;
import com.gx.obe.server.common.base.BaseController;
import com.gx.obe.server.management.dictionary.entity.TemplateLibrary;
import com.gx.obe.server.management.dictionary.service.TemplateLibraryService;
import io.swagger.annotations.Api;
import lombok.AllArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;
/** 
 * @Description: 
 * @author mazc 
 */
@Api(tags = "")
@RestController
@AllArgsConstructor
@RequestMapping("/templateLibrary")
public class TemplateLibraryController extends BaseController<TemplateLibraryService,TemplateLibrary>{
	@Autowired
	public TemplateLibraryService templateLibraryServices;
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param obeTemplateLibraryList 
	 */
	@PostMapping("/insertByBatch")
	public int insertByBatch(@RequestBody List<TemplateLibrary> obeTemplateLibraryList) {
		return templateLibraryServices.insertByBatch(obeTemplateLibraryList);
	}
	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param obeTemplateLibraryList 
	 */
	@PostMapping("/updateByBatch")
	public int updateByBatch(@RequestBody List<TemplateLibrary> obeTemplateLibraryList) {
		
		return templateLibraryServices.updateByBatch(obeTemplateLibraryList);
	}

	@GetMapping("/getTemplateLibraryAll")
	public List<TemplateLibrary> getTemplateLibraryAll(){
		return templateLibraryServices.getTemplateLibraryAll();
	}
	
	@PostMapping("/saveOrUpdateNoEmptyReturn")
	public TemplateLibrary saveOrUpdateNoEmptyReturn(@RequestBody TemplateLibrary templateLibrary){
		return templateLibraryServices.saveOrUpdateNoEmptyReturn(templateLibrary);
	}
	
}