package com.gx.obe.server.management.dictionary.dao;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.gx.obe.server.management.dictionary.entity.AwardCertificate;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;
/** 
 * @Description: 
 * @author mazc 
 */
 @Mapper
public interface AwardCertificateMapper extends BaseMapper<AwardCertificate> {

	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param AwardCertificateList 
	 */
	Integer updateBatchList (@Param("AwardCertificateList")List<AwardCertificate> AwardCertificateList);
	
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param AwardCertificateList 
	 */
	Integer insertByBatch (@Param("AwardCertificateList")List<AwardCertificate> AwardCertificateList);

	 /**
	 * @Description: 获得当前奖项类型下全部供应商
	 * @author mazc
	 * @param awardName
	 * @return 
	 */
	List<AwardCertificate> getAwardCertificateList(@Param("awardName")String awardName);
	
	
	/**
	 * @Description: 判断厂商是否已经存在
	 * @author mazc
	 * @param orgName
	 * @param awardName
	 * @param isOrAwardOwner
	 * @return 
	 */
	Integer hasSupplier(@Param("orgName")String orgName, @Param("awardName")String awardName, @Param("isOrAwardOwner")boolean isOrAwardOwner);
	
}