package com.gx.obe.server.management.dictionary.dao;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Mapper;
import com.gx.obe.server.management.dictionary.entity.BaseDictionary;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;
/** 
 * @Description: 
 * @author mazc 
 */
 @Mapper
public interface BaseDictionaryMapper extends BaseMapper<BaseDictionary> {

	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param BaseDictionaryList 
	 */
	Integer updateBatchList (@Param("BaseDictionaryList") List<BaseDictionary> BaseDictionaryList);
	
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param BaseDictionaryList 
	 */
	Integer insertByBatch (@Param("BaseDictionaryList")List<BaseDictionary> BaseDictionaryList);
	
	
	/**
	 * @Description: 验证字典名称唯一性
	 * @author mazc
	 * @param id
	 * @param dictName
	 * @return 
	 */
	Integer isUniqueDictName(@Param("id")String id, @Param("dictName")String dictName);
	
	/**
	 * @Description: 
	 * @author mazc
	 * @param id
	 * @param dictCode
	 * @return 
	 */
	Integer isUniqueDictCode(@Param("id")String id, @Param("dictCode")String dictCode);
	
	BaseDictionary getDictionaryByCode(@Param("dictCode")String dictCode);

}