package com.gx.obe.server.management.dictionary.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.gx.obe.server.management.user.entity.AuthUserEntity;

/**
 * @Description:
 * @author mazc
 */

@TableName("obe_supervise")
public class Supervise extends Model<Supervise> {
	private static final long serialVersionUID = 1L;

	/**
	 * 监督人id
	 */
	@TableId("SUPERVISE_ID")
	private String id;
	/**
	 * 用户id
	 */
	@TableField("USER_ID")
	private String userId;
	/**
	 * 项目id
	 */
	@TableField("TENDER_ID")
	private String tenderId;
	/**
	 * 监标意见
	 */
	@TableField("OPINION")
	private String opinion;

	@TableField(exist = false)
	private AuthUserEntity user;
	

	public AuthUserEntity getUser() {
		return user;
	}

	public void setUser(AuthUserEntity user) {
		this.user = user;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public String getTenderId() {
		return tenderId;
	}

	public void setTenderId(String tenderId) {
		this.tenderId = tenderId;
	}

	public String getOpinion() {
		return opinion;
	}

	public void setOpinion(String opinion) {
		this.opinion = opinion;
	}

	public static final String SUPERVISE_ID = "SUPERVISE_ID";

	public static final String USER_ID = "USER_ID";

	public static final String TENDER_ID = "TENDER_ID";

	public static final String OPINION = "OPINION";

	@Override
	protected Serializable pkVal() {
		return this.id;
	}

	@Override
	public String toString() {
		return "Supervise [id=" + id + ", userId=" + userId + ", tenderId=" + tenderId + ", opinion=" + opinion
				+ ", user=" + user + "]";
	}
}
