package com.gx.obe.server.management.dictionary.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

/**
 * @Description:
 * @author mazc
 */

@TableName("obe_template_file")
public class TemplateFile extends Model<TemplateFile> {
	private static final long serialVersionUID = 1L;

	/**
	 * 模板主键
	 */
	@TableId("TEMPLATE_ID")
	private String id;
	/**
	 * 模板名称
	 */
	@TableField("TEMPLATE_NAME")
	private String templateName;
	/**
	 * 模板备注
	 */
	@TableField("TEMPLATE_MEMO")
	private String templateMemo;
	/**
	 * 导出名称
	 */
	@TableField("TEMPLATE_OUT_NAME")
	private String templateOutName;
	/**
	 * 模板文件后缀
	 */
	@TableField("TEMPLATE_SUFFIX")
	private String templateSuffix;
	/**
	 * 模板字节
	 */
	@TableField("TEMPLATE_BYTE")
	private byte[] templateByte;
	/**
	 * 实例模板字节
	 */
	@TableField("MODEL_TEMPLATE_BYTE")
	private byte[] modelTemplateByte;
	/**
	 * 模板图片字节
	 */
	@TableField("PITURE_BYTE")
	private byte[] pitureByte;
	/**
	 * 模板组外键
	 */
	@TableField("TEMPLATE_LIBRARY_ID")
	private String templateLibraryId;
	/**
	 * 创建日期
	 */
	@TableField("CREATETIME")
	private LocalDateTime createtime;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getTemplateName() {
		return templateName;
	}

	public void setTemplateName(String templateName) {
		this.templateName = templateName;
	}

	public String getTemplateMemo() {
		return templateMemo;
	}

	public void setTemplateMemo(String templateMemo) {
		this.templateMemo = templateMemo;
	}

	public String getTemplateOutName() {
		return templateOutName;
	}

	public void setTemplateOutName(String templateOutName) {
		this.templateOutName = templateOutName;
	}

	public String getTemplateSuffix() {
		return templateSuffix;
	}

	public void setTemplateSuffix(String templateSuffix) {
		this.templateSuffix = templateSuffix;
	}

	public byte[] getTemplateByte() {
		return templateByte;
	}

	public void setTemplateByte(byte[] templateByte) {
		this.templateByte = templateByte;
	}

	public byte[] getModelTemplateByte() {
		return modelTemplateByte;
	}

	public void setModelTemplateByte(byte[] modelTemplateByte) {
		this.modelTemplateByte = modelTemplateByte;
	}

	public byte[] getPitureByte() {
		return pitureByte;
	}

	public void setPitureByte(byte[] pitureByte) {
		this.pitureByte = pitureByte;
	}

	public String getTemplateLibraryId() {
		return templateLibraryId;
	}

	public void setTemplateLibraryId(String templateLibraryId) {
		this.templateLibraryId = templateLibraryId;
	}

	public LocalDateTime getCreatetime() {
		return createtime;
	}

	public void setCreatetime(LocalDateTime createtime) {
		this.createtime = createtime;
	}

	public static final String TEMPLATE_ID = "TEMPLATE_ID";

	public static final String TEMPLATE_NAME = "TEMPLATE_NAME";

	public static final String TEMPLATE_MEMO = "TEMPLATE_MEMO";

	public static final String TEMPLATE_OUT_NAME = "TEMPLATE_OUT_NAME";

	public static final String TEMPLATE_SUFFIX = "TEMPLATE_SUFFIX";

	public static final String TEMPLATE_BYTE = "TEMPLATE_BYTE";

	public static final String MODEL_TEMPLATE_BYTE = "MODEL_TEMPLATE_BYTE";

	public static final String PITURE_BYTE = "PITURE_BYTE";

	public static final String TEMPLATE_LIBRARY_ID = "TEMPLATE_LIBRARY_ID";

	public static final String CREATETIME = "CREATETIME";

	@Override
	protected Serializable pkVal() {
		return this.id;
	}

	@Override
	public String toString() {
		return "TemplateFile{" + ", id=" + id + ", templateName=" + templateName + ", templateMemo=" + templateMemo
				+ ", templateOutName=" + templateOutName + ", templateSuffix=" + templateSuffix + ", templateByte="
				+ templateByte + ", modelTemplateByte=" + modelTemplateByte + ", pitureByte=" + pitureByte
				+ ", templateLibraryId=" + templateLibraryId + ", createtime=" + createtime + "}";
	}
}
