package com.gx.obe.server.management.dictionary.service;

import com.baomidou.mybatisplus.extension.service.IService;
import java.util.List;
import com.gx.obe.server.management.dictionary.entity.DecEnvelope;
 
/** 
 * @Description: 
 * @author mazc 
 */
public interface DecEnvelopeService extends IService<DecEnvelope> {
 	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeDecEnvelopeList 
	 */
 	Integer updateByBatch (List<DecEnvelope> ObeDecEnvelopeList);
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeDecEnvelopeList 
	 */
	Integer insertByBatch (List<DecEnvelope> ObeDecEnvelopeList);
	
	/**
	 * @Description:  获得解密信封
	 * @author mazc
	 * @param tenderId
	 * @param supplierId
	 * @return 
	 */
	DecEnvelope getDecEnvelope(String tenderId, String supplierId);
	
	
	 /**
	 * @Description: 获得解密信封
	 * @author mazc
	 * @param decEnvelope
	 * @return 
	 */
	boolean uploadDecEnvelope(DecEnvelope decEnvelope);
	
	/**
	 * @Description: 是否已经存在解密信封
	 * @author mazc
	 * @param tenderId
	 * @param supplierId
	 * @return 
	 */
	boolean hasDecEnvelope(String tenderId, String supplierId);
}



