package com.gx.obe.server.management.dictionary.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gx.obe.server.management.dictionary.entity.TemplateFile;

import java.util.List;
 
/** 
 * @Description: 
 * @author mazc 
 */
public interface TemplateFileService extends IService<TemplateFile> {
 	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeTemplateFileList 
	 */
 	Integer updateByBatch (List<TemplateFile> ObeTemplateFileList);
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeTemplateFileList 
	 */
	Integer insertByBatch (List<TemplateFile> ObeTemplateFileList);
	
	/**
	 * @Description: 根据模板库 组，查询当前组下的模板信息
	 * @author mazc
	 * @param groupId
	 * @return
	 */
	 List<TemplateFile> getTemplateLibraryFileListByGroupID(String groupId);
	
	/**
	 * @Description: 根据模板库组id，文件名称，查询模板信息
	 * @author mazc
	 * @param groupId
	 * @param templateLibraryFileName
	 * @return
	 */
	  List<TemplateFile> getTemplateLibraryFileByFileName(String groupId, String templateFileName);
	
	/**
	 * @Description: 根据模板库组id，删除当前组 下的所有模板
	 * @author mazc	
	 * @param groupId
	 * @return
	 */
	 int delTemplateLibraryFileByGroupId(String groupId);
	
	/**
	 * @Description: 根据模板id删除模板
	 * @author mazc
	 * @param id
	 * @return
	 */
	 int deleteTemplateLibraryFileByObjId(String id);
	
	 TemplateFile saveOrUpdateNoEmptyReturn(TemplateFile templateFile);
}



