package com.gx.obe.server.management.dictionary.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gx.obe.server.management.dictionary.entity.WorkMember;
 
/** 
 * @Description: 
 * @author mazc 
 */
public interface WorkMemberService extends IService<WorkMember> {
 	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param WorkMemberList 
	 */
 	Integer updateByBatch (List<WorkMember> WorkMemberList);
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param WorkMemberList 
	 */
	Integer insertByBatch (List<WorkMember> WorkMemberList);
	
	/**
	 * @Description: 
	 * @author mazc
	 * @param supplier
	 * @return 
	 */
	boolean updateAssignProperty(WorkMember workMember);
	/**
	 * @Description: 返回指定类型的工作人员
	 * @author mazc
	 * @param tenderId
	 * @param workerType
	 * @return 
	 */
	List<WorkMember> getWorkerList(boolean isParentProject,String tenderId, String workerType);
	
	
	/**
	 * @Description: 返回指定项目的工作人员
	 * @author mazc
	 * @param tenderId
	 * @param userId
	 * @return 
	 */
	WorkMember getWorker(String tenderId, String userId);
	
	
	/**
	 * @Description: 删除工作人员
	 * @author mazc
	 * @param tenderId
	 * @param userId
	 * @param wokerType
	 * @return 
	 */
	boolean deleteWorker(String tenderId, String userId,String wokerType);
	
	
	/**
	 * @Description: 删除所有工作人员
	 * @author mazc
	 * @param tenderId
	 * @param wokerType
	 * @return 
	 */
	boolean delAllWorkers(String tenderId,String wokerType,String monitorType);
	
	
	/**
	 * @Description: 保存或更新
	 * @author mazc
	 * @param workMemberList
	 * @return 
	 */
	int batchSaveOrUpdate(List<WorkMember> workMemberList);
	
	
	 /**
	 * @Description: 
	 * @author mazc
	 * @param userId
	 * @param tenderId
	 * @param memberType
	 * @return 
	 */
	WorkMember getWorkerByUserIdAndTenderIdOrMemberType(String userId,String tenderId,String memberType);
	
}



