package com.gx.obe.server.management.editprice.service.impl;

import java.util.ArrayList;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gx.obe.server.common.entity.ReflecUtils;
import com.gx.obe.server.common.utils.CollectionUtils;
import com.gx.obe.server.common.utils.IDUtils;
import com.gx.obe.server.management.editprice.dao.EditPriceItemResultMapper;
import com.gx.obe.server.management.editprice.entity.EditPriceItemResult;
import com.gx.obe.server.management.editprice.service.EditPriceItemResultService;

/** 
 * @Description: 
 * @author mazc 
 */
@Service
@Transactional
public class EditPriceItemResultServiceImpl extends ServiceImpl<EditPriceItemResultMapper, EditPriceItemResult> implements EditPriceItemResultService {

	@Autowired
	private EditPriceItemResultMapper editPriceItemResultMapper;
	
	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeEditPriceItemResultList 
	 */
	 @Override
	 @Transactional(rollbackFor = Exception.class)
    public Integer updateByBatch(List<EditPriceItemResult> ObeEditPriceItemResultList) {
        if (CollectionUtils.isNull(ObeEditPriceItemResultList)) {
            return 0;
        }
        return editPriceItemResultMapper.updateBatchList(ObeEditPriceItemResultList);
    }
	
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeEditPriceItemResultList 
	 */
	 @Override
	 @Transactional(rollbackFor = Exception.class)
    public Integer insertByBatch(List<EditPriceItemResult> ObeEditPriceItemResultList) {
        if (CollectionUtils.isNull(ObeEditPriceItemResultList)) {
            return 0;
        }
        return editPriceItemResultMapper.insertByBatch(ObeEditPriceItemResultList);
    }

	/** 
	 * @Description: 批量更新指定字段
	 * @author mazc
	 * @param editPriceItemResultList
	 * @param attributes
	 * @return 
	 */
	@Override
	@Transactional(rollbackFor = Exception.class)
	public Integer batchSaveOrUpdate(List<EditPriceItemResult> editPriceItemResultList, String[] attributes) {
		int iCount = 0;
		List<EditPriceItemResult> insertEditPriceItemResultListTemp = new ArrayList<EditPriceItemResult>();
		List<EditPriceItemResult> UpdateeditPriceItemResultListTemp = new ArrayList<EditPriceItemResult>();
		for(EditPriceItemResult editPriceItemResult : editPriceItemResultList) {
			EditPriceItemResult editPriceItemResultTemp = ReflecUtils.reflex(editPriceItemResult, attributes ,EditPriceItemResult.class);
			if(null != editPriceItemResultTemp) {
				if(null == editPriceItemResultTemp.getId()) {
					editPriceItemResultTemp.setId(IDUtils.getId());
					insertEditPriceItemResultListTemp.add(editPriceItemResultTemp);
				}else {
					UpdateeditPriceItemResultListTemp.add(editPriceItemResultTemp);
				}
			}
		}
		iCount += updateByBatch(UpdateeditPriceItemResultListTemp);
		iCount += insertByBatch(insertEditPriceItemResultListTemp);
		return iCount;	
	}

	/** 
	 * @Description: 
	 * @author mazc
	 * @param tenderId
	 * @return 
	 */
	@Override
	public List<EditPriceItemResult> getEditPriceItemResultList(String tenderId) {
		QueryWrapper<EditPriceItemResult> queryWrapper = new QueryWrapper<EditPriceItemResult>();
		queryWrapper.lambda().eq(EditPriceItemResult::getTenderId, tenderId);
		return editPriceItemResultMapper.selectList(queryWrapper);
	}
	

}
