package com.gx.obe.server.management.evaluation.controller;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.gx.obe.server.common.base.BaseController;
import com.gx.obe.server.management.evaluation.entity.BidPriceItemResult;
import com.gx.obe.server.management.evaluation.service.BidPriceItemResultService;

import io.swagger.annotations.Api;
import lombok.AllArgsConstructor;
/** 
 * @Description: 
 * @author mazc 
 */
@Api(tags = "投标报价明细（开标一览表明细）")
@RestController
@AllArgsConstructor
@RequestMapping("/bidPriceItemResult")
public class BidPriceItemResultController extends BaseController<BidPriceItemResultService,BidPriceItemResult>{

	@Autowired
	private BidPriceItemResultService bidPriceItemResultService;
	
	/**
	 * @Description: 获得分项明细结果
	 * @author mazc
	 * @param supplierId
	 * @param bidPriceId
	 * @return 
	 */
	@GetMapping("/getBidPriceItemResultList")
	public List<BidPriceItemResult> getBidPriceItemResultList(String supplierId, String bidPriceId){
		return bidPriceItemResultService.getBidPriceItemResultList(supplierId, bidPriceId);
	}
	
	@GetMapping("/conditionalQueryList")
	public List<BidPriceItemResult> conditionalQueryList(String tenderId,String bidPriceId,String supplierId){
		return bidPriceItemResultService.conditionalQueryList(tenderId, bidPriceId, supplierId);
	}
	
	/**
	 * @Description: 更新条目内容
	 * @author mazc
	 * @param tenderId
	 * @param bidPriceId
	 * @param bidPriceItemId
	 * @param supplierId
	 * @param itemUnit
	 * @param itemContent
	 * @param itemValue
	 * @return 
	 */
	@GetMapping("/updateItemContent")
	public int updateItemContent(String tenderId,String bidPriceId,String bidPriceItemId,String supplierId,String itemUnit,String itemContent,String itemValue){
		return bidPriceItemResultService.updateItemContent(tenderId, bidPriceId, bidPriceItemId, supplierId, itemUnit, itemContent, itemValue);
	}

	
}