package com.gx.obe.server.management.evaluation.controller;
import java.math.BigDecimal;
import java.util.List;

import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RestController;
import com.gx.obe.server.common.base.BaseController;
import io.swagger.annotations.Api;
import lombok.AllArgsConstructor;
import com.gx.obe.server.management.evaluation.entity.EvaluationFactorItem;
import com.gx.obe.server.management.evaluation.service.EvaluationFactorItemService;
/** 
 * @Description: 
 * @author mazc 
 */
@Api(tags = "")
@RestController
@AllArgsConstructor
@RequestMapping("/evaluationFactorItem")
public class EvaluationFactorItemController extends BaseController<EvaluationFactorItemService,EvaluationFactorItem>{
	
	@Autowired
	public EvaluationFactorItemService evaluationFactorItemServices;
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeEvaluationFactorItemList 
	 */
	@PostMapping("/insertByBatch")
	public int insertByBatch(@RequestBody List<EvaluationFactorItem> ObeEvaluationFactorItemList) {
		return evaluationFactorItemServices.insertByBatch(ObeEvaluationFactorItemList);
	}
	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeEvaluationFactorItemList 
	 */
	@PostMapping("/updateByBatch")
	public int updateByBatch(@RequestBody List<EvaluationFactorItem> ObeEvaluationFactorItemList) {
		return evaluationFactorItemServices.updateByBatch(ObeEvaluationFactorItemList);
	}
	
	
	/**
	 * @Description: 智能计算得分
	 * @author mazc
	 * @param supplierId
	 * @param factorCode
	 * @param tenderId
	 * @return 
	 */
	@GetMapping("/getAIScore")
	public BigDecimal getAIScore(String supplierId, String factorCode, String tenderId, BigDecimal highestScore){
		return evaluationFactorItemServices.getAIScore(supplierId, factorCode, tenderId, highestScore); 
	}
	
	@GetMapping("/getItemByTenderIdAndSupplierIdAndfactorCode")
	public List<EvaluationFactorItem> getItemByTenderIdAndSupplierIdAndfactorCode(String tenderId,String supplierId,String factorCode){
		return evaluationFactorItemServices.getItemByTenderIdAndSupplierIdAndfactorCode(tenderId, supplierId, factorCode);
	}
	
	/**
	 * @Description: 
	 * @author mazc
	 * @param tenderId
	 * @return 
	 */
	@GetMapping("/deleteByTenderId")
	public boolean deleteByTenderId(String tenderId){
		return evaluationFactorItemServices.deleteByTenderId(tenderId);
	}
	
}