package com.gx.obe.server.management.evaluation.dao;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gx.obe.server.management.evaluation.entity.BidPrice;

import java.util.List;
/** 
 * @Description: 
 * @author mazc 
 */
 @Mapper
public interface BidPriceMapper extends BaseMapper<BidPrice> {
	 /**
		 * @Description: 批量插入
		 * @author mazc
		 * @param ObeBidPriceList 
		 */
		Integer insertByBatch (@Param("ObeBidPriceList")List<BidPrice> ObeBidPriceList);

	/**
	 * @Description: 指定字段修改
	 * @author chenxw
	 * @param ObeBidPrice
	 * @param attributes
	 */
	Integer updateAssignProperty(@Param("ObeBidPrice")BidPrice ObeBidPrice, @Param("attributes")String[] attributes);

	/**
	 * @Description: 批量指定字段修改
	 * @author chenxw
	 * @param ObeBidPriceList
	 * @param attributes
	 */
	Integer batchUpdateProperty(@Param("ObeBidPriceList")List<BidPrice> ObeBidPriceList, @Param("attributes")String[] attributes);

	/**
	 * @Description: 批量更新非空字段
	 * @author mazc
	 * @param bidPriceList
	 * @return 
	 */
	Integer updateObeBidPriceBatchList (@Param("bidPriceList")List<BidPrice> bidPriceList);
	
	/**
	 * @Description: 通过tenderId获取投标报价 列表
	 * @author mazc
	 * @param tenderId
	 * @return 
	 */
	List<BidPrice> selectBidPriceFactorList(@Param("tenderId")String tenderId);
	
	/**
	 * @Description: 修改开标一览表类型
	 * @author guoyr
	 * @param bidPriceId 
	 */
	void updateBidPriceType(@Param("bidPriceId")String bidPriceId, @Param("bidPriceType")String bidPriceType, @Param("joinTotal")String joinTotal, @Param("priceType")String priceType);
	
	/**
	 * @Description: 删除投标报价明细 按照tenderId删除 
	 * @author mazc
	 * @param tenderId
	 * @return 
	 */
	Integer deleteByTenderId (@Param("tenderId") String tenderId);
	
	/**
	 * @Description: 删除分项报价
	 * @author mazc
	 * @return 
	 */
	Integer deleteByPriceId(@Param("bidPriceId") String bidPriceId);	

	
	
	/**
	 * @Description: 删除项目的分项报价
	 * @author mazc
	 * @param tenderId
	 * @return 
	 */
	Integer deleteProjectBidPrice(@Param("tenderId")String tenderId);
	
	
	Integer getMaxBidPriceSortNo(@Param("tenderId") String tenderId);
	
	
	/**
	 * @Description: 通过项目id 获取全部指标
	 * @author mazc
	 * @param tenderId
	 * @return 
	 */
	List<BidPrice> getBidPriceByTenderId (@Param("tenderId")String tenderId);
 
 }