package com.gx.obe.server.management.evaluation.dao;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gx.obe.server.management.evaluation.entity.SupplierEvaluationFactor;

/**
 * @Description:
 * @author mazc
 */
@Mapper
public interface SupplierEvaluationFactorMapper extends BaseMapper<SupplierEvaluationFactor> {
    
    /**
     * @Description: 批量更新
     * @author mazc
     * @param ObeSupplierEvaluationFactorList
     */
    Integer updateBatchList(@Param("ObeSupplierEvaluationFactorList") List<SupplierEvaluationFactor> ObeSupplierEvaluationFactorList);
    
    /**
     * @Description: 批量插入
     * @author mazc
     * @param ObeSupplierEvaluationFactorList
     */
    Integer insertByBatch(@Param("ObeSupplierEvaluationFactorList") List<SupplierEvaluationFactor> ObeSupplierEvaluationFactorList);
    
    /**
     * @Description: 指定字段修改
     * @author chenxw
     * @param ObeSupplierEvaluationFactor
     */
    Integer updateAssignProperty(@Param("ObeSupplierEvaluationFactor") SupplierEvaluationFactor ObeSupplierEvaluationFactor, @Param("attributes") String[] attributes);
    
    /**
     * @Description: 批量指定字段修改
     * @author chenxw
     * @param ObeSupplierEvaluationFactorList
     */
    Integer batchUpdateProperty(@Param("ObeSupplierEvaluationFactorList") List<SupplierEvaluationFactor> ObeSupplierEvaluationFactorList, @Param("attributes") String[] attributes);
    
}