package com.gx.obe.server.management.evaluation.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
/** 
 * @Description: 
 * @author mazc 
 */

@TableName("obe_bid_price_his_result")
public class BidPriceHisResult extends Model<BidPriceHisResult> {
	private static final long serialVersionUID=1L;

    /**
     * 主键
     */
	@TableId("BID_PRICE_HIS_RESULT_ID")
	private String id;
    /**
     * 项目id
     */
    @TableField("TENDER_ID")
        private String tenderId;
    /**
     * 投标报价id
     */
    @TableField("BID_PRICE_ID")
        private String bidPriceId;
    /**
     * 投标报价名称
     */
    @TableField("BID_PRICE_NAME")
        private String bidPriceName;
    /**
     * 报价轮次
     */
    @TableField("BID_PRICE_ROUND")
        private Integer bidPriceRound;
    /**
     * 报价轮次名称
     */
    @TableField("ROUND_NAME")
        private String roundName;
    /**
     * 供应商id
     */
    @TableField("SUPPLIER_ID")
        private String supplierId;
    /**
     * 报价内容
     */
    @TableField("PRICE_CONTENT")
        private String priceContent;
    /**
     * 币种
     */
    @TableField("CURRENCY_CODE")
        private String currencyCode;
    /**
     * 币种名称
     */
    @TableField("CURRENCY_NAME")
        private String currencyName;
    /**
     * 报价单位
     */
    @TableField("PRICE_UNIT")
        private String priceUnit;
    
    /**
	 * 最终投标报价
	 */
	@TableField("FINAL_BID_PRICE")
	private BigDecimal finalBidPrice;
	
    @TableField("BID_PRICE")
        private BigDecimal bidPrice;
    /**
     * 报价说明
     */
    @TableField("BID_PRICE_MEMO")
        private String bidPriceMemo;
    @TableField("EVALUATION_PRICE")
        private BigDecimal evaluationPrice;
    /**
     * 评标价修正原因
     */
    @TableField("MODIFY_REASON")
        private String modifyReason;

    /**
     * 历史报价时间
     */
    @TableField("CREATE_TIME")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    
    
    
    @TableField(exist = false)
  	private String joinTotal;
      
      @TableField(exist = false)
      private String bidPriceType;
      
      @TableField(exist = false)
      private String priceType;
      
      @TableField(exist = false)
      private String bidPriceCode;
      
      @TableField(exist = false)
      private int sortNo;
 

 

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getTenderId(){
        return tenderId;
        }

        public void setTenderId(String tenderId) {
        this.tenderId = tenderId;
        }

    public String getBidPriceId(){
        return bidPriceId;
        }

        public void setBidPriceId(String bidPriceId) {
        this.bidPriceId = bidPriceId;
        }

    public String getBidPriceName(){
        return bidPriceName;
        }

        public void setBidPriceName(String bidPriceName) {
        this.bidPriceName = bidPriceName;
        }

    public Integer getBidPriceRound(){
        return bidPriceRound;
        }

        public void setBidPriceRound(Integer bidPriceRound) {
        this.bidPriceRound = bidPriceRound;
        }

    public String getRoundName(){
        return roundName;
        }

        public void setRoundName(String roundName) {
        this.roundName = roundName;
        }

    public String getSupplierId(){
        return supplierId;
        }

        public void setSupplierId(String supplierId) {
        this.supplierId = supplierId;
        }

    public String getPriceContent(){
        return priceContent;
        }

        public void setPriceContent(String priceContent) {
        this.priceContent = priceContent;
        }

    public String getCurrencyCode(){
        return currencyCode;
        }

        public void setCurrencyCode(String currencyCode) {
        this.currencyCode = currencyCode;
        }

    public String getCurrencyName(){
        return currencyName;
        }

        public void setCurrencyName(String currencyName) {
        this.currencyName = currencyName;
        }

    public String getPriceUnit(){
        return priceUnit;
        }

        public void setPriceUnit(String priceUnit) {
        this.priceUnit = priceUnit;
        }

    public BigDecimal getBidPrice(){
        return bidPrice;
        }

        public void setBidPrice(BigDecimal bidPrice) {
        this.bidPrice = bidPrice;
        }

    public BigDecimal getFinalBidPrice() {
			return finalBidPrice;
		}

		public void setFinalBidPrice(BigDecimal finalBidPrice) {
			this.finalBidPrice = finalBidPrice;
		}

	public String getBidPriceMemo(){
        return bidPriceMemo;
        }

        public void setBidPriceMemo(String bidPriceMemo) {
        this.bidPriceMemo = bidPriceMemo;
        }

    public BigDecimal getEvaluationPrice(){
        return evaluationPrice;
        }

        public void setEvaluationPrice(BigDecimal evaluationPrice) {
        this.evaluationPrice = evaluationPrice;
        }

    public String getModifyReason(){
        return modifyReason;
        }

        public void setModifyReason(String modifyReason) {
        this.modifyReason = modifyReason;
        }

    public String getJoinTotal() {
			return joinTotal;
		}

		public void setJoinTotal(String joinTotal) {
			this.joinTotal = joinTotal;
		}

		public String getBidPriceType() {
			return bidPriceType;
		}

		public void setBidPriceType(String bidPriceType) {
			this.bidPriceType = bidPriceType;
		}

		public String getPriceType() {
			return priceType;
		}

		public void setPriceType(String priceType) {
			this.priceType = priceType;
		}

		public String getBidPriceCode() {
			return bidPriceCode;
		}

		public void setBidPriceCode(String bidPriceCode) {
			this.bidPriceCode = bidPriceCode;
		}

		public int getSortNo() {
			return sortNo;
		}

		public void setSortNo(int sortNo) {
			this.sortNo = sortNo;
		}

	public static final String BID_PRICE_HIS_RESULT_ID ="BID_PRICE_HIS_RESULT_ID";

    public static final String TENDER_ID ="TENDER_ID";

    public static final String BID_PRICE_ID ="BID_PRICE_ID";

    public static final String BID_PRICE_NAME ="BID_PRICE_NAME";

    public static final String BID_PRICE_ROUND ="BID_PRICE_ROUND";

    public static final String ROUND_NAME ="ROUND_NAME";

    public static final String SUPPLIER_ID ="SUPPLIER_ID";

    public static final String PRICE_CONTENT ="PRICE_CONTENT";

    public static final String CURRENCY_CODE ="CURRENCY_CODE";

    public static final String CURRENCY_NAME ="CURRENCY_NAME";

    public static final String PRICE_UNIT ="PRICE_UNIT";

    public static final String ORIGINAL_BID_PRICE ="ORIGINAL_BID_PRICE";
    
    public static final String BID_PRICE ="BID_PRICE";

    public static final String BID_PRICE_MEMO ="BID_PRICE_MEMO";

    public static final String EVALUATION_PRICE ="EVALUATION_PRICE";

    public static final String MODIFY_REASON ="MODIFY_REASON";

@Override
protected Serializable pkVal(){
        return this.id;
    }

@Override
public String toString() {//bidPriceHisResultId
    return "BidPriceHisResult{" +
            ", id=" + id +
            ", tenderId=" + tenderId +
            ", bidPriceId=" + bidPriceId +
            ", bidPriceName=" + bidPriceName +
            ", bidPriceRound=" + bidPriceRound +
            ", roundName=" + roundName +
            ", supplierId=" + supplierId +
            ", priceContent=" + priceContent +
            ", currencyCode=" + currencyCode +
            ", currencyName=" + currencyName +
            ", priceUnit=" + priceUnit +
            ", bidPrice=" + bidPrice +
            ", bidPriceMemo=" + bidPriceMemo +
            ", evaluationPrice=" + evaluationPrice +
            ", modifyReason=" + modifyReason +
    "}";
    }
    }
