package com.gx.obe.server.management.evaluation.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonIdentityInfo;
import com.fasterxml.jackson.annotation.ObjectIdGenerators;
import com.gx.obe.server.management.struct_new.entity.ObeEvaluationContent;

/**
 * 
 * @author
 * @Title: EvaluationFactor
 * @Package com.gx.obe.server.management.evaluation.entity
 * @Description:  评审指标
 * @author: XiaoMa Pro - myzhichao@163.com
 * @date: 2019-05-17
 * @version V1.0
 * @Copyright: 2019 www.msypro.com Inc. All rights reserved.
 * 
 */

@TableName("obe_evaluation_factor")
@JsonIdentityInfo(generator = ObjectIdGenerators.IntSequenceGenerator.class)
public class EvaluationFactor extends Model<EvaluationFactor> {	
	private static final long serialVersionUID = 1L;

	/**
	 * 主键
	 */
	@TableId("FACTOR_ID")
	private String id;
	/**
	 * 项目外键
	 */
	@TableField("TENDER_ID")
	private String tenderId;
	/**
	 * 指标名称
	 */
	@TableField("FACTOR_NAME")
	private String factorName;
	/**
	 * 指标编号
	 */
	@TableField("FACTOR_CODE")
	private String factorCode;
	/**
	 * 指标类型
	 */
	@TableField("FACTOR_TYPE")
	private String factorType;
	/**
	 * 指标分值
	 */
	@TableField("FACTOR_SCORE")
	private BigDecimal factorScore;
	/**
	 * 指标最小分值
	 */
	@TableField("FACTOR_MIN_SCORE")
	private BigDecimal factorMinScore;
	/**
	 * 指标最大分值
	 */
	@TableField("FACTOR_MAX_SCORE")
	private BigDecimal factorMaxScore;
	/**
	 * 指标权重
	 */
	@TableField("FACTOR_WEIGHT")
	private BigDecimal factorWeight;
	/**
	 * 指标的最终权重
	 */
	@TableField("FACTOR_FINAL_WEIGHT")
	private BigDecimal factorFinalWeight;
	/**
	 * 评审类型
	 */
	@TableField("AUDIT_TYPE")
	private String auditType;
	/**
	 * 评标类型[00:默认;01:商务标;02:技术标;03:综合信用]
	 */
	@TableField("EVAL_BID_TYPE")
	private String evalBidType;
	/**
	 * 评标分组
	 */
	@TableField("EVAL_GROUP")
	private String evalGroup;
	/**
	 * 指标外键
	 */
	@TableField("CONTAIN_ID")
	private String containId;
	/**
	 * 客观项与否
	 */
	@TableField("OBJECTIVE")
	private String objective;
	/**
	 * 排序
	 */
	@TableField("SORT_NO")
	private Integer sortNo;
	/**
	 * 备注
	 */
	@TableField("MEMO")
	private String memo;
	/**
	 * 评分方式
	 */
	@TableField("SCORE_TYPE")
	private String scoreType;
	/**
	 * 条款类型[01:星号条款;02:偏离性条款]
	 */
	@TableField("CLAUSE_TYPE")
	private String clauseType;
	/**
	 * 评标内容
	 */
	@TableField("EVAL_CONTENT")
	private String evalContent;
	/**
	 * 指标父级外键
	 */
	@TableField("PARENT_ID")
	private String parentId;
	/**
	 * 客观范围打分项
	 */
	@TableField("OBJECTIVE_ITEM")
	private byte[] objectiveItem;
	/**
	 * 关联投标报价编号
	 */
	@TableField("BID_PRICE_CODE")
	private String bidPriceCode;
	/**
	 * 公式
	 */
	@TableField("COMPUTER_PARAMS")
	private byte[] computerParams;
	/**
	 * 智能评分类型
	 */
	@TableField("SCORE_STATUS")
	private String scoreStatus;
	/**
	 * 数据类型
	 */
	@TableField("DATA_TYPE")
	private String dataType;
	/**
	 * 公式参数
	 */
	@TableField("DATA_PARAMS")
	private byte[] dataParams;
	
	
	@TableField(exist = false)
	private Integer childCount = 0;
	
	@TableField(exist = false)
    private EvaluationFactorResult evalFactorResult;
	
	@TableField(exist = false)
//	@JsonBackReference
	private EvaluationFactor parentFactor;
	
	@TableField(exist = false)
	private EvaluationFactor containFactor;
	
	@TableField(exist = false)
//	@JsonManagedReference  
	private List<EvaluationFactor> childFactorList = new ArrayList<EvaluationFactor>();
	@TableField(exist = false)
	private List<ObeEvaluationContent> evaluationContentList;
	public Integer getChildCount() {
		return childCount;
	}

	public void setChildCount(Integer childCount) {
		this.childCount = childCount;
	}
	
	public List<EvaluationFactor> getChildFactorList() {
		return childFactorList;
	}

	public void setChildFactorList(List<EvaluationFactor> childFactorList) {
		this.childFactorList = childFactorList;
	}
	
	/**
	 * 添加子节点
	 * 
	 * @param libraryNode
	 *                子节点
	 */
	public void addChild(EvaluationFactor factor) {
		childFactorList.add(factor);
	}
	

	public EvaluationFactor getContainFactor() {
		return containFactor;
	}

	public void setContainFactor(EvaluationFactor containFactor) {
		this.containFactor = containFactor;
	}

		
	public EvaluationFactor getParentFactor() {
		return parentFactor;
	}

	public void setParentFactor(EvaluationFactor parentFactor) {
		this.parentFactor = parentFactor;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getTenderId() {
		return tenderId;
	}

	public void setTenderId(String tenderId) {
		this.tenderId = tenderId;
	}

	public String getFactorName() {
		return factorName;
	}

	public void setFactorName(String factorName) {
		this.factorName = factorName;
	}

	public String getFactorCode() {
		return factorCode;
	}

	public void setFactorCode(String factorCode) {
		this.factorCode = factorCode;
	}

	public String getFactorType() {
		return factorType;
	}

	public void setFactorType(String factorType) {
		this.factorType = factorType;
	}

	public BigDecimal getFactorScore() {
		return factorScore;
	}

	public void setFactorScore(BigDecimal factorScore) {
		this.factorScore = factorScore;
	}

	public BigDecimal getFactorMinScore() {
		return factorMinScore;
	}

	public void setFactorMinScore(BigDecimal factorMinScore) {
		this.factorMinScore = factorMinScore;
	}

	public BigDecimal getFactorMaxScore() {
		return factorMaxScore;
	}

	public void setFactorMaxScore(BigDecimal factorMaxScore) {
		this.factorMaxScore = factorMaxScore;
	}

	public BigDecimal getFactorWeight() {
		return factorWeight;
	}

	public void setFactorWeight(BigDecimal factorWeight) {
		this.factorWeight = factorWeight;
	}

	public BigDecimal getFactorFinalWeight() {
		return factorFinalWeight;
	}

	public void setFactorFinalWeight(BigDecimal factorFinalWeight) {
		this.factorFinalWeight = factorFinalWeight;
	}

	public String getAuditType() {
		return auditType;
	}

	public void setAuditType(String auditType) {
		this.auditType = auditType;
	}

	public String getEvalBidType() {
		return evalBidType;
	}

	public void setEvalBidType(String evalBidType) {
		this.evalBidType = evalBidType;
	}

	public String getEvalGroup() {
		return evalGroup;
	}

	public void setEvalGroup(String evalGroup) {
		this.evalGroup = evalGroup;
	}

	public String getContainId() {
		return containId;
	}

	public void setContainId(String containId) {
		this.containId = containId;
	}

	public String getObjective() {
		return objective;
	}

	public void setObjective(String objective) {
		this.objective = objective;
	}

	public Integer getSortNo() {
		return sortNo;
	}

	public void setSortNo(Integer sortNo) {
		this.sortNo = sortNo;
	}

	public String getMemo() {
		return memo;
	}

	public void setMemo(String memo) {
		this.memo = memo;
	}

	public String getScoreType() {
		return scoreType;
	}

	public void setScoreType(String scoreType) {
		this.scoreType = scoreType;
	}

	public String getClauseType() {
		return clauseType;
	}

	public void setClauseType(String clauseType) {
		this.clauseType = clauseType;
	}

	public String getEvalContent() {
		return evalContent;
	}

	public void setEvalContent(String evalContent) {
		this.evalContent = evalContent;
	}

	public String getParentId() {
		return parentId;
	}

	public void setParentId(String parentId) {
		this.parentId = parentId;
	}

	public byte[] getObjectiveItem() {
		return objectiveItem;
	}

	public void setObjectiveItem(byte[] objectiveItem) {
		this.objectiveItem = objectiveItem;
	}

	public String getBidPriceCode() {
		return bidPriceCode;
	}

	public void setBidPriceCode(String bidPriceCode) {
		this.bidPriceCode = bidPriceCode;
	}

	public byte[] getComputerParams() {
		return computerParams;
	}

	public void setComputerParams(byte[] computerParams) {
		this.computerParams = computerParams;
	}

	public String getScoreStatus() {
		return scoreStatus;
	}

	public void setScoreStatus(String scoreStatus) {
		this.scoreStatus = scoreStatus;
	}

	public String getDataType() {
		return dataType;
	}

	public void setDataType(String dataType) {
		this.dataType = dataType;
	}

	public byte[] getDataParams() {
		return dataParams;
	}

	public void setDataParams(byte[] dataParams) {
		this.dataParams = dataParams;
	}

	public List<ObeEvaluationContent> getEvaluationContentList() {
		return evaluationContentList;
	}

	public void setEvaluationContentList(List<ObeEvaluationContent> evaluationContentList) {
		this.evaluationContentList = evaluationContentList;
	}

	public static final String FACTOR_ID = "FACTOR_ID";

	public static final String TENDER_ID = "TENDER_ID";

	public static final String FACTOR_NAME = "FACTOR_NAME";

	public static final String FACTOR_CODE = "FACTOR_CODE";

	public static final String FACTOR_TYPE = "FACTOR_TYPE";

	public static final String FACTOR_SCORE = "FACTOR_SCORE";

	public static final String FACTOR_MIN_SCORE = "FACTOR_MIN_SCORE";

	public static final String FACTOR_MAX_SCORE = "FACTOR_MAX_SCORE";

	public static final String FACTOR_WEIGHT = "FACTOR_WEIGHT";

	public static final String FACTOR_FINAL_WEIGHT = "FACTOR_FINAL_WEIGHT";

	public static final String AUDIT_TYPE = "AUDIT_TYPE";

	public static final String EVAL_BID_TYPE = "EVAL_BID_TYPE";

	public static final String EVAL_GROUP = "EVAL_GROUP";

	public static final String CONTAIN_ID = "CONTAIN_ID";

	public static final String OBJECTIVE = "OBJECTIVE";

	public static final String SORT_NO = "SORT_NO";

	public static final String MEMO = "MEMO";

	public static final String SCORE_TYPE = "SCORE_TYPE";

	public static final String CLAUSE_TYPE = "CLAUSE_TYPE";

	public static final String EVAL_CONTENT = "EVAL_CONTENT";

	public static final String PARENT_ID = "PARENT_ID";

	public static final String OBJECTIVE_ITEM = "OBJECTIVE_ITEM";

	public static final String BID_PRICE_CODE = "BID_PRICE_CODE";

	public static final String COMPUTER_PARAMS = "COMPUTER_PARAMS";

	public static final String SCORE_STATUS = "SCORE_STATUS";

	public static final String DATA_TYPE = "DATA_TYPE";

	public static final String DATA_PARAMS = "DATA_PARAMS";

	@Override
	protected Serializable pkVal() {
		return this.id;
	}

	@Override
	public String toString() {
		return "EvaluationFactor{" + ", id=" + id + ", tenderId=" + tenderId + ", factorName=" + factorName
				+ ", factorCode=" + factorCode + ", factorType=" + factorType + ", factorScore=" + factorScore
				+ ", factorMinScore=" + factorMinScore + ", factorMaxScore=" + factorMaxScore + ", factorWeight="
				+ factorWeight + ", factorFinalWeight=" + factorFinalWeight + ", auditType=" + auditType
				+ ", evalBidType=" + evalBidType + ", evalGroup=" + evalGroup + ", containId=" + containId
				+ ", objective=" + objective + ", sortNo=" + sortNo + ", memo=" + memo + ", scoreType=" + scoreType
				+ ", clauseType=" + clauseType + ", evalContent=" + evalContent + ", parentId=" + parentId
				+ ", objectiveItem=" + objectiveItem + ", bidPriceCode=" + bidPriceCode + ", computerParams="
				+ computerParams + ", scoreStatus=" + scoreStatus + ", dataType=" + dataType + ", dataParams="
				+ dataParams+", evaluationContentList=" + evaluationContentList  + "}";
	}
}
