package com.gx.obe.server.management.evaluation.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gx.obe.server.management.evaluation.entity.BidPriceItem;
 
/** 
 * @Description: 
 * @author mazc 
 */
public interface BidPriceItemService extends IService<BidPriceItem> {
	
 	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeBidPriceItemList 
	 */
 	Integer updateByBatch (List<BidPriceItem> ObeBidPriceItemList);
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeBidPriceItemList 
	 */
	Integer insertByBatch (List<BidPriceItem> ObeBidPriceItemList);
	
	 /**
	 * @Description: 删除分项报价条目
	 * @author mazc
	 * @param bidPriceItemId
	 * @return 
	 */
	boolean deleteBidPriceItem(String bidPriceItemId);
	
	
	
	/**
	 * @Description: 交换两个分项报价明细的排序
	 * @author mazc
	 * @param sourceSortNo
	 * @param sourceid
	 * @param targetSortNo
	 * @param targetId
	 * @return 
	 */
	boolean changeBidPriceItemSortNo(String sourceSortNo, String sourceid, String targetSortNo, String targetId );
	
	 /**
	 * @Description: 通过bidPriceId 查询并按照sortNo排序
	 * @author mazc
	 * @param bidPriceId
	 * @return 
	 */
	List<BidPriceItem> getItemByBidPriceIdAndSortNoOrderBy(String bidPriceId);
	
	
	int getMaxDictValueSortNo(String bidPriceId);
	 

	
}

