package com.gx.obe.server.management.evaluation.service;

import com.baomidou.mybatisplus.extension.service.IService;
import java.util.List;
import com.gx.obe.server.management.evaluation.entity.EvaluationReport;
 
/** 
 * @Description: 
 * @author mazc 
 */
public interface EvaluationReportService extends IService<EvaluationReport> {
 	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeEvaluationReportList 
	 */
 	Integer updateByBatch (List<EvaluationReport> ObeEvaluationReportList);
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeEvaluationReportList 
	 */
	Integer insertByBatch (List<EvaluationReport> ObeEvaluationReportList);
	
	
	 /**
	 * @Description: 删除专家的评标报表
	 * @author mazc
	 * @param tenderId
	 * @param userId
	 * @param stepId
	 * @return 
	 */
	boolean deleteUserEvaluationReport(String tenderId, String userId, String stepId);
	
	/**
	 * @Description: 获得专家的评标报表
	 * @author mazc
	 * @param tenderId
	 * @param userId
	 * @param stepId
	 * @return 
	 */
	EvaluationReport getUserEvaluationReport(String tenderId, String userId, String stepId);
	
	
	boolean insertEvaluationReport(String tenderId, String userId, String evaluationStepId,EvaluationReport evaluationReport);
	
	 List<EvaluationReport> getEvaluationReportListByTenderId(String tenderId);
}



