package com.gx.obe.server.management.evaluation.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gx.obe.server.management.evaluation.entity.EvaluationRoom;
 
/** 
 * @Description: 
 * @author mazc 
 */
public interface EvaluationRoomService extends IService<EvaluationRoom> {
	
	 List<EvaluationRoom> getEvaluationRoomList(String useStatus);
	
	 /**
	 * @Description: 获得当前评标区下的全部评标室集合
	 * @author mazc
	 * @param evaluationAreaId
	 * @return 
	 */
	List<EvaluationRoom> getEvaluatoinRoomListByEvaluationAreaId(String evaluationAreaId);
	
	
	 /**
		 * @Description: 根据项目Id和评标区Id，获得已分配的评标室。
		 * @author mazc
		 * @param tenderId
		 * @param evaluationAreaId
		 * @return 
		 */
		List<EvaluationRoom> getProjectEvaluationRoomList(String tenderId, String evaluationAreaId);
		
		/**
		 * @Description: 删除当前评标室
		 * @author mazc
		 * @param roomId
		 * @return 
		 */
		boolean deleteEvaluationRoom(String roomId);
		
		
		EvaluationRoom saveOrUpdateReturn( EvaluationRoom evaluationRoom);
		
		
		List<Object> getEvaluationRoomIdList(String id ,String evalRoomName,String evaluationAreaId);
}

