package com.gx.obe.server.management.evaluation.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gx.obe.server.management.evaluation.dao.BidRegulationsMapper;
import com.gx.obe.server.management.evaluation.entity.BidRegulations;
import com.gx.obe.server.management.evaluation.service.BidRegulationsService;

/** 
 * @Description: 
 * @author mazc 
 */
@Service
@Transactional
public class BidRegulationsServiceImpl extends ServiceImpl<BidRegulationsMapper, BidRegulations> implements BidRegulationsService {

	@Autowired
	private BidRegulationsMapper bidRegulationsMapper;

	@Override
	public Integer byTenderIdToSize(String tenderId) {
 		return bidRegulationsMapper.ByTenderIdToSize(tenderId);
	}

	@Override
	@Transactional(rollbackFor = Exception.class)
	public boolean importBidRegulations(List<BidRegulations> list, String tenderId) {
		QueryWrapper<BidRegulations> queryWrapper = new QueryWrapper<>();
		queryWrapper.lambda().eq(BidRegulations::getTenderId, tenderId);
		bidRegulationsMapper.delete(queryWrapper);
		return bidRegulationsMapper.insertBatch(list) > 0;
	}
}
