package com.gx.obe.server.management.evaluation.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gx.obe.server.common.utils.StringUtils;
import com.gx.obe.server.management.dictionary.dao.MachineMapper;
import com.gx.obe.server.management.evaluation.dao.EvaluationRoomMapper;
import com.gx.obe.server.management.evaluation.entity.EvaluationRoom;
import com.gx.obe.server.management.evaluation.service.EvaluationRoomService;

  /**  
 * 
 * @author 
 * @Title: EvaluationRoomService
 * @Package com.gx.obe.server.management.dictionary.service  
 * @Description:     
 * @author: XiaoMa Pro - myzhichao@163.com
 * @date:   2019-05-13   
 * @version V1.0 
 * @Copyright: 2019 www.msypro.com Inc. All rights reserved. 
 *  
 */
@Service
@Transactional
public class EvaluationRoomServiceImpl extends ServiceImpl<EvaluationRoomMapper, EvaluationRoom> implements EvaluationRoomService {

	@Autowired
	private EvaluationRoomMapper evaluationRoomMapper;
	@Autowired
	private MachineMapper machineMapper;
	@Override
	public List<EvaluationRoom> getEvaluationRoomList(String useStatus) {
		QueryWrapper<EvaluationRoom> queryWrapper = new QueryWrapper<>();
		queryWrapper.lambda().eq(EvaluationRoom::getUseStatus, useStatus);
		return evaluationRoomMapper.selectList(queryWrapper);
 	}

	@Override
	public List<EvaluationRoom> getEvaluatoinRoomListByEvaluationAreaId(String evaluationAreaId) {
		return evaluationRoomMapper.getEvaluatoinRoomListByEvaluationAreaId(evaluationAreaId);
	}

	@Override
	public List<EvaluationRoom> getProjectEvaluationRoomList(String tenderId, String evaluationAreaId) {
		return evaluationRoomMapper.getProjectEvaluationRoomList(tenderId, evaluationAreaId);
	}

	@Override
	public boolean deleteEvaluationRoom(String roomId) {
		int count = 0;
		// 删除当前评标室
		count += evaluationRoomMapper.deleteEvaluationRoom(roomId);
		// 删除评标室下的所有视频
		count += 0;
		// 删除评标室下的所有视频
		count += machineMapper.deleteEvaluationRoom(roomId);
		return count >= 0;
	}

	@Override
	public EvaluationRoom saveOrUpdateReturn(EvaluationRoom evaluationRoom) {
		 if(null == evaluationRoom) {
			 return null;
		 }
		 if(StringUtils.isNotEmpty(evaluationRoom.getId())) {
			int size = evaluationRoomMapper.updateById(evaluationRoom);
			 if(size > 0) {
				 return evaluationRoomMapper.selectById(evaluationRoom.getId());
			 }
			 return evaluationRoom;
		 }else {
			 evaluationRoomMapper.insert(evaluationRoom);
			 return evaluationRoom;
		 }
 	}

	@Override
	public List<Object> getEvaluationRoomIdList(String id, String evalRoomName, String evaluationAreaId) {
		QueryWrapper<EvaluationRoom> queryWrapper = new QueryWrapper<>();
		queryWrapper.lambda().select(EvaluationRoom::getId).eq(EvaluationRoom::getEvaluationAreaId, evaluationAreaId);
		if(StringUtils.isNotEmpty(evalRoomName)) {
			queryWrapper.lambda().eq(EvaluationRoom::getEvalRoomName, evalRoomName);
		}
		if(StringUtils.isNotEmpty(id)) {
			queryWrapper.lambda().ne(EvaluationRoom::getId, id);
		}
		return evaluationRoomMapper.selectObjs(queryWrapper);
	}

}
