package com.gx.obe.server.management.expert.entity;

import java.io.Serializable;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
/** 
 * @Description: 
 * @author mazc 
 */

@TableName("obe_expert_evaluation_step")
public class ExpertEvaluationStep extends Model<ExpertEvaluationStep> {
	private static final long serialVersionUID=1L;

    /**
     * 评审成员评审进度主键
     */
            @TableId("MEMBER_STEP_ID")
                private String id;
    /**
     * 评标步骤外键
     */
    @TableField("STEP_ID")
        private String stepId;
    /**
     * 项目外键
     */
    @TableField("TENDER_ID")
        private String tenderId;
    /**
     * 评审成员外键
     */
    @TableField("USER_ID")
        private String userId;
    /**
     * 当前步骤评审进度
     */
    @TableField("STEP_STATUS")
        private String stepStatus;
    /**
     * 申请回退状态
     */
    @TableField("APPLY_STATUS")
        private String applyStatus;
    /**
     * 申请回退原因
     */
    @TableField("APPLY_REASON")
        private String applyReason;
    /**
     * 价格评审确认状态
     */
    @TableField("PRICE_CONFIRM_STATUS")
        private String priceConfirmStatus;
    /**
     * 评审开始时间
     */
    @TableField("START_TIME")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private Date startTime;
    /**
     * 评审结束时间
     */
    @TableField("END_TIME")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private Date endTime;


 
    public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getStepId(){
        return stepId;
        }

        public void setStepId(String stepId) {
        this.stepId = stepId;
        }

    public String getTenderId(){
        return tenderId;
        }

        public void setTenderId(String tenderId) {
        this.tenderId = tenderId;
        }

    public String getUserId(){
        return userId;
        }

        public void setUserId(String userId) {
        this.userId = userId;
        }

    public String getStepStatus(){
        return stepStatus;
        }

        public void setStepStatus(String stepStatus) {
        this.stepStatus = stepStatus;
        }

    public String getApplyStatus(){
        return applyStatus;
        }

        public void setApplyStatus(String applyStatus) {
        this.applyStatus = applyStatus;
        }

    public String getApplyReason(){
        return applyReason;
        }

        public void setApplyReason(String applyReason) {
        this.applyReason = applyReason;
        }

    public String getPriceConfirmStatus(){
        return priceConfirmStatus;
        }

        public void setPriceConfirmStatus(String priceConfirmStatus) {
        this.priceConfirmStatus = priceConfirmStatus;
        }

    public Date getStartTime(){
        return startTime;
        }

        public void setStartTime(Date startTime) {
        this.startTime = startTime;
        }

    public Date getEndTime(){
        return endTime;
        }

        public void setEndTime(Date endTime) {
        this.endTime = endTime;
        }

    public static final String MEMBER_STEP_ID ="MEMBER_STEP_ID";

    public static final String STEP_ID ="STEP_ID";

    public static final String TENDER_ID ="TENDER_ID";

    public static final String USER_ID ="USER_ID";

    public static final String STEP_STATUS ="STEP_STATUS";

    public static final String APPLY_STATUS ="APPLY_STATUS";

    public static final String APPLY_REASON ="APPLY_REASON";

    public static final String PRICE_CONFIRM_STATUS ="PRICE_CONFIRM_STATUS";

    public static final String START_TIME ="START_TIME";

    public static final String END_TIME ="END_TIME";

@Override
protected Serializable pkVal(){
        return this.id;
    }

@Override
public String toString() {//memberStepId
    return "ExpertEvaluationStep{" +
            ", id=" + id +
            ", stepId=" + stepId +
            ", tenderId=" + tenderId +
            ", userId=" + userId +
            ", stepStatus=" + stepStatus +
            ", applyStatus=" + applyStatus +
            ", applyReason=" + applyReason +
            ", priceConfirmStatus=" + priceConfirmStatus +
            ", startTime=" + startTime +
            ", endTime=" + endTime +
    "}";
    }
    }
