package com.gx.obe.server.management.im.dao;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gx.obe.server.management.im.entity.Employee;

import java.util.List;

/** 
 * @Description: 
 * @author mazc 
 */
@Mapper
public interface EmployeeMapper extends BaseMapper<Employee> {

	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param EmployeeList 
	 */
	Integer updateBatchList(@Param("EmployeeList") List<Employee> EmployeeList);
	
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param EmployeeList 
	 */
	Integer insertByBatch(@Param("EmployeeList") List<Employee> EmployeeList);

	/**
     * @Description: 指定字段修改
     * @author chenxw
     * @param Employee
	 * @param attributes
     */
    Integer updateAssignProperty(@Param("Employee")Employee Employee, @Param("attributes")String[] attributes);
    
    /**
     * @Description: 批量指定字段修改
     * @author chenxw
     * @param EmployeeList
	 * @param attributes
     */
    Integer batchUpdateProperty(@Param("EmployeeList")List<Employee> EmployeeList, @Param("attributes")String[] attributes);
    
  
    /**
     * @Description: 获得最大的员工编号
     * @author mazc
     * @return 
     */
    Integer getMaxEmployeeNumber();
	

	 /**
	 * @Description: 获得部门的员工
	 * @author mazc
	 * @param depId
	 * @param isDirect
	 * @return 
	 */
	List<Employee> getEmployeeOfDepartment(@Param("depId")String depId, @Param("isDirect")boolean isDirect);
	
 
	 /**
	 * @Description:  获得群成员
	 * @author mazc
	 * @param groupId
	 * @return 
	 */
	List<Employee> getEmployeeOfGroup(@Param("groupId")String groupId);
    

}