package com.gx.obe.server.management.im.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gx.obe.server.management.im.entity.ChatGroup;

import java.util.List;
 
/** 
 * @Description: 
 * @author mazc 
 */
public interface ChatGroupService extends IService<ChatGroup> {

 	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ChatGroupList 
	 */
 	Integer updateByBatch(List<ChatGroup> ChatGroupList);
	
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ChatGroupList 
	 */
	Integer insertByBatch(List<ChatGroup> ChatGroupList);
	
	/**
     * @Description: 指定字段修改
     * @author chenxw
     * @param ChatGroup
	 * @param attributes
     */
    boolean updateAssignProperty(ChatGroup ChatGroup, String[] attributes);
    
    /**
     * @Description: 批量指定字段修改
     * @author chenxw
     * @param ChatGroupList
	 * @param attributes
     */
    Integer batchUpdateProperty(List<ChatGroup> ChatGroupList, String[] attributes);
	
	/** 
	 * @Description: 批量添加或跟新
	 * @author chenxw
	 * @param ChatGroupList
	 * @param attributes
	 * @return 
	 */
    Integer batchSaveOrUpdate(List<ChatGroup> ChatGroupList, String[] attributes);
     
 
	/**
	 * @Description:  获得群组
	 * @author mazc
	 * @param userId
	 * @return 
	 */
	public List<ChatGroup> getGroupList(String userId);
 
	/**
	 * @Description:  保存群组
	 * @author mazc
	 * @param group
	 * @param itemObjIdList
	 * @return 
	 */
	public ChatGroup saveGroup(ChatGroup group, List<String> itemObjIdList);
	
}



