package com.gx.obe.server.management.im.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gx.obe.server.management.im.entity.Employee;
import com.gx.obe.server.management.im.entity.GroupItem;
 
/** 
 * @Description: 
 * @author mazc 
 */
public interface GroupItemService extends IService<GroupItem> {

 	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param GroupItemList 
	 */
 	Integer updateByBatch(List<GroupItem> GroupItemList);
	
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param GroupItemList 
	 */
	Integer insertByBatch(List<GroupItem> GroupItemList);
	
	/**
     * @Description: 指定字段修改
     * @author chenxw
     * @param GroupItem
	 * @param attributes
     */
    boolean updateAssignProperty(GroupItem GroupItem, String[] attributes);
    
    /**
     * @Description: 批量指定字段修改
     * @author chenxw
     * @param GroupItemList
	 * @param attributes
     */
    Integer batchUpdateProperty(List<GroupItem> GroupItemList, String[] attributes);
	
	/** 
	 * @Description: 批量添加或跟新
	 * @author chenxw
	 * @param GroupItemList
	 * @param attributes
	 * @return 
	 */
    Integer batchSaveOrUpdate(List<GroupItem> GroupItemList, String[] attributes);
    
 
	 /**
	 * @Description:  获得群组成员
	 * @author mazc
	 * @param groupId
	 * @return 
	 */
	List<Employee> getGroupItemByGroupId(String groupId);
	
	List<Object> getUserIdListByGroupId(String groupId);
	
}



