package com.gx.obe.server.management.log.controller;

import java.util.Date;
import java.util.Objects;

import javax.servlet.http.HttpServletRequest;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.context.request.RequestContextHolder;
import org.springframework.web.context.request.ServletRequestAttributes;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gx.obe.server.common.base.BaseController;
import com.gx.obe.server.common.utils.IpUtil;
import com.gx.obe.server.common.utils.NowTimeUtils;
import com.gx.obe.server.management.log.entity.SysLog;
import com.gx.obe.server.management.log.service.AddOperationSysLogEvent;
import com.gx.obe.server.management.log.service.SysLogService;
import com.gx.obe.server.management.project.entity.TenderProject;

import lombok.AllArgsConstructor;

/** 
 * @Description: 日志服务
 * @author mazc 
 */
@RestController
@AllArgsConstructor
@RequestMapping("/sysLog")
public class SysLogController extends BaseController<SysLogService,SysLog>{
	
	@Autowired
	private AddOperationSysLogEvent addOperationSysLogEvent;
	
	private SysLogService sysLogService;
	
	@PostMapping("/addOperationLog")
	public void addOperationLog(@RequestBody SysLog sysLog) {
		HttpServletRequest request = ((ServletRequestAttributes) Objects.requireNonNull(RequestContextHolder.getRequestAttributes())).getRequest();
		try {
			sysLog.setCreateTime(NowTimeUtils.getNowDate());
			sysLog.setRemoteAddr(IpUtil.getIpAddr(request));
			addOperationSysLogEvent.addOperationLog(sysLog);
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
	
	@GetMapping("/getSysLogInfo") 
	public IPage<SysLog> getSysLogInfo(Date startTime, Date endTime ,String createUser,Integer level,int pageNo, int pageSize) {
		Page<SysLog> page = new Page<>(pageNo,pageSize);
		return sysLogService.getEvaluationProjectPageList(page, level, createUser,startTime, endTime);
	}
	
	@GetMapping("/selectConditionQuery") 
	IPage<SysLog> selectConditionQuery(String createUser,String title,String params,String createTime,String endTime,String returnValue,Boolean isException,int pageNo, int pageSize){
		Page<SysLog> page = new Page<>(pageNo,pageSize);
		return sysLogService.selectConditionQuery(page, createUser, title,params, createTime,endTime,returnValue,isException);
	}
}