package com.gx.obe.server.management.log.service.impl;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.beans.factory.annotation.Autowired;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import java.util.Date;
import java.util.List;
import com.gx.obe.server.management.log.entity.SysLog;
import com.gx.obe.server.common.vo.Result;
import com.gx.obe.server.management.log.dao.SysLogMapper;
import com.gx.obe.server.management.log.service.SysLogService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/** 
 * @Description: 
 * @author mazc 
 */
@Service
@Transactional
public class SysLogServiceImpl extends ServiceImpl<SysLogMapper, SysLog> implements SysLogService {

	@Autowired
	private SysLogMapper obeSysLogMapper;
	
	/**
	 *  保存日志
	 * @param sysLog
	 * @return
	 */
  	public Result<Boolean> saveLog(SysLog sysLog) {
		return Result.ok(obeSysLogMapper.insert(sysLog) > 0);
	}

	@Override
	public IPage<SysLog> getEvaluationProjectPageList(Page<SysLog> page, Integer level,String createUser, Date startTime, Date endTime) {
		 QueryWrapper<SysLog> queryWrapper = new QueryWrapper<SysLog>();
		 if(null != level) {
			 queryWrapper.lambda().eq(SysLog::getLevel, level);
		 }
		 if(null != startTime) {
			 queryWrapper.lambda().ge(SysLog::getCreateTime, startTime);
		 }
		 if(null != endTime) {
			 queryWrapper.lambda().le(SysLog::getCreateTime, endTime);
		 }
		 if(null != createUser) {
			 queryWrapper.lambda().le(SysLog::getCreateUser, createUser);
		 }
		return obeSysLogMapper.selectPage(page, queryWrapper);
	}

	@Override
	public IPage<SysLog> selectConditionQuery(Page<SysLog> page, String createUser, String title, String params,String createTime, String endTime, String returnValue, Boolean isException) {
 		return obeSysLogMapper.selectConditionQuery(page,createUser, title, params, createTime, endTime, returnValue, isException);
	}

}
