package com.gx.obe.server.management.menu.controller;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.gx.obe.server.common.base.BaseController;
import com.gx.obe.server.common.vo.RequestBodyEntity;
import com.gx.obe.server.management.menu.entity.AuthMenuEntity;
import com.gx.obe.server.management.menu.entity.AuthRoleMenu;
import com.gx.obe.server.management.menu.service.AuthRoleMenuService;

import lombok.AllArgsConstructor;
/** 
 * @Description: 
 * @author mazc 
 */
@RestController
@AllArgsConstructor
@RequestMapping("/authRoleMenu")
public class AuthRoleMenuController extends BaseController<AuthRoleMenuService,AuthRoleMenu>{
	@Autowired
	public AuthRoleMenuService authRoleMenuServices;
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param AuthRoleMenuList 
	 */
	@PostMapping("/insertByBatch")
	public int insertByBatch(@RequestBody List<AuthRoleMenu> AuthRoleMenuList) {
		return authRoleMenuServices.insertByBatch(AuthRoleMenuList);
	}
	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param AuthRoleMenuList 
	 */
	@PostMapping("/updateByBatch")
	public int updateByBatch(@RequestBody List<AuthRoleMenu> AuthRoleMenuList) {
		return authRoleMenuServices.updateByBatch(AuthRoleMenuList);
	}

	/**
	 * @Description: 获得角色的菜单
	 * @author mazc
	 * @param roleId
	 * @return 
	 */
	@GetMapping("/getRoleResourceList")
	public List<Object> getRoleResourceList(String roleId){
		return authRoleMenuServices.getRoleResourceList(roleId);
	}
	
	/**
	 * @Description: 为角色分配菜单
	 * @author mazc
	 * @param authRoleId
	 * @param userId
	 * @param menuList
	 * @return 
	 */
	@PostMapping("/assignRoleResource")
	public boolean assignRoleResource(@RequestBody RequestBodyEntity<AuthMenuEntity> requestBodyEntity){
		if(null == requestBodyEntity) {
			return false;
		}
		String authRoleId= (String) requestBodyEntity.getParam("authRoleId");
		String userId= (String) requestBodyEntity.getParam("userId");
		List<AuthMenuEntity> menuList = requestBodyEntity.getEntityList();
		return authRoleMenuServices.assignRoleResource(authRoleId, userId, menuList);
	}
	
}