package com.gx.obe.server.management.menu.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gx.obe.server.management.menu.entity.AuthMenuEntity;

 /**  
 * 
 * @author 
 * @Title: AuthMenuEntity
 * @Package com.gx.obe.server.management.menu.entity  
 * @Description:   AuthMenuMapper 接口
 * @author: XiaoMa Pro - myzhichao@163.com
 * @date:   2019-05-09   
 * @version V1.0 
 * @Copyright: 2019 www.msypro.com Inc. All rights reserved. 
 *  
 */
 @Mapper
public interface AuthMenuMapper extends BaseMapper<AuthMenuEntity> {

	/**   
	 * @Title: selectUserResourceMenuList   
	 * @Description: 查询用户菜单list
	 * @param: @param userId
	 * @param: @param roleType
	 * @param: @param useStatus
	 * @param: @return      
	 * @return: List<AuthMenuEntity>      
	 * @throws   
	 */  
	List<AuthMenuEntity> selectUserResourceMenuList(@Param("userId")  String userId, @Param("roleType") String roleType ,@Param("useStatus") String useStatus);
	/**   
	 * @Title: getUserRoleMenuList   
	 * @Description: 查询用户菜单list
	 * @param: @param userId
	 * @param: @param roleType
	 * @param: @param useStatus
	 * @param: @return      
	 * @return: List<AuthMenuEntity>      
	 * @throws   
	 */  
	List<AuthMenuEntity> getUserRoleMenuList(@Param("userId")  String userId, @Param("roleId") String roleType ,@Param("useStatus") String useStatus);

	/**
	 * @Description: 获得菜单的最大序号
	 * @author wangxiang
	 * @param parentId
	 * @return
	 */
	Integer getMaxResourceSortNo(@Param("parentId") String parentId, @Param("menuType") String menuType);

	/**
	 * @Description: 批量修改制定字段
	 * @author wangxiang
	 * @param menuList
	 * @param attributes
	 * @return 
	 */
	Integer updateMenuBatchList(@Param("MenuList")List<AuthMenuEntity> menuList);

	/**
	 * @Description: 查询用户权限菜单
	 * @author wangxiang
	 * @param userId
	 * @param roleType
	 * @param parentMenuId
	 * @return 
	 */
	List<AuthMenuEntity> getUserResourceList(@Param("userId")String userId,@Param("roleType") String roleType,@Param("useStatus") String useStatus);

	/**
	 * @Description: 根据类型获得菜单列表
	 * @author wangxiang
	 * @param menuType
	 * @return 
	 */
	List<AuthMenuEntity> getMenuListByMenuType(@Param("menuType") String menuType);

	/**
	 * @Description: 菜单编号是否唯一
	 * @author wangxiang
	 * @param menuId
	 * @param menuCode
	 * @return 
	 */
	Integer isUniqueMenuCode(@Param("menuCode")String menuCode);

	Integer isUniqueMenuCodeHasMenuId(@Param("menuId")String menuId, @Param("menuCode")String menuCode);

	/**
	 * @Description: 获得菜单下的功能集
	 * @author wangxiang
	 * @param menuId
	 * @return 
	 */
	List<Map<String, Object>> getMenuFunctionMap(String menuId);

    /**
     * @Description: 批量指定字段修改
     * @author chenxw
     * @param AuthMenuList 
     */
    Integer batchUpdateProperty (@Param("AuthMenuList") List<AuthMenuEntity> AuthMenuList, @Param("attributes")String[] attributes);

    /**
     * @Description: 交换两个菜单的排序
     * @author chenxw
     * @param sourceId
     * @param targetId
     * @return 
     */
    Integer changeResourceSortNo(@Param("sourceId")String sourceId, @Param("targetId")String targetId);
	
	
}