package com.gx.obe.server.management.project.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.gx.obe.server.common.enumeration.CommonEnum;

/**
 * 
 * @author
 * @Title: ProjectRule
 * @Package com.gx.obe.server.management.user.entity
 * @Description:
 * @author: XiaoMa Pro - myzhichao@163.com
 * @date: 2019-04-30
 * @version V1.0
 * @Copyright: 2019 www.msypro.com Inc. All rights reserved.
 * 
 */

@TableName("obe_project_rule")
public class ProjectRule extends Model<ProjectRule> {
	private static final long serialVersionUID = 1L;

	/**
	 * 规则主键
	 */
	@TableId("RULE_ID")
//	@JsonDeserialize(using = StringDeserializer.class)
	private String id;
	
	/**
	 * 项目外键
	 */
	@TableField("TENDER_ID")
//	@JsonDeserialize(using = StringDeserializer.class)
	private String tenderId;
	/**
	 * 开标类型[00一次性开标 ；01分两步开标]
	 */
	@TableField("BID_OPENING_STAGE")
//	@JsonDeserialize(using = StringDeserializer.class)
	private String bidOpeningStage;
	/**
	 * 开标开始时间
	 */
	@TableField("BID_OPENING_START_TIME")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date bidOpeningStartTime;
	/**
	 * 价格标开标时间
	 */
	@TableField("PRICE_BID_OPENING_TIME")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date priceBidOpeningTime;
	/**
	 * 签到截止时间
	 */
	@TableField("SIGN_END_TIME")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date signEndTime;
	/**
	 * 价格标签到截止时间
	 */
	@TableField("PRICE_SIGN_END_TIME")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date priceSignEndTime;
	/**
	 * 解密截止时间
	 */
	@TableField("DECRYPT_END_TIME")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date decryptEndTime;
	/**
	 * 价格标解密截止时间
	 */
	@TableField("PRICE_DECRYPT_END_TIME")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date priceDecryptEndTime;
	
	
	/**
	 * 是否匿名[00：未匿名；01：匿名]
	 */
	@TableField("IS_ANONYMOUS")
	private boolean isAnonymous;
	
	/**
	 * 开标议程
	 */
	@TableField("PRICE_BID_OPENING_AGENDA")
//	@JsonDeserialize(using = StringDeserializer.class)
	private String priceBidOpeningAgenda;
	/**
	 * 开标议程
	 */
	@TableField("BID_OPENING_AGENDA")
//	@JsonDeserialize(using = StringDeserializer.class)
	private String bidOpeningAgenda;
	/**
	 * 远程开标
	 */
	@TableField("BID_OPENING_TYPE")
//	@JsonDeserialize(using = StringDeserializer.class)
	private String bidOpeningType;
	/**
	 * 评标开始时间
	 */
	@TableField("BID_EVALUATION_START_TIME")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date bidEvaluationStartTime;
	/**
	 * 默认推荐个数
	 */
	@TableField("RECOMMEND_COUNT")
	private Integer recommendCount;

    /**
     * 币种
     */
    @TableField("CURRENCY_CODE")
    private String currencyCode;

    /**
     * 币种名称
     */
    @TableField("CURRENCY_NAME")
    private String currencyName;

	/**
	 * 是否修改过价格单位
	 */
	@TableField("MODIFY_UNIT")
	private String modifyUnit;

	/**
	 * 价格单位
	 */
	@TableField("PRICE_UNIT") 
//	@JsonDeserialize(using = StringDeserializer.class)
	private String priceUnit;

	/**
	 * 评标价币种
	 */
	@TableField("EVAL_CURRENCY_CODE")
	private String evalCurrencyCode;

	/**
	 * 评标价币种名称
	 */
	@TableField("EVAL_CURRENCY_NAME")
	private String evalCurrencyName;

	/**
	 * 评标价单位
	 */
	@TableField("EVAL_PRICE_UNIT")
	private String evalPriceUnit;
	
	/**
	 * 解密方式
	 */
	@TableField("DECODE_TYPE")
	private String decodeType;

	/**
	 * 价格计算公式外键
	 */
	@TableField("PRICE_COMPUTER_ID")
//	@JsonDeserialize(using = StringDeserializer.class)
	private String priceComputerId;
	/**
	 * 评审方式
	 */
	@TableField("EVAL_METHOD_TYPE")
//	@JsonDeserialize(using = StringDeserializer.class)
	private String evalMethodType;
	/**
	 * 评审方式
	 */
	@TableField("EVAL_METHOD_NAME")
//	@JsonDeserialize(using = StringDeserializer.class)
	private String evalMethodName;
	/**
	 * 评分汇总方式
	 */
	@TableField("SCORE_COLLECT_TYPE")
//	@JsonDeserialize(using = StringDeserializer.class)
	private String scoreCollectType;
	/**
	 * 公式参数
	 */
	@TableField("COMPUTER_PARAMS")
	private byte[] computerParams;
	/**
	 * 顺序评审
	 */
	@TableField("ORDER_REVIEW")
//	@JsonDeserialize(using = StringDeserializer.class)
	private String orderReview;
	/**
	 * 得分小数位数
	 */
	@TableField("SCORE_ROUND")
	private Integer scoreRound;
	/**
	 * 自动保存评标结果
	 */
	@TableField("AUTO_SAVE_TIME")
	private Integer autoSaveTime;
	/**
	 * 查看投标报价
	 */
	@TableField("VIEW_BID_PRICE")
//	@JsonDeserialize(using = StringDeserializer.class)
	private String viewBidPrice;
	/**
	 * 开标时是否需要经办人ca
	 */
	@TableField("NEED_OPERATORCA")
//	@JsonDeserialize(using = StringDeserializer.class)
	private String needOperatorca;
	/**
	 * 开标界面是否显示投标报证金情况
	 */
	@TableField("SHOW_BID_BOND")
//	@JsonDeserialize(using = StringDeserializer.class)
	private String showBidBond;
	/**
	 * 开标界面是否显示标书费情况
	 */
	@TableField("SHOW_TENDER_FEE")
//	@JsonDeserialize(using = StringDeserializer.class)
	private String showTenderFee;
	/**
	 * 开标终端显示投标人签到
	 */
	@TableField("SHOW_SUPPLIER_SIGN")
//	@JsonDeserialize(using = StringDeserializer.class)
	private String showSupplierSign;
	/**
	 * 开标时是否显示投标报价
	 */
	@TableField("SHOW_BID_PRICE")
//	@JsonDeserialize(using = StringDeserializer.class)
	private String showBidPrice;
	/**
	 * 开标界面和唱标界面是否显示项目预算和超预算
	 */
	@TableField("SHOW_BUDGET")
//	@JsonDeserialize(using = StringDeserializer.class)
	private String showBudget;
	/**
	 * 开标时间未到之前是否显示投标人信息
	 */
	@TableField("HIDE_SUPPLIER_INFO")
//	@JsonDeserialize(using = StringDeserializer.class)
	private String hideSupplierInfo;
	/**
	 * 查看价格得分
	 */
	@TableField("VIEW_PRICE_SCORE")
//	@JsonDeserialize(using = StringDeserializer.class)
	private String viewPriceScore;
	/**
	 * 录入评标价
	 */
	@TableField("INPUT_EVAL_PRICE")
//	@JsonDeserialize(using = StringDeserializer.class)
	private String inputEvalPrice;
	/**
	 * 修改推荐排名
	 */
	@TableField("EDIT_RECOMMONED_SORT")
//	@JsonDeserialize(using = StringDeserializer.class)
	private String editRecommonedSort;
	/**
	 * 控制价
	 */
	@TableField("CONTROL_PRICE")
	private BigDecimal controlPrice;
	/**
	 * 预留金
	 */
	@TableField("RESERVED_PRICE")
	private BigDecimal reservedPrice;
	/**
	 * K的待定系数
	 */
	@TableField("K_ITEMS")
//	@JsonDeserialize(using = StringDeserializer.class)
	private String kItems;
	/**
	 * R的待定系数
	 */
	@TableField("R_ITEMS")
//	@JsonDeserialize(using = StringDeserializer.class)
	private String rItems;
	/**
	 * 优先级一
	 */
	@TableField("ORDER_FIRST")
//	@JsonDeserialize(using = StringDeserializer.class)
	private String orderFirst;
	/**
	 * 优先级二
	 */
	@TableField("ORDER_SECOND")
//	@JsonDeserialize(using = StringDeserializer.class)
	private String orderSecond;
	/**
	 * 优先级三
	 */
	@TableField("ORDER_THIRD")
//	@JsonDeserialize(using = StringDeserializer.class)
	private String orderThird;
	/**
	 * 修正评标价
	 */
	@TableField("CORRECT_PRICE")
//	@JsonDeserialize(using = StringDeserializer.class)
	private String correctPrice;
	/**
	 * 确认修正结果
	 */
	@TableField("CONFIRM_PRICE")
//	@JsonDeserialize(using = StringDeserializer.class)
	private String confirmPrice;
	/**
	 * 唱标前内容
	 */
	@TableField("SING_PREFIX")
//	@JsonDeserialize(using = StringDeserializer.class)
	private String singPrefix;
	/**
	 * 唱标前内容
	 */
	@TableField("SING_SUFFIX")
//	@JsonDeserialize(using = StringDeserializer.class)
	private String singSuffix;
	/**
	 * 评审方式
	 */
	@TableField("EVAL_WAY")
//	@JsonDeserialize(using = StringDeserializer.class)
	private String evalWay;
	/**
	 * 公告发布时间
	 */
	@TableField("SIGNUP_START_TIME")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date signupStartTime;
	/**
	 * 文件售卖开始时间
	 */
	@TableField("DOC_SALE_START_TIME")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date docSaleStartTime;
	/**
	 * 文件售卖结束时间
	 */
	@TableField("DOC_SALE_END_TIME")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date docSaleEndTime;

 
 

	public String getrItems() {
		return rItems;
	}

	public void setrItems(String rItems) {
		this.rItems = rItems;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getTenderId() {
		return tenderId;
	}

	public void setTenderId(String tenderId) {
		this.tenderId = tenderId;
	}

	public String getBidOpeningStage() {
		return bidOpeningStage;
	}

	public void setBidOpeningStage(String bidOpeningStage) {
		this.bidOpeningStage = bidOpeningStage;
	}

	public Date getBidOpeningStartTime() {
		return bidOpeningStartTime;
	}

	public void setBidOpeningStartTime(Date bidOpeningStartTime) {
		this.bidOpeningStartTime = bidOpeningStartTime;
	}

	public Date getPriceBidOpeningTime() {
		return priceBidOpeningTime;
	}

	public void setPriceBidOpeningTime(Date priceBidOpeningTime) {
		this.priceBidOpeningTime = priceBidOpeningTime;
	}

	public Date getSignEndTime() {
		return signEndTime;
	}

	public void setSignEndTime(Date signEndTime) {
		this.signEndTime = signEndTime;
	}

	public Date getPriceSignEndTime() {
		return priceSignEndTime;
	}

	public void setPriceSignEndTime(Date priceSignEndTime) {
		this.priceSignEndTime = priceSignEndTime;
	}

	public Date getDecryptEndTime() {
		return decryptEndTime;
	}

	public void setDecryptEndTime(Date decryptEndTime) {
		this.decryptEndTime = decryptEndTime;
	}

	public Date getPriceDecryptEndTime() {
		return priceDecryptEndTime;
	}

	public void setPriceDecryptEndTime(Date priceDecryptEndTime) {
		this.priceDecryptEndTime = priceDecryptEndTime;
	}


	public boolean getIsAnonymous() {
		return isAnonymous;
	}

	public void setIsAnonymous(boolean isAnonymous) {
		this.isAnonymous = isAnonymous;
	}

	public String getPriceBidOpeningAgenda() {
		return priceBidOpeningAgenda;
	}

	public void setPriceBidOpeningAgenda(String priceBidOpeningAgenda) {
		this.priceBidOpeningAgenda = priceBidOpeningAgenda;
	}

	public String getBidOpeningAgenda() {
		return bidOpeningAgenda;
	}

	public void setBidOpeningAgenda(String bidOpeningAgenda) {
		this.bidOpeningAgenda = bidOpeningAgenda;
	}

	public String getBidOpeningType() {
		return bidOpeningType;
	}

	public void setBidOpeningType(String bidOpeningType) {
		this.bidOpeningType = bidOpeningType;
	}

	public Date getBidEvaluationStartTime() {
		return bidEvaluationStartTime;
	}

	public void setBidEvaluationStartTime(Date bidEvaluationStartTime) {
		this.bidEvaluationStartTime = bidEvaluationStartTime;
	}

	public Integer getRecommendCount() {
		return recommendCount;
	}

	public void setRecommendCount(Integer recommendCount) {
		this.recommendCount = recommendCount;
	}

	 

 
	public String getPriceUnit() {
		return priceUnit;
	}

	public void setPriceUnit(String priceUnit) {
		this.priceUnit = priceUnit;
	}

	public String getPriceComputerId() {
		return priceComputerId;
	}

	public void setPriceComputerId(String priceComputerId) {
		this.priceComputerId = priceComputerId;
	}

	public String getEvalMethodType() {
		return evalMethodType;
	}

	public void setEvalMethodType(String evalMethodType) {
		this.evalMethodType = evalMethodType;
	}

	public String getEvalMethodName() {
		return evalMethodName;
	}

	public void setEvalMethodName(String evalMethodName) {
		this.evalMethodName = evalMethodName;
	}

	public String getScoreCollectType() {
		return scoreCollectType;
	}

	public void setScoreCollectType(String scoreCollectType) {
		this.scoreCollectType = scoreCollectType;
	}

	public byte[] getComputerParams() {
		return computerParams;
	}

	public void setComputerParams(byte[] computerParams) {
		this.computerParams = computerParams;
	}

	public String getOrderReview() {
		return orderReview;
	}

	public void setOrderReview(String orderReview) {
		this.orderReview = orderReview;
	}

	public Integer getScoreRound() {
		return scoreRound;
	}

	public int getScoreRoundIntVal() {
		return null != scoreRound ? (scoreRound.intValue() != 0 ? scoreRound.intValue() : 2 ): 2;
	}
	public void setScoreRound(Integer scoreRound) {
		this.scoreRound = scoreRound;
	}

	public Integer getAutoSaveTime() {
		return autoSaveTime;
	}

	public void setAutoSaveTime(Integer autoSaveTime) {
		this.autoSaveTime = autoSaveTime;
	}

	public String getViewBidPrice() {
		return viewBidPrice;
	}

	public void setViewBidPrice(String viewBidPrice) {
		this.viewBidPrice = viewBidPrice;
	}

	public String getNeedOperatorca() {
		return needOperatorca;
	}

	public void setNeedOperatorca(String needOperatorca) {
		this.needOperatorca = needOperatorca;
	}

	public String getShowBidBond() {
		return showBidBond;
	}

	public void setShowBidBond(String showBidBond) {
		this.showBidBond = showBidBond;
	}

	public String getShowTenderFee() {
		return showTenderFee;
	}

	public void setShowTenderFee(String showTenderFee) {
		this.showTenderFee = showTenderFee;
	}

	public String getShowSupplierSign() {
		return showSupplierSign;
	}

	public void setShowSupplierSign(String showSupplierSign) {
		this.showSupplierSign = showSupplierSign;
	}

	public String getShowBidPrice() {
		return showBidPrice;
	}

	public void setShowBidPrice(String showBidPrice) {
		this.showBidPrice = showBidPrice;
	}

	public String getShowBudget() {
		return showBudget;
	}

	public void setShowBudget(String showBudget) {
		this.showBudget = showBudget;
	}

	public String getHideSupplierInfo() {
		return hideSupplierInfo;
	}

	public void setHideSupplierInfo(String hideSupplierInfo) {
		this.hideSupplierInfo = hideSupplierInfo;
	}

	public String getViewPriceScore() {
		return viewPriceScore;
	}

	public void setViewPriceScore(String viewPriceScore) {
		this.viewPriceScore = viewPriceScore;
	}

	public String getInputEvalPrice() {
		return inputEvalPrice;
	}

	public void setInputEvalPrice(String inputEvalPrice) {
		this.inputEvalPrice = inputEvalPrice;
	}

	public String getEditRecommonedSort() {
		return editRecommonedSort;
	}

	public void setEditRecommonedSort(String editRecommonedSort) {
		this.editRecommonedSort = editRecommonedSort;
	}

	public BigDecimal getControlPrice() {
		return controlPrice;
	}

	public void setControlPrice(BigDecimal controlPrice) {
		this.controlPrice = controlPrice;
	}

	public BigDecimal getReservedPrice() {
		return reservedPrice;
	}

	public void setReservedPrice(BigDecimal reservedPrice) {
		this.reservedPrice = reservedPrice;
	}

	public String getOrderFirst() {
		return orderFirst;
	}

	public void setOrderFirst(String orderFirst) {
		this.orderFirst = orderFirst;
	}

	public String getOrderSecond() {
		return orderSecond;
	}

	public void setOrderSecond(String orderSecond) {
		this.orderSecond = orderSecond;
	}

	public String getOrderThird() {
		return orderThird;
	}

	public void setOrderThird(String orderThird) {
		this.orderThird = orderThird;
	}

	public String getCorrectPrice() {
		return correctPrice;
	}

	public void setCorrectPrice(String correctPrice) {
		this.correctPrice = correctPrice;
	}

	public String getConfirmPrice() {
		return confirmPrice;
	}

	public void setConfirmPrice(String confirmPrice) {
		this.confirmPrice = confirmPrice;
	}

	public String getSingPrefix() {
		return singPrefix;
	}

	public void setSingPrefix(String singPrefix) {
		this.singPrefix = singPrefix;
	}

	public String getSingSuffix() {
		return singSuffix;
	}

	public void setSingSuffix(String singSuffix) {
		this.singSuffix = singSuffix;
	}

	public String getEvalWay() {
		return evalWay;
	}

	public void setEvalWay(String evalWay) {
		this.evalWay = evalWay;
	}

	public Date getSignupStartTime() {
		return signupStartTime;
	}

	public void setSignupStartTime(Date signupStartTime) {
		this.signupStartTime = signupStartTime;
	}

	public Date getDocSaleStartTime() {
		return docSaleStartTime;
	}

	public void setDocSaleStartTime(Date docSaleStartTime) {
		this.docSaleStartTime = docSaleStartTime;
	}

	public Date getDocSaleEndTime() {
		return docSaleEndTime;
	}

	public void setDocSaleEndTime(Date docSaleEndTime) {
		this.docSaleEndTime = docSaleEndTime;
	}

	public static final String RULE_ID = "RULE_ID";

	public static final String TENDER_ID = "TENDER_ID";

	public static final String BID_OPENING_STAGE = "BID_OPENING_STAGE";

	public static final String BID_OPENING_START_TIME = "BID_OPENING_START_TIME";

	public static final String PRICE_BID_OPENING_TIME = "PRICE_BID_OPENING_TIME";

	public static final String SIGN_END_TIME = "SIGN_END_TIME";

	public static final String PRICE_SIGN_END_TIME = "PRICE_SIGN_END_TIME";

	public static final String DECRYPT_END_TIME = "DECRYPT_END_TIME";

	public static final String PRICE_DECRYPT_END_TIME = "PRICE_DECRYPT_END_TIME";

	public static final String PRICE_BID_OPENING_AGENDA = "PRICE_BID_OPENING_AGENDA";

	public static final String BID_OPENING_AGENDA = "BID_OPENING_AGENDA";

	public static final String BID_OPENING_TYPE = "BID_OPENING_TYPE";

	public static final String BID_EVALUATION_START_TIME = "BID_EVALUATION_START_TIME";

	public static final String RECOMMEND_COUNT = "RECOMMEND_COUNT";

	public static final String PRICE_UNIT = "PRICE_UNIT";

	public static final String PRICE_COMPUTER_ID = "PRICE_COMPUTER_ID";

	public static final String EVAL_METHOD_TYPE = "EVAL_METHOD_TYPE";

	public static final String EVAL_METHOD_NAME = "EVAL_METHOD_NAME";

	public static final String SCORE_COLLECT_TYPE = "SCORE_COLLECT_TYPE";

	public static final String COMPUTER_PARAMS = "COMPUTER_PARAMS";

	public static final String ORDER_REVIEW = "ORDER_REVIEW";

	public static final String SCORE_ROUND = "SCORE_ROUND";

	public static final String AUTO_SAVE_TIME = "AUTO_SAVE_TIME";

	public static final String VIEW_BID_PRICE = "VIEW_BID_PRICE";

	public static final String NEED_OPERATORCA = "NEED_OPERATORCA";

	public static final String SHOW_BID_BOND = "SHOW_BID_BOND";

	public static final String SHOW_TENDER_FEE = "SHOW_TENDER_FEE";

	public static final String SHOW_SUPPLIER_SIGN = "SHOW_SUPPLIER_SIGN";

	public static final String SHOW_BID_PRICE = "SHOW_BID_PRICE";

	public static final String SHOW_BUDGET = "SHOW_BUDGET";

	public static final String HIDE_SUPPLIER_INFO = "HIDE_SUPPLIER_INFO";

	public static final String VIEW_PRICE_SCORE = "VIEW_PRICE_SCORE";

	public static final String INPUT_EVAL_PRICE = "INPUT_EVAL_PRICE";

	public static final String EDIT_RECOMMONED_SORT = "EDIT_RECOMMONED_SORT";

	public static final String CONTROL_PRICE = "CONTROL_PRICE";

	public static final String RESERVED_PRICE = "RESERVED_PRICE";

	public static final String K_ITEMS = "K_ITEMS";

	public static final String R_ITEMS = "R_ITEMS";

	public static final String ORDER_FIRST = "ORDER_FIRST";

	public static final String ORDER_SECOND = "ORDER_SECOND";

	public static final String ORDER_THIRD = "ORDER_THIRD";

	public static final String CORRECT_PRICE = "CORRECT_PRICE";

	public static final String CONFIRM_PRICE = "CONFIRM_PRICE";

	public static final String SING_PREFIX = "SING_PREFIX";

	public static final String SING_SUFFIX = "SING_SUFFIX";

	public static final String EVAL_WAY = "EVAL_WAY";

	public static final String SIGNUP_START_TIME = "SIGNUP_START_TIME";

	public static final String DOC_SALE_START_TIME = "DOC_SALE_START_TIME";

	public static final String DOC_SALE_END_TIME = "DOC_SALE_END_TIME";
	
	public static final String IS_ANONYMOUS = "IS_ANONYMOUS";

	@Override
	protected Serializable pkVal() {
		return this.id;
	}

	@Override
	public String toString() {
		return "ProjectRule{" + ", id=" + id + ", tenderId=" + tenderId + ", bidOpeningStage=" + bidOpeningStage
				+ ", bidOpeningStartTime=" + bidOpeningStartTime + ", priceBidOpeningTime=" + priceBidOpeningTime
				+ ", signEndTime=" + signEndTime + ", priceSignEndTime=" + priceSignEndTime + ", decryptEndTime="
				+ decryptEndTime + ", priceDecryptEndTime=" + priceDecryptEndTime + ", priceBidOpeningAgenda="
				+ priceBidOpeningAgenda + ", bidOpeningAgenda=" + bidOpeningAgenda + ", bidOpeningType="
				+ bidOpeningType + ", bidEvaluationStartTime=" + bidEvaluationStartTime + ", recommendCount="
				+ recommendCount + ", priceUint=" + priceUnit + ", priceComputerId=" + priceComputerId
				+ ", evalMethodType=" + evalMethodType + ", evalMethodName=" + evalMethodName + ", scoreCollectType="
				+ scoreCollectType + ", computerParams=" + computerParams + ", orderReview=" + orderReview
				+ ", scoreRound=" + scoreRound + ", autoSaveTime=" + autoSaveTime + ", viewBidPrice=" + viewBidPrice
				+ ", needOperatorca=" + needOperatorca + ", showBidBond=" + showBidBond + ", showTenderFee="
				+ showTenderFee + ", showSupplierSign=" + showSupplierSign + ", showBidPrice=" + showBidPrice
				+ ", showBudget=" + showBudget + ", hideSupplierInfo=" + hideSupplierInfo + ", viewPriceScore="
				+ viewPriceScore + ", inputEvalPrice=" + inputEvalPrice + ", editRecommonedSort=" + editRecommonedSort
				+ ", controlPrice=" + controlPrice + ", reservedPrice=" + reservedPrice + ", kitems=" + kItems
				+ ", rItems=" + rItems + ", orderFirst=" + orderFirst + ", orderSecond=" + orderSecond + ", orderThird="
				+ orderThird + ", correctPrice=" + correctPrice + ", confirmPrice=" + confirmPrice + ", singPrefix="
				+ singPrefix + ", singSuffix=" + singSuffix + ", evalWay=" + evalWay + ", signupStartTime="
				+ signupStartTime + ", docSaleStartTime=" + docSaleStartTime + ", isAnonymous=" + isAnonymous + ", docSaleEndTime=" + docSaleEndTime
				+ "}";
	}

    public String getkItems() {
		return kItems;
	}

	public void setkItems(String kItems) {
		this.kItems = kItems;
	}

	public String getCurrencyCode() {
        return currencyCode;
    }

    public void setCurrencyCode(String currencyCode) {
        this.currencyCode = currencyCode;
    }

    public String getCurrencyName() {
        return currencyName;
    }

    public void setCurrencyName(String currencyName) {
        this.currencyName = currencyName;
    }

	public String getEvalCurrencyCode() {
		return evalCurrencyCode;
	}

	public void setEvalCurrencyCode(String evalCurrencyCode) {
		this.evalCurrencyCode = evalCurrencyCode;
	}

	public String getEvalCurrencyName() {
		return evalCurrencyName;
	}

	public void setEvalCurrencyName(String evalCurrencyName) {
		this.evalCurrencyName = evalCurrencyName;
	}

	public String getEvalPriceUnit() {
		return evalPriceUnit;
	}

	public void setEvalPriceUnit(String evalPriceUnit) {
		this.evalPriceUnit = evalPriceUnit;
	}

	public String getDecodeType() {
		return decodeType;
	}

	public void setDecodeType(String decodeType) {
		this.decodeType = decodeType;
	}

	public String getModifyUnit() {
		return modifyUnit;
	}

	public void setModifyUnit(String modifyUnit) {
		this.modifyUnit = modifyUnit;
	}
}
