package com.gx.obe.server.management.project.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import org.springframework.format.annotation.DateTimeFormat;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.gx.obe.server.common.json.StringDeserializer;

/**
 * 
 * @author
 * @Title: TenderProject
 * @Package com.gx.obe.server.management.user.entity
 * @Description:
 * @author: XiaoMa Pro - myzhichao@163.com
 * @date: 2019-04-29
 * @version V1.0
 * @Copyright: 2019 www.msypro.com Inc. All rights reserved.
 * 
 */

@TableName("obe_tender_project")
public class TenderProject extends Model<TenderProject> {
	private static final long serialVersionUID = 1L;

	/**
	 * 主键
	 */
	@TableId("TENDER_ID")
	@JsonDeserialize(using = StringDeserializer.class)
	private String id;
	/**
	 * 父级项目外键
	 */
	@TableField("TENDER_PARENT_ID")
	@JsonDeserialize(using = StringDeserializer.class)
	private String parentId;
	/**
	 * 项目编号
	 */
	@TableField("TENDER_NO")
	@JsonDeserialize(using = StringDeserializer.class)
	private String tenderNo;
	/**
	 * 项目名称
	 */
	@TableField("TENDER_NAME")
	@JsonDeserialize(using = StringDeserializer.class)
	private String tenderName;
	/**
	 * 招标内容
	 */
	@TableField("TENDER_CONTENT")
	@JsonDeserialize(using = StringDeserializer.class)
	private String tenderContent;
	/**
	 * 委托单位(采购人)
	 */
	@TableField("PURCHASER_NAME")
	@JsonDeserialize(using = StringDeserializer.class)
	private String purchaserName;
	/**
	 * 采购品目
	 */
	@TableField("PURCATEGORY_NAMES")
	@JsonDeserialize(using = StringDeserializer.class)
	private String purcategoryNames;
	/**
	 * 经办人(项目经理)
	 */
	@TableField("MANAGER_NAME")
	@JsonDeserialize(using = StringDeserializer.class)
	private String managerName;
	/**
	 * 经办人外键
	 */
	@TableField("USER_ID")
	@JsonDeserialize(using = StringDeserializer.class)
	private String userId;
	/**
	 * 开标人外键
	 */
	@TableField("OPENING_USER_ID")
	@JsonDeserialize(using = StringDeserializer.class)
	private String openingUserId;
	/**
	 * 项目类型
	 */
	@TableField("TENDER_TYPE")
	@JsonDeserialize(using = StringDeserializer.class)
	private String tenderType;
	/**
	 * 采购方式
	 */
	@TableField("TENDER_METHOD")
	@JsonDeserialize(using = StringDeserializer.class)
	private String tenderMethod;
	/**
	 * 入围方式
	 */
	@TableField("ENTER_TYPE")
	@JsonDeserialize(using = StringDeserializer.class)
	private String enterType;
	/**
	 * 开标室外键
	 */
	@TableField("BID_OPENING_ROOM_ID")
	@JsonDeserialize(using = StringDeserializer.class)
	private String bidOpeningRoomId;
	/**
	 * 评标室外键
	 */
	@TableField("EVALBID_ROOM_ID")
	@JsonDeserialize(using = StringDeserializer.class)
	private String evalbidRoomId;
	/**
	 * 冗余开标室地址
	 */
	@TableField("OPENING_ADDRESS")
	@JsonDeserialize(using = StringDeserializer.class)
	private String openingAddress;
	/**
	 * 冗余评标室地址
	 */
	@TableField("EVALUATION_ADDRESS")
	@JsonDeserialize(using = StringDeserializer.class)
	private String evaluationAddress;
	/**
	 * 开标视频会议地址
	 */
	@TableField("BID_MEETING")
	@JsonDeserialize(using = StringDeserializer.class)
	private String bidMeeting;
	/**
	 * 评标视频会议地址
	 */
	@TableField("EVALUATION_MEETING")
	@JsonDeserialize(using = StringDeserializer.class)
	private String evaluationMeeting;
	/**
	 * 预算金额
	 */
	@TableField("BUDGET_MONEY")
	private BigDecimal budgetMoney;
	/**
	 * 投标限价
	 */
	@TableField("BID_PRICE_LIMIT")
	private BigDecimal bidPriceLimit;
	/**
	 * 代理机构(委托单位)
	 */
	@TableField("AGENT_NAME")
	@JsonDeserialize(using = StringDeserializer.class)
	private String agentName;
	/**
	 * 代理机构编号
	 */
	@TableField("AGENT_CODE")
	@JsonDeserialize(using = StringDeserializer.class)
	private String agentCode;
	/**
	 * 项目经理
	 */
	@TableField("PROJECT_MANAGER")
	@JsonDeserialize(using = StringDeserializer.class)
	private String projectManager;
	/**
	 * 专家库外键
	 */
	@TableField("EXPERT_LIBRARY_ID")
	@JsonDeserialize(using = StringDeserializer.class)
	private String expertLibraryId;
	/**
	 * 专家库地址
	 */
	@TableField("EXPERT_LIBRARY_URL")
	@JsonDeserialize(using = StringDeserializer.class)
	private String expertLibraryUrl;
	/**
	 * 阶段ID
	 */
	@TableField("STAGE_ID")
	@JsonDeserialize(using = StringDeserializer.class)
	private String stageId;
	/**
	 * 使用状态
	 */
	@TableField("USE_STATUS")
	@JsonDeserialize(using = StringDeserializer.class)
	private String useStatus;
	/**
	 * 项目或包件是否为远程项目
	 */
	@TableField("REMOTE_STATUS")
	@JsonDeserialize(using = StringDeserializer.class)
	private String remoteStatus;
	/**
	 * 启动远程开标
	 */
	@TableField("START_BID_OPENING")
	@JsonDeserialize(using = StringDeserializer.class)
	private String startBidOpening;
	/**
	 * 启动价格标开标状态
	 */
	@TableField("START_PRICE_BID_OPENING")
	@JsonDeserialize(using = StringDeserializer.class)
	private String startPriceBidOpening;
	/**
	 * 上传开标结果状态
	 */
	@TableField("UPLOAD_OPENING_RESULT_STATUS")
	@JsonDeserialize(using = StringDeserializer.class)
	private String uploadOpeningResultStatus;
	/**
	 * 上传经济标开标结果
	 */
	@TableField("UPLOAD_PRICE_OPENING_RESULT_STATUS")
	@JsonDeserialize(using = StringDeserializer.class)
	private String uploadPriceOpeningResultStatus;
	/**
	 * 上传评标结果状态
	 */
	@TableField("UPLOAD_EVALUATION_RESULT_STATUS")
	@JsonDeserialize(using = StringDeserializer.class)
	private String uploadEvaluationResultStatus;
	/**
	 * 当前开标阶段类型
	 */
	@TableField("BID_OPENING_STAGE")
	@JsonDeserialize(using = StringDeserializer.class)
	private String bidOpeningStage;
	/**
	 * 开标状态
	 */
	@TableField("BID_OPENING_STATUS")
	@JsonDeserialize(using = StringDeserializer.class)
	private String bidOpeningStatus;
	/**
	 * 商务标状态
	 */
	@TableField("BUSINESS_BID_STATUS")
	@JsonDeserialize(using = StringDeserializer.class)
	private String businessBidStatus;
	/**
	 * 技术标状态
	 */
	@TableField("TECHNOLOGY_BID_STATUS")
	@JsonDeserialize(using = StringDeserializer.class)
	private String technologyBidStatus;
	/**
	 * 价格标状态
	 */
	@TableField("PRICE_BID_STATUS")
	@JsonDeserialize(using = StringDeserializer.class)
	private String priceBidStatus;
	/**
	 * 开标意见
	 */
	@TableField("BID_OPENING_OPINION")
	@JsonDeserialize(using = StringDeserializer.class)
	private String bidOpeningOpinion;
	/**
	 * 有效状态
	 */
	@TableField("EFFECTIVE_TYPE")
	@JsonDeserialize(using = StringDeserializer.class)
	private String effectiveType;
	/**
	 * 有效性备注
	 */
	@TableField("EFFECTIVE_MEMO")
	@JsonDeserialize(using = StringDeserializer.class)
	private String effectiveMemo;
	/**
	 * 评审意见
	 */
	@TableField("EVALUATION_OPINION")
	@JsonDeserialize(using = StringDeserializer.class)
	private String evaluationOpinion;
	/**
	 * 最新同步投标信息状态
	 */
	@TableField("MODIFY_SORT_REASON")
	@JsonDeserialize(using = StringDeserializer.class)
	private String latestBidinfo;
	/**
	 * 完成状态
	 */
	@TableField("COMPLATE_STATUS")
	@JsonDeserialize(using = StringDeserializer.class)
	private String complateStatus;
	/**
	 * 评审进度
	 */
	@TableField("EVALUATION_STATUS")
	@JsonDeserialize(using = StringDeserializer.class)
	private String evaluationStatus;
	/**
	 * 系统外键
	 */
	@TableField("TRANSACTION_SERVER_ID")
	@JsonDeserialize(using = StringDeserializer.class)
	private String transactionServerId;
	/**
	 * 阶段类型
	 */
	@TableField("PHASE_TYPE")
	@JsonDeserialize(using = StringDeserializer.class)
	private String phaseType;
	/**
	 * 是否分包[00：未分包；01：分包]
	 */
	@TableField("IS_PACK")
	@JsonDeserialize(using = StringDeserializer.class)
	private String isPack;
	/**
	 * 服务器账号
	 */
	@TableField("SERVER_ACCOUNT")
	@JsonDeserialize(using = StringDeserializer.class)
	private String serverAccount;
	/**
	 * 服务器密码
	 */
	@TableField("SERVER_PASSWORD")
	@JsonDeserialize(using = StringDeserializer.class)
	private String serverPassword;
	/**
	 * 创建人外键
	 */
	@TableField("CREATE_USER")
	@JsonDeserialize(using = StringDeserializer.class)
	private String createUser;
	/**
	 * 创建时间
	 */
	@TableField("CREATE_TIME")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createTime;
	/**
	 * 修改人外键
	 */
	@TableField("MODIFY_USER")
	@JsonDeserialize(using = StringDeserializer.class)
	private String modifyUser;
	/**
	 * 修改时间
	 */
	@TableField("MODIFY_TIME")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date modifyTime;
	/**
	 * 是否已上传解密标书文件
	 */
	@TableField("UPLOAD_DECRYPT_FILE_STATUS")
	@JsonDeserialize(using = StringDeserializer.class)
	private String uploadDecryptFileStatus;
	
	/**
	 * 是否已上传解密标书文件
	 */
	@TableField("BID_OPENING_FILE")
	@JsonDeserialize(using = StringDeserializer.class)
	private String bidOpeningFile;
	/**
	 * 项目流水号
	 */
	@TableField("TENDERNO_NUMBER")
	@JsonDeserialize(using = StringDeserializer.class)
	private String tenderNumber;
	/**
	 * 包件排序
	 */
	@TableField("SORT_NO")
	private Integer sortNo;
	/**
	 * 参数
	 */
	@TableField("PARAMS")
	private byte[] params;
	/**
	 * 货物名称
	 */
	@TableField("PURCATEGORY_NAME")
	@JsonDeserialize(using = StringDeserializer.class)
	private String purcategoryName;
	/**
	 * 转采购方式状态 01转换中 02转换完成或者不转换的
	 */
	@TableField("CHANGE_STATUES")
	@JsonDeserialize(using = StringDeserializer.class)
	private String changeStatues;
	
	
	/**
	 * 供应商数量
	 */
	@TableField(exist = false)
	private int supplierCount;
	
	
	@TableField(exist = false)
	private List<TenderProject> childList = new ArrayList<TenderProject>();
    /**
     * 开标开始时间
     */
     @TableField(exist = false)
     @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
 	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date bidOpeningStartTime;
    
    /**
     * 评标开始时间
     */
     @TableField(exist = false)
     @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
 	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date bidEvaluationStartTime;
     
     @TableField(exist = false) 
    private ProjectRule projectRule;
     
     @TableId("TENDER_SOURCE_ID")
  	private String tenderSourceId; //复评根源项目id
  	
  	@TableId("HAS_COPY_TENDER")
  	private String hasCopyTender; //是否已复评
  	
  	public String getTenderSourceId() {
		return tenderSourceId;
	}

	public void setTenderSourceId(String tenderSourceId) {
		this.tenderSourceId = tenderSourceId;
	}

	public String getHasCopyTender() {
		return hasCopyTender;
	}

	public void setHasCopyTender(String hasCopyTender) {
		this.hasCopyTender = hasCopyTender;
	}
  	
     
     public List<TenderProject> getChildList() {
 		return childList;
 	}
     
 	public void addChild(TenderProject child){
 		childList.add(child);
 	}
 	public void setChildList(List<TenderProject> childList) {
 		if(null == childList){
 			this.childList.clear();
 		}else {
 			this.childList = childList;
 		}
 	}
     
	public Date getBidOpeningStartTime() {
		return bidOpeningStartTime;
	}

	public void setBidOpeningStartTime(Date bidOpeningStartTime) {
		this.bidOpeningStartTime = bidOpeningStartTime;
	}

	public Date getBidEvaluationStartTime() {
		return bidEvaluationStartTime;
	}

	public void setBidEvaluationStartTime(Date bidEvaluationStartTime) {
		this.bidEvaluationStartTime = bidEvaluationStartTime;
	}

	public int getSupplierCount() {
		return supplierCount;
	}

	public void setSupplierCount(int supplierCount) {
		this.supplierCount = supplierCount;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getParentId() {
		return parentId;
	}

	public void setParentId(String parentId) {
		this.parentId = parentId;
	}

	public String getTenderNo() {
		return tenderNo;
	}

	public void setTenderNo(String tenderNo) {
		this.tenderNo = tenderNo;
	}

	public String getTenderName() {
		return tenderName;
	}

	public void setTenderName(String tenderName) {
		this.tenderName = tenderName;
	}

	public String getTenderContent() {
		return tenderContent;
	}

	public void setTenderContent(String tenderContent) {
		this.tenderContent = tenderContent;
	}

	public String getPurchaserName() {
		return purchaserName;
	}

	public void setPurchaserName(String purchaserName) {
		this.purchaserName = purchaserName;
	}

	public String getPurcategoryNames() {
		return purcategoryNames;
	}

	public void setPurcategoryNames(String purcategoryNames) {
		this.purcategoryNames = purcategoryNames;
	}

	public String getManagerName() {
		return managerName;
	}

	public void setManagerName(String managerName) {
		this.managerName = managerName;
	}

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public String getOpeningUserId() {
		return openingUserId;
	}

	public void setOpeningUserId(String openingUserId) {
		this.openingUserId = openingUserId;
	}

	public String getTenderType() {
		return tenderType;
	}

	public void setTenderType(String tenderType) {
		this.tenderType = tenderType;
	}

	public String getTenderMethod() {
		return tenderMethod;
	}

	public void setTenderMethod(String tenderMethod) {
		this.tenderMethod = tenderMethod;
	}

	public String getEnterType() {
		return enterType;
	}

	public void setEnterType(String enterType) {
		this.enterType = enterType;
	}

	public String getBidOpeningRoomId() {
		return bidOpeningRoomId;
	}

	public void setBidOpeningRoomId(String bidOpeningRoomId) {
		this.bidOpeningRoomId = bidOpeningRoomId;
	}

	public String getEvalbidRoomId() {
		return evalbidRoomId;
	}

	public void setEvalbidRoomId(String evalbidRoomId) {
		this.evalbidRoomId = evalbidRoomId;
	}

	public String getOpeningAddress() {
		return openingAddress;
	}

	public void setOpeningAddress(String openingAddress) {
		this.openingAddress = openingAddress;
	}

	public String getEvaluationAddress() {
		return evaluationAddress;
	}

	public void setEvaluationAddress(String evaluationAddress) {
		this.evaluationAddress = evaluationAddress;
	}

	public String getBidMeeting() {
		return bidMeeting;
	}

	public void setBidMeeting(String bidMeeting) {
		this.bidMeeting = bidMeeting;
	}

	public String getEvaluationMeeting() {
		return evaluationMeeting;
	}

	public void setEvaluationMeeting(String evaluationMeeting) {
		this.evaluationMeeting = evaluationMeeting;
	}

	public BigDecimal getBudgetMoney() {
		return budgetMoney;
	}

	public void setBudgetMoney(BigDecimal budgetMoney) {
		this.budgetMoney = budgetMoney;
	}

	public BigDecimal getBidPriceLimit() {
		return bidPriceLimit;
	}

	public void setBidPriceLimit(BigDecimal bidPriceLimit) {
		this.bidPriceLimit = bidPriceLimit;
	}

	public String getAgentName() {
		return agentName;
	}

	public void setAgentName(String agentName) {
		this.agentName = agentName;
	}

	public String getAgentCode() {
		return agentCode;
	}

	public void setAgentCode(String agentCode) {
		this.agentCode = agentCode;
	}

	public String getProjectManager() {
		return projectManager;
	}

	public void setProjectManager(String projectManager) {
		this.projectManager = projectManager;
	}

	public String getExpertLibraryId() {
		return expertLibraryId;
	}

	public void setExpertLibraryId(String expertLibraryId) {
		this.expertLibraryId = expertLibraryId;
	}

	public String getExpertLibraryUrl() {
		return expertLibraryUrl;
	}

	public void setExpertLibraryUrl(String expertLibraryUrl) {
		this.expertLibraryUrl = expertLibraryUrl;
	}

	public String getStageId() {
		return stageId;
	}

	public void setStageId(String stageId) {
		this.stageId = stageId;
	}

	public String getUseStatus() {
		return useStatus;
	}

	public void setUseStatus(String useStatus) {
		this.useStatus = useStatus;
	}

	public String getRemoteStatus() {
		return remoteStatus;
	}

	public void setRemoteStatus(String remoteStatus) {
		this.remoteStatus = remoteStatus;
	}

	public String getStartBidOpening() {
		return startBidOpening;
	}

	public void setStartBidOpening(String startBidOpening) {
		this.startBidOpening = startBidOpening;
	}

	public String getStartPriceBidOpening() {
		return startPriceBidOpening;
	}

	public void setStartPriceBidOpening(String startPriceBidOpening) {
		this.startPriceBidOpening = startPriceBidOpening;
	}

	public String getUploadOpeningResultStatus() {
		return uploadOpeningResultStatus;
	}

	public void setUploadOpeningResultStatus(String uploadOpeningResultStatus) {
		this.uploadOpeningResultStatus = uploadOpeningResultStatus;
	}

	public String getUploadPriceOpeningResultStatus() {
		return uploadPriceOpeningResultStatus;
	}

	public void setUploadPriceOpeningResultStatus(String uploadPriceOpeningResultStatus) {
		this.uploadPriceOpeningResultStatus = uploadPriceOpeningResultStatus;
	}

	public String getUploadEvaluationResultStatus() {
		return uploadEvaluationResultStatus;
	}

	public void setUploadEvaluationResultStatus(String uploadEvaluationResultStatus) {
		this.uploadEvaluationResultStatus = uploadEvaluationResultStatus;
	}

	public String getBidOpeningStage() {
		return bidOpeningStage;
	}

	public void setBidOpeningStage(String bidOpeningStage) {
		this.bidOpeningStage = bidOpeningStage;
	}

	public String getBidOpeningStatus() {
		return bidOpeningStatus;
	}

	public void setBidOpeningStatus(String bidOpeningStatus) {
		this.bidOpeningStatus = bidOpeningStatus;
	}

	public String getBusinessBidStatus() {
		return businessBidStatus;
	}

	public void setBusinessBidStatus(String businessBidStatus) {
		this.businessBidStatus = businessBidStatus;
	}

	public String getTechnologyBidStatus() {
		return technologyBidStatus;
	}

	public void setTechnologyBidStatus(String technologyBidStatus) {
		this.technologyBidStatus = technologyBidStatus;
	}

	public String getPriceBidStatus() {
		return priceBidStatus;
	}

	public void setPriceBidStatus(String priceBidStatus) {
		this.priceBidStatus = priceBidStatus;
	}

	public String getBidOpeningOpinion() {
		return bidOpeningOpinion;
	}

	public void setBidOpeningOpinion(String bidOpeningOpinion) {
		this.bidOpeningOpinion = bidOpeningOpinion;
	}

	public String getEffectiveType() {
		return effectiveType;
	}

	public void setEffectiveType(String effectiveType) {
		this.effectiveType = effectiveType;
	}

	public String getEffectiveMemo() {
		return effectiveMemo;
	}

	public void setEffectiveMemo(String effectiveMemo) {
		this.effectiveMemo = effectiveMemo;
	}

	public String getEvaluationOpinion() {
		return evaluationOpinion;
	}

	public void setEvaluationOpinion(String evaluationOpinion) {
		this.evaluationOpinion = evaluationOpinion;
	}

	public String getLatestBidinfo() {
		return latestBidinfo;
	}
	
	public void setLatestBidinfo(String latestBidinfo) {
		this.latestBidinfo = latestBidinfo;
	}

	public String getComplateStatus() {
		return complateStatus;
	}

	public void setComplateStatus(String complateStatus) {
		this.complateStatus = complateStatus;
	}

	public String getEvaluationStatus() {
		return evaluationStatus;
	}

	public void setEvaluationStatus(String evaluationStatus) {
		this.evaluationStatus = evaluationStatus;
	}

	public String getTransactionServerId() {
		return transactionServerId;
	}

	public void setTransactionServerId(String transactionServerId) {
		this.transactionServerId = transactionServerId;
	}

	public String getPhaseType() {
		return phaseType;
	}

	public void setPhaseType(String phaseType) {
		this.phaseType = phaseType;
	}

	public String getIsPack() {
		return isPack;
	}

	public void setIsPack(String isPack) {
		this.isPack = isPack;
	}

	public String getServerAccount() {
		return serverAccount;
	}

	public void setServerAccount(String serverAccount) {
		this.serverAccount = serverAccount;
	}

	public String getServerPassword() {
		return serverPassword;
	}

	public void setServerPassword(String serverPassword) {
		this.serverPassword = serverPassword;
	}

	public String getCreateUser() {
		return createUser;
	}

	public void setCreateUser(String createUser) {
		this.createUser = createUser;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public String getModifyUser() {
		return modifyUser;
	}

	public void setModifyUser(String modifyUser) {
		this.modifyUser = modifyUser;
	}

	public Date getModifyTime() {
		return modifyTime;
	}

	public void setModifyTime(Date modifyTime) {
		this.modifyTime = modifyTime;
	}

	public String getUploadDecryptFileStatus() {
		return uploadDecryptFileStatus;
	}

	public void setUploadDecryptFileStatus(String uploadDecryptFileStatus) {
		this.uploadDecryptFileStatus = uploadDecryptFileStatus;
	}

	public String getBidOpeningFile() {
		return bidOpeningFile;
	}

	public void setBidOpeningFile(String bidOpeningFile) {
		this.bidOpeningFile = bidOpeningFile;
	}

	public String getTenderNumber() {
		return tenderNumber;
	}

	public void setTenderNumber(String tenderNumber) {
		this.tenderNumber = tenderNumber;
	}

	public Integer getSortNo() {
		return sortNo;
	}

	public void setSortNo(Integer sortNo) {
		this.sortNo = sortNo;
	}

	public byte[] getParams() {
		return params;
	}

	public void setParams(byte[] params) {
		this.params = params;
	}

	public String getPurcategoryName() {
		return purcategoryName;
	}

	public void setPurcategoryName(String purcategoryName) {
		this.purcategoryName = purcategoryName;
	}

	public String getChangeStatues() {
		return changeStatues;
	}

	public void setChangeStatues(String changeStatues) {
		this.changeStatues = changeStatues;
	}

	
	public ProjectRule getProjectRule() {
		return projectRule;
	}

	public void setProjectRule(ProjectRule projectRule) {
		this.projectRule = projectRule;
	}


	public static final String TENDER_ID = "TENDER_ID";

	public static final String TENDER_PARENT_ID = "TENDER_PARENT_ID";

	public static final String USE_STATUS = "USE_STATUS";

	public static final String BID_OPENING_STATUS = "BID_OPENING_STATUS";

	public static final String TENDERNO_NUMBER = "TENDERNO_NUMBER";

	public static final String SORT_NO = "SORT_NO";

	public static final String PARAMS = "PARAMS";

 

	@Override
	protected Serializable pkVal() {
		return this.id;
	}

	@Override
	public String toString() {
		return "TenderProject{" + ", id=" + id + ", parentId=" + parentId + ", tenderNo=" + tenderNo
				+ ", tenderName=" + tenderName + ", tenderContent=" + tenderContent + ", purchaserName=" + purchaserName
				+ ", purcategoryNames=" + purcategoryNames + ", managerName=" + managerName + ", userId=" + userId
				+ ", tenderType=" + tenderType + ", tenderMethod=" + tenderMethod + ", enterType=" + enterType
				+ ", bidOpeningRoomId=" + bidOpeningRoomId + ", evalbidRoomId=" + evalbidRoomId + ", openingAddress="
				+ openingAddress + ", evaluationAddress=" + evaluationAddress + ", budgetMoney=" + budgetMoney
				+ ", bidPriceLimit=" + bidPriceLimit + ", agentName=" + agentName + ", agentCode=" + agentCode
				+ ", projectManager=" + projectManager + ", expertLibraryId=" + expertLibraryId + ", expertLibraryUrl="
				+ expertLibraryUrl + ", stageId=" + stageId + ", useStatus=" + useStatus + ", remoteStatus="
				+ remoteStatus + ", startBidOpening=" + startBidOpening + ", startPriceBidOpening="
				+ startPriceBidOpening + ", uploadOpeningResultStatus=" + uploadOpeningResultStatus
				+ ", uploadPriceOpeningResultStatus=" + uploadPriceOpeningResultStatus
				+ ", uploadEvaluationResultStatus=" + uploadEvaluationResultStatus + ", bidOpeningStage="
				+ bidOpeningStage + ", bidOpeningStatus=" + bidOpeningStatus + ", businessBidStatus="
				+ businessBidStatus + ", technologyBidStatus=" + technologyBidStatus + ", priceBidStatus="
				+ priceBidStatus + ", bidOpeningOpinion=" + bidOpeningOpinion + ", effectiveType=" + effectiveType
				+ ", effectiveMemo=" + effectiveMemo + ", evaluationOpinion=" + evaluationOpinion
				+ ", latestBidinfo=" + latestBidinfo + ", complateStatus=" + complateStatus
				+ ", evaluationStatus=" + evaluationStatus + ", transactionServerId=" + transactionServerId
				+ ", phaseType=" + phaseType + ", isPack=" + isPack + ", serverAccount=" + serverAccount
				+ ", serverPassword=" + serverPassword + ", createUser=" + createUser + ", createTime=" + createTime
				+ ", modifyUser=" + modifyUser + ", modifyTime=" + modifyTime + ", uploadDecryptFileStatus="
				+ uploadDecryptFileStatus + ", tenderNumber=" + tenderNumber + ", sortNo=" + sortNo + ", params="
				+ params + ", purcategoryName=" + purcategoryName + ", changeStatues=" + changeStatues 
				+ ", bidMeeting=" + bidMeeting + ", evaluationMeeting=" + evaluationMeeting + 
				"}";
	}
}
