package com.gx.obe.server.management.project.service;

import java.util.Date;
import java.util.List;

import org.springframework.web.bind.annotation.GetMapping;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gx.obe.server.management.project.entity.ProjectRule; 
 /**  
 * 
 * @author 
 * @Title: ProjectRuleService
 * @Package com.gx.obe.server.management.user.service  
 * @Description:    
 * @author: XiaoMa Pro - myzhichao@163.com
 * @date:   2019-04-30   
 * @version V1.0 
 * @Copyright: 2019 www.msypro.com Inc. All rights reserved. 
 *  
 */
public interface ProjectRuleService extends IService<ProjectRule> {

	 /**
	  * @Description: 指定字段修改
	  * @author chenxw
	  * @param ObeProjectRule
	  * @param attributes
	  */
	 boolean updateAssignProperty(ProjectRule ObeProjectRule, String[] attributes);
	 
	 boolean updateAssignPropertyByProjectId(String projectId, ProjectRule tenderProjectRuleEntity, String [] attributes);

	 /**
	  * @Description: 批量指定字段修改
	  * @author chenxw
	  * @param ObeProjectRuleList
	  * @param attributes
	  */
	 Integer batchUpdateProperty(List<ProjectRule> ObeProjectRuleList, String[] attributes);
	 
	 

	 /**
	  * @Description: 批量添加或跟新
	  * @author chenxw
	  * @param ObeProjectRuleList
	  * @param attributes
	  * @return
	  */
	 Integer batchSaveOrUpdate(List<ProjectRule> ObeProjectRuleList, String[] attributes);

	boolean isAnonymous(String tenderId);
	
	ProjectRule findProjectRuleByTenderId (String tenderId);
	
	int saveOrUpdateNotNull(ProjectRule projectRule);

	/**
	 * @Description: 获得当前指定阶段的开标时间
	 * @author guoyr
	 * @param tender
	 * @param bidopeningStage
	 * @return 
	 */
	Date getBidOpeningTime(String tenderId, String bidopeningStage);
	
	/**
	 * @Description: 获得项目的开标时间（取包件的开标时间列表）
	 * @param tenderId
	 * @param bidopeningStage
	 * @return
	 */
	List<Date> getProjectBidOpeningTime(String tenderId, String bidopeningStage);
	
	ProjectRule saveOrUpdateReturn(ProjectRule tenderProjectRuleEntity);
	
	int updateBidOpeningTimeOrOpeningStartTime(List<Object> tenderIdList,Date date,String dbColumnName);
	
	/**
	 * @Description: 修改评标办法
	 * @author mazc
	 * @param tenderId
	 * @return 
	 */
	public boolean updateEvalMethod(String tenderId, String evalMethod, String evalMethodName);
 }

