package com.gx.obe.server.management.revokerecord.dao;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Mapper;
import com.gx.obe.server.management.revokerecord.entity.RevokeRecord;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;
/** 
 * @Description: 
 * @author mazc 
 */
 @Mapper
public interface RevokeRecordMapper extends BaseMapper<RevokeRecord> {

	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeRevokeRecordList 
	 */
	Integer updateBatchList (@Param("ObeRevokeRecordList") List<RevokeRecord> ObeRevokeRecordList);
	
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeRevokeRecordList 
	 */
	Integer insertByBatch (@Param("ObeRevokeRecordList")List<RevokeRecord> ObeRevokeRecordList);
	
	/**
	 * @Description: 是否发起项目废标 
	 * @author mazc
	 * @param tenderId
	 * @param revokeType
	 * @return 
	 */
	Integer isStartRevoke(@Param("tenderId")String tenderId, @Param("revokeType")String revokeType);
	
	
	/**
	 * @Description: 根据废标状态，获得废标记录集合。 
	 * @author mazc
	 * @param tenderId
	 * @param revokeType
	 * @return 
	 */
	List<RevokeRecord> getRevokeRecordList(@Param("tenderId")String tenderId,  @Param("revokeType")String revokeType);
	
	
	/**
	 * @Description: 根据废标状态，删除废标记录。
	 * @author mazc
	 * @param tenderId
	 * @param revokeType
	 * @return 
	 */
	Integer delRevokeRecord(@Param("tenderId")String tenderId,  @Param("revokeType")String revokeType);
}