package com.gx.obe.server.management.struct_new.controller;

import com.gx.obe.server.common.base.BaseController;
import com.gx.obe.server.management.struct_new.entity.ObeAttachmentFile;
import com.gx.obe.server.management.struct_new.service.ObeAttachmentFileService;
import io.swagger.annotations.Api;
import lombok.AllArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
@Api(tags = "")
@RestController
@AllArgsConstructor
@RequestMapping("/obeAttachmentFile")
public class ObeAttachmentFileController extends BaseController<ObeAttachmentFileService, ObeAttachmentFile> {

    @Autowired
    public ObeAttachmentFileService ObeAttachmentFileServices;

    /**
     * @param ObeAttachmentFileList
     * @Description: 批量插入
     * @author mazc
     */
    @PostMapping("/insertByBatch")
    public int insertByBatch(@RequestBody List<ObeAttachmentFile> ObeAttachmentFileList) {
        return ObeAttachmentFileServices.insertByBatch(ObeAttachmentFileList);
    }

    /**
     * @param ObeAttachmentFileList
     * @Description: 批量更新
     * @author mazc
     */
    @PostMapping("/updateByBatch")
    public int updateByBatch(@RequestBody List<ObeAttachmentFile> ObeAttachmentFileList) {
        return ObeAttachmentFileServices.updateByBatch(ObeAttachmentFileList);
    }

    /**
     * @param businessId
     * @return
     * @Description: 获取附件列表
     * @author chenxw
     */
    @GetMapping("/getAttachmentFileList")
    public List<ObeAttachmentFile> getAttachmentFileList(String businessId) {
        return ObeAttachmentFileServices.getAttachmentFileList(businessId);
    }

}