package com.gx.obe.server.management.struct_new.controller;

import com.gx.obe.server.common.base.BaseController;
import com.gx.obe.server.management.struct_new.entity.ObeCertificate;
import com.gx.obe.server.management.struct_new.service.ObeCertificateService;
import io.swagger.annotations.Api;
import lombok.AllArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
@Api(tags = "")
@RestController
@AllArgsConstructor
@RequestMapping("/obeCertificate")
public class ObeCertificateController extends BaseController<ObeCertificateService, ObeCertificate> {

    @Autowired
    public ObeCertificateService ObeCertificateServices;

    /**
     * @param ObeCertificateList
     * @Description: 批量插入
     * @author mazc
     */
    @PostMapping("/insertByBatch")
    public int insertByBatch(@RequestBody List<ObeCertificate> ObeCertificateList) {
        return ObeCertificateServices.insertByBatch(ObeCertificateList);
    }

    /**
     * @param ObeCertificateList
     * @Description: 批量更新
     * @author mazc
     */
    @PostMapping("/updateByBatch")
    public int updateByBatch(@RequestBody List<ObeCertificate> ObeCertificateList) {
        return ObeCertificateServices.updateByBatch(ObeCertificateList);
    }

    /**
     * @param projectLeaderId
     * @return
     * @Description: 获取证书列表
     * @author chenxw
     */
    @GetMapping("/getCertificateList")
    public List<ObeCertificate> getCertificateList(String projectLeaderId) {
        return ObeCertificateServices.getCertificateList(projectLeaderId);
    }

}