package com.gx.obe.server.management.struct_new.controller;

import com.gx.obe.server.common.base.BaseController;
import com.gx.obe.server.management.struct_new.entity.ObeTemplateDataItem;
import com.gx.obe.server.management.struct_new.service.ObeTemplateDataItemService;
import io.swagger.annotations.Api;
import lombok.AllArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
@Api(tags = "")
@RestController
@AllArgsConstructor
@RequestMapping("/obeTemplateDataItem")
public class ObeTemplateDataItemController extends BaseController<ObeTemplateDataItemService, ObeTemplateDataItem> {

    @Autowired
    public ObeTemplateDataItemService ObeTemplateDataItemServices;

    /**
     * @param ObeTemplateDataItemList
     * @Description: 批量插入
     * @author mazc
     */
    @PostMapping("/insertByBatch")
    public int insertByBatch(@RequestBody List<ObeTemplateDataItem> ObeTemplateDataItemList) {
        return ObeTemplateDataItemServices.insertByBatch(ObeTemplateDataItemList);
    }

    /**
     * @param ObeTemplateDataItemList
     * @Description: 批量更新
     * @author mazc
     */
    @PostMapping("/updateByBatch")
    public int updateByBatch(@RequestBody List<ObeTemplateDataItem> ObeTemplateDataItemList) {
        return ObeTemplateDataItemServices.updateByBatch(ObeTemplateDataItemList);
    }

    /**
     * @param tenderId
     * @param supplierId
     * @param factorCode
     * @return
     * @Description: 获取小范本表单列表
     * @author chenxw
     */
    @GetMapping("/getTemplateDataItemList")
    public List<ObeTemplateDataItem> getTemplateDataItemList(String tenderId, String supplierId, String factorCode) {
        return ObeTemplateDataItemServices.getTemplateDataItemList(tenderId, supplierId, factorCode);
    }

}