package com.gx.obe.server.management.struct_new.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

/**
 * @author mazc
 * @Description:
 */
@EqualsAndHashCode(callSuper = true)
@Data
@TableName("obe_profitloss_sheet")
public class ObeProfitlossSheet extends Model<ObeProfitlossSheet> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId("ID")
    private String id;
    /**
     * 项目ID
     */
    @TableField("TENDER_ID")
    private String tenderId;
    /**
     * 财务ID
     */
    @TableField("FINANCE_ID")
    private String financeId;
    /**
     * 主营业务收入净额
     */
    @TableField("MAIN_INCOME")
    private BigDecimal mainIncome;
    /**
     * 主营业务成本
     */
    @TableField("MAIN_COST")
    private BigDecimal mainCost;
    /**
     * 财务费用
     */
    @TableField("FINANCIAL_COST")
    private BigDecimal financialCost;
    /**
     * 其他成本费用
     */
    @TableField("OTHER_COSTS")
    private BigDecimal otherCosts;
    /**
     * 其中：技术开发、转让费用
     */
    @TableField("DEVELOPMENT_AND_TRANSFER_COSTS")
    private BigDecimal developmentAndTransferCosts;
    /**
     * 利润总额
     */
    @TableField("PROFIT_LOSSPROFIT")
    private BigDecimal profitLossprofit;
    /**
     * 净利润
     */
    @TableField("PROFIT_RETAINED_PROFITS")
    private BigDecimal profitRetainedProfits;

}