package com.gx.obe.server.management.struct_new.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gx.obe.server.management.struct_new.entity.ObeEvaluationContent;
import com.gx.obe.server.management.struct_new.entity.StructDateInfo;

import java.util.List;

/**
 * @author chenxw
 * @Description:
 */
public interface ObeEvaluationContentService extends IService<ObeEvaluationContent> {

    /**
     * @param ObeEvaluationContentList
     * @Description: 批量更新
     * @author chenxw
     */
    Integer updateByBatch(List<ObeEvaluationContent> ObeEvaluationContentList);

    /**
     * @param ObeEvaluationContentList
     * @Description: 批量插入
     * @author chenxw
     */
    Integer insertByBatch(List<ObeEvaluationContent> ObeEvaluationContentList);

    /**
     * @param ObeEvaluationContent
     * @param attributes
     * @Description: 指定字段修改
     * @author chenxw
     */
    boolean updateAssignProperty(ObeEvaluationContent ObeEvaluationContent, String[] attributes);

    /**
     * @param ObeEvaluationContentList
     * @param attributes
     * @Description: 批量指定字段修改
     * @author chenxw
     */
    Integer batchUpdateProperty(List<ObeEvaluationContent> ObeEvaluationContentList, String[] attributes);

    /**
     * @param ObeEvaluationContentList
     * @param attributes
     * @return
     * @Description: 批量添加或跟新
     * @author chenxw
     */
    Integer batchSaveOrUpdate(List<ObeEvaluationContent> ObeEvaluationContentList, String[] attributes);

    /**
     * @param tenderId
     * @return
     * @Description: 获取评审内容
     * @author chenxw
     */
    List<ObeEvaluationContent> getEvaluationContentList(String tenderId);

    /**
     * @param tenderId
     * @param factorCode
     * @return
     * @Description: 根据指标编号获取评审内容列表
     * @author chenxw
     */
    List<ObeEvaluationContent> getEvaluationContentListByFactorCode(String tenderId, String factorCode);

    /**
     * @param structDateInfo
     * @Description: 保存结构化信息数据
     * @author chenxw
     */
    boolean saveStructDateInfo(StructDateInfo structDateInfo);

    /**
     * @param tenderId
     * @return
     * @Description: 清空结构化信息数据
     * @author chenxw
     */
    boolean deleteStructDateInfo(String tenderId);

    /**
     * @param structDateInfo
     * @Description:  删除保存结构化信息数据
     * @author chenxw
     */
    boolean deleteOrSaveStructDateInfo(String tenderId, StructDateInfo structDateInfo);

}



