package com.gx.obe.server.management.struct_new.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gx.obe.server.management.struct_new.entity.ObeProjectLeader;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
public interface ObeProjectLeaderService extends IService<ObeProjectLeader> {

    /**
     * @param ObeProjectLeaderList
     * @Description: 批量更新
     * @author mazc
     */
    Integer updateByBatch(List<ObeProjectLeader> ObeProjectLeaderList);

    /**
     * @param ObeProjectLeaderList
     * @Description: 批量插入
     * @author mazc
     */
    Integer insertByBatch(List<ObeProjectLeader> ObeProjectLeaderList);

    /**
     * @param ObeProjectLeader
     * @param attributes
     * @Description: 指定字段修改
     * @author chenxw
     */
    boolean updateAssignProperty(ObeProjectLeader ObeProjectLeader, String[] attributes);

    /**
     * @param ObeProjectLeaderList
     * @param attributes
     * @Description: 批量指定字段修改
     * @author chenxw
     */
    Integer batchUpdateProperty(List<ObeProjectLeader> ObeProjectLeaderList, String[] attributes);

    /**
     * @param ObeProjectLeaderList
     * @param attributes
     * @return
     * @Description: 批量添加或跟新
     * @author chenxw
     */
    Integer batchSaveOrUpdate(List<ObeProjectLeader> ObeProjectLeaderList, String[] attributes);

    /**
     * @param tenderId
     * @param modelDataId
     * @return
     * @Description: 获取项目负责人列表
     * @author chenxw
     */
    List<ObeProjectLeader> getProjectLeaderList(String tenderId, String modelDataId);

    /**
     * @param tenderId
     * @param modelDataId
     * @return
     * @Description: 获取项目负责人列表
     * @author chenxw
     */
    List<ObeProjectLeader> getProjectLeaderListAll(String tenderId, String modelDataId);

}



