package com.gx.obe.server.management.struct_new.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gx.obe.server.management.struct_new.entity.ObeWorkExperience;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
public interface ObeWorkExperienceService extends IService<ObeWorkExperience> {

    /**
     * @param ObeWorkExperienceList
     * @Description: 批量更新
     * @author mazc
     */
    Integer updateByBatch(List<ObeWorkExperience> ObeWorkExperienceList);

    /**
     * @param ObeWorkExperienceList
     * @Description: 批量插入
     * @author mazc
     */
    Integer insertByBatch(List<ObeWorkExperience> ObeWorkExperienceList);

    /**
     * @param ObeWorkExperience
     * @param attributes
     * @Description: 指定字段修改
     * @author chenxw
     */
    boolean updateAssignProperty(ObeWorkExperience ObeWorkExperience, String[] attributes);

    /**
     * @param ObeWorkExperienceList
     * @param attributes
     * @Description: 批量指定字段修改
     * @author chenxw
     */
    Integer batchUpdateProperty(List<ObeWorkExperience> ObeWorkExperienceList, String[] attributes);

    /**
     * @param ObeWorkExperienceList
     * @param attributes
     * @return
     * @Description: 批量添加或跟新
     * @author chenxw
     */
    Integer batchSaveOrUpdate(List<ObeWorkExperience> ObeWorkExperienceList, String[] attributes);

    /**
     * @param projectLeaderId
     * @return
     * @Description: 获取工作经历列表
     * @author chenxw
     */
    List<ObeWorkExperience> getWorkExperienceList(String projectLeaderId);

}



