package com.gx.obe.server.management.supplier.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gx.obe.server.management.evaluation.entity.EvaluationStep;
import com.gx.obe.server.management.supplier.entity.SupplierEvaluationResult;
 
/** 
 * @Description: 
 * @author mazc 
 */
public interface SupplierEvaluationResultService extends IService<SupplierEvaluationResult> {
	
	/**
	 * @Description: 获得评标结果
	 * @author mazc
	 * @param tenderId
	 * @param supplierId
	 * @return 
	 */
	public SupplierEvaluationResult getOrCreateSupplierEvaluationResult(String tenderId, String supplierId);
	
	
	
	/**
	 * @Description: 批量添加更新指定字段
	 * @author mazc
	 * @param editPriceItemResultList
	 * @param attributes
	 * @return 
	 */
	Integer  batchSaveOrUpdate(List<SupplierEvaluationResult> editPriceItemResultList, String[] attributes);


	/**
	 * @Description: 申请编辑供应商的评审意见
	 * @author wangxiang
	 * @param applyUserId
	 * @param tenderId
	 * @param supplierId
	 * @return 
	 */
	Integer applyEditSupplierEvaluationResult(String tenderId, String supplierId, String applyUserId, String opinionEditor);


	/**
	 * @Description: 统计初审通过（不通过）的供应商数量
	 * @author wangxaing
	 * @param tenderId
	 * @param type
	 * @return
	 */
	public Integer getSupplierQualifiedCount(String tenderId, String accessment);

	/**
	 * @Description: 释放编辑供应商评审意见权限
	 * @author wangxiang
	 * @param tenderId
	 * @param supplierId
	 * @param applyUserId
	 * @return 
	 */
	public boolean releaseEditSupplierEvaluationResult(String tenderId, String supplierId, String applyUserId);


	/**
	 * @Description: 保存供应商的评审意见
	 * @author wangxiang
	 * @param tenderId
	 * @param supplierId
	 * @param biddingRequest
	 * @param evaluationOpinion
	 * @return 
	 */
	public boolean saveSupplierEvaluationOpinion(boolean isSubmit, String tenderId, String supplierId, String biddingRequest, String evaluationOpinion, String vetoType);


	/**
	 * @Description: 修改供应商的废标状态
	 * @author wangxiang
	 * @param tenderId
	 * @param stepIndex 
	 */
	public boolean updateSupplierEvaluationAccessmentStatus(String tenderId, int stepIndex);



	/**
	 * @Description: 根据ID更新制定的字段
	 * @author wangxiang
	 * @param supplierEvaluationResult
	 * @param strings
	 * @return 
	 */
	public boolean updateAssignProperty(SupplierEvaluationResult supplierEvaluationResult, String[] strings);

    /**
     * @Description: 清空供应商评审结果
     * @author chenxw
     * @param evaluationStep
     * @return 
     */
    public boolean clearSupplierEvaluationResult(EvaluationStep evaluationStep);
    
    
    int batchUpdateProperty(List<SupplierEvaluationResult> supplierEvaluationResultList);
    SupplierEvaluationResult getSupplierEvaluationResultByTenderIdAndSupplierId(String tenderId,String supplierId);
    SupplierEvaluationResult getSupplierEvaluationResultBySupplierId( String supplierId);
    List<SupplierEvaluationResult> getSupplierEvaluationResultListByTenderId( String tenderId);
    List<SupplierEvaluationResult> getSupplierEvaluationResultListByTenderIdAndAccessment( String tenderId ,String accessment);
    List<SupplierEvaluationResult> getSupplierEvaluationResultListTenderIdAndeSortNo( String tenderId ,int sortNo);
	
 
 
}

