package com.gx.obe.server.management.supplier.service;

import com.baomidou.mybatisplus.extension.service.IService;
import java.util.List;
import com.gx.obe.server.management.supplier.entity.SupplierEvaluationStep;
 
/** 
 * @Description: 
 * @author mazc 
 */
public interface SupplierEvaluationStepService extends IService<SupplierEvaluationStep> {
 	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeSupplierEvaluationStepList 
	 */
 	Integer updateByBatch (List<SupplierEvaluationStep> ObeSupplierEvaluationStepList);
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeSupplierEvaluationStepList 
	 */
	Integer insertByBatch (List<SupplierEvaluationStep> ObeSupplierEvaluationStepList);
	
	
	/**
	 * @Description: 所有为投标人分配的评标步骤
	 * @author mazc
	 * @param tenderId 项目id
	 * @return 
	 */
	public int deleteStepByTenderId(String tenderId);
	
	/**
	 * @Description: 
	 * @author wangxiang
	 * @param supplierEvaluationStepList
	 * @param strings
	 * @return 
	 */
	boolean updateAssignPropertyByBatch(List<SupplierEvaluationStep> supplierEvaluationStepList, String[] strings);
	
    /**
     * @Description: 删除评审结果记录
     * @author chenxw
     * @param tenderId
     * @param id
     * @return 
     */
    int deleteSupplierEvaluationStep(String tenderId, String stepId);
    List<SupplierEvaluationStep> getSupplierEvaluationStepByTenderId(String tenderId);
    List<SupplierEvaluationStep> getSupplierEvaluationStepByTenderIdAndSupplierId(String tenderId,String supplierId);
    SupplierEvaluationStep getSupplierEvaluationStepBySupplierIdAndStepId(String supplierId,String stepId);
    
    List<SupplierEvaluationStep> getSupplierEvaluationStepByTenderIdAndStepId(String tenderId,String StepId);

	/**
	 * @Description: 指定字段修改
	 * @author chenxw
	 * @param ObeSupplierEvaluationStep
	 * @param attributes
	 */
	boolean updateAssignProperty(SupplierEvaluationStep ObeSupplierEvaluationStep, String[] attributes);

	/**
	 * @Description: 批量指定字段修改
	 * @author chenxw
	 * @param ObeSupplierEvaluationStepList
	 * @param attributes
	 */
	Integer batchUpdateProperty(List<SupplierEvaluationStep> ObeSupplierEvaluationStepList, String[] attributes);

	/**
	 * @Description: 批量添加或跟新
	 * @author chenxw
	 * @param ObeSupplierEvaluationStepList
	 * @param attributes
	 * @return
	 */
	Integer batchSaveOrUpdate(List<SupplierEvaluationStep> ObeSupplierEvaluationStepList, String[] attributes);

}



