package com.gx.obe.server.management.table.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gx.obe.server.management.table.entity.ObeBidPriceTableItem;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
public interface ObeBidPriceTableItemService extends IService<ObeBidPriceTableItem> {

    /**
     * @param ObeBidPriceTableItemList
     * @Description: 批量更新
     * @author mazc
     */
    Integer updateByBatch(List<ObeBidPriceTableItem> ObeBidPriceTableItemList);

    /**
     * @param ObeBidPriceTableItemList
     * @Description: 批量插入
     * @author mazc
     */
    Integer insertByBatch(List<ObeBidPriceTableItem> ObeBidPriceTableItemList);

    /**
     * @param ObeBidPriceTableItem
     * @param attributes
     * @Description: 指定字段修改
     * @author chenxw
     */
    boolean updateAssignProperty(ObeBidPriceTableItem ObeBidPriceTableItem, String[] attributes);

    /**
     * @param ObeBidPriceTableItemList
     * @param attributes
     * @Description: 批量指定字段修改
     * @author chenxw
     */
    Integer batchUpdateProperty(List<ObeBidPriceTableItem> ObeBidPriceTableItemList, String[] attributes);

    /**
     * @param ObeBidPriceTableItemList
     * @param attributes
     * @return
     * @Description: 批量添加或跟新
     * @author chenxw
     */
    Integer batchSaveOrUpdate(List<ObeBidPriceTableItem> ObeBidPriceTableItemList, String[] attributes);

    /**
     * @param priceTableId
     * @return
     * @Description: 根据报价表id获取
     * @author chenxw
     */
    List<ObeBidPriceTableItem> getByPriceTableId(String priceTableId);

}



