package com.gx.obe.server.management.task.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gx.obe.server.management.task.entity.ObeTask;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
public interface ObeTaskService extends IService<ObeTask> {

    /**
     * @param ObeTaskList
     * @Description: 批量更新
     * @author mazc
     */
    Integer updateByBatch(List<ObeTask> ObeTaskList);

    /**
     * @param ObeTaskList
     * @Description: 批量插入
     * @author mazc
     */
    Integer insertByBatch(List<ObeTask> ObeTaskList);

    /**
     * @param ObeTask
     * @param attributes
     * @Description: 指定字段修改
     * @author chenxw
     */
    boolean updateAssignProperty(ObeTask ObeTask, String[] attributes);

    /**
     * @param ObeTaskList
     * @param attributes
     * @Description: 批量指定字段修改
     * @author chenxw
     */
    Integer batchUpdateProperty(List<ObeTask> ObeTaskList, String[] attributes);

    /**
     * @param ObeTaskList
     * @param attributes
     * @return
     * @Description: 批量添加或跟新
     * @author chenxw
     */
    Integer batchSaveOrUpdate(List<ObeTask> ObeTaskList, String[] attributes);

    /**
     * @param userId
     * @return
     * @Description: 获取待办列表
     * @author chenxw
     */
    List<ObeTask> getTaskList(String userId, String state);

    /**
     * @param userId
     * @return
     * @Description: 获取代办数量
     * @author chenxw
     */
    Integer getTaskCount(String userId, String state);

    /**
     * @param taskId
     * @param state
     * @Description: 修改待办状态
     * @author chenxw
     */
    void updateTaskState(String taskId, String state);
}



