package com.gx.obe.server.management.user.dao;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gx.obe.server.management.user.entity.AuthUserRoleEntity;

 /**  
 * 
 * @author 
 * @Title: AuthUserRoleEntity
 * @Package com.gx.obe.server.management.user.entity  
 * @Description:   AuthUserRoleMapper 接口
 * @author: XiaoMa Pro - myzhichao@163.com
 * @date:   2019-04-29   
 * @version V1.0 
 * @Copyright: 2019 www.msypro.com Inc. All rights reserved. 
 *  
 */
@Mapper
public interface AuthUserRoleMapper extends BaseMapper<AuthUserRoleEntity> {

	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param AuthUserRoleList 
	 */
	Integer updateBatchList (@Param("AuthUserRoleList") List<AuthUserRoleEntity> AuthUserRoleList);
	
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param AuthUserRoleList 
	 */
	Integer insertByBatch (@Param("AuthUserRoleList") List<AuthUserRoleEntity> AuthUserRoleList);

	/**
	 * @Description: 用户是否拥有指定角色
	 * @author mazc
	 * @param userId
	 * @param roleCode
	 * @return 
	 */
	Integer hasUserRole(@Param("userId")String userId, @Param("roleCode")String roleCode);
	
	/**
	 * @Description:  获得用户拥有的角色Id
	 * @author mazc
	 * @param userId
	 * @return 
	 */
	List<String> getUserRoleIdList(@Param("userId") String userId);
}