package com.gx.obe.server.management.user.entity;

import java.io.Serializable;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.gx.obe.server.common.json.StringDeserializer;

/**
 * 
 * @author
 * @Title: AuthUserRoleEntity
 * @Package com.gx.obe.server.management.user.entity
 * @Description:
 * @author: XiaoMa Pro - myzhichao@163.com
 * @date: 2019-04-29
 * @version V1.0
 * @Copyright: 2019 www.msypro.com Inc. All rights reserved.
 * 
 */

@TableName("auth_user_role")
public class AuthUserRoleEntity extends Model<AuthUserRoleEntity> {
	private static final long serialVersionUID = 1L;

	/**
	 * 用户角色表主键
	 */
	@TableId("USER_ROLE_ID")
	@JsonDeserialize(using = StringDeserializer.class)
	private String id;
	/**
	 * 用户外键
	 */
	@TableField("USER_ID")
	@JsonDeserialize(using = StringDeserializer.class)
	private String userId;
	/**
	 * 角色外键
	 */
	@TableField("ROLE_ID")
	@JsonDeserialize(using = StringDeserializer.class)
	private String roleId;
	/**
	 * 创建人外键
	 */
	@TableField("CREATE_USER_ID")
	@JsonDeserialize(using = StringDeserializer.class)
	private String createUserId;
	/**
	 * 创建时间
	 */
	@TableField("CREATE_TIME")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createTime;
	/**
	 * 修改人外键
	 */
	@TableField("MODIFY_USER_ID")
	@JsonDeserialize(using = StringDeserializer.class)
	private String modifyUserId;
	/**
	 * 修改时间
	 */
	@TableField("MODIFY_TIME")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date modifyTime;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}
	

 

 
	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public String getRoleId() {
		return roleId;
	}

	public void setRoleId(String roleId) {
		this.roleId = roleId;
	}

	public String getCreateUserId() {
		return createUserId;
	}

	public void setCreateUserId(String createUserId) {
		this.createUserId = createUserId;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public String getModifyUserId() {
		return modifyUserId;
	}

	public void setModifyUserId(String modifyUserId) {
		this.modifyUserId = modifyUserId;
	}

	public Date getModifyTime() {
		return modifyTime;
	}

	public void setModifyTime(Date modifyTime) {
		this.modifyTime = modifyTime;
	}

	public static final String USER_ROLE_ID = "USER_ROLE_ID";

	public static final String USER_ID = "USER_ID";

	public static final String ROLE_ID = "ROLE_ID";

	public static final String CREATE_USER_ID = "CREATE_USER_ID";

	public static final String CREATE_TIME = "CREATE_TIME";

	public static final String MODIFY_USER_ID = "MODIFY_USER_ID";

	public static final String MODIFY_TIME = "MODIFY_TIME";

	@Override
	protected Serializable pkVal() {
		return this.id;
	}

	@Override
	public String toString() {
		return "AuthUserRoleEntity{" + ", id=" + id + ", userId=" + userId + ", roleId=" + roleId
				+ ", createUserId=" + createUserId + ", createTime=" + createTime + ", modifyUserId=" + modifyUserId
				+ ", modifyTime=" + modifyTime + "}";
	}
}
