package com.gx.obe.server.management.vo;

import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * @Title: TenderProjectSubVo.java
 * @Package com.gx.obe.server.management.vo
 * @Description: 获得分包
 * @author: XiaoMaPro
 * @date: 2019年5月7日
 * @version V1.0
 * @Copyright: 2018 - 2019 www.myspro.com Inc. All rights reserved.
 * 
 */
public class TenderProjectSubVo {
	/**
	 * 主键
	 */
	private String tenderId;

	/**
	 * 项目编号
	 */
	private String tenderNo;

	/**
	 * 项目名称
	 */
	private String tenderName;

	/**
	 * 父级项目外键
	 */
	private String parentId;

	/**
	 * 阶段类型
	 */
	private String phaseType;

	/**
	 * 项目类型
	 */
	private String tenderType;

	/**
	 * 采购方式
	 */
	private String tenderMethod;

	/**
	 * 评审进度
	 */
	private String evaluationStatus;

	/**
	 * 开标开始时间
	 */
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date bidOpeningStartTime;

	/**
	 * 评标开始时间
	 */
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date bidEvaluationStartTime;
	
	/**
	 * 供应商统计
	 */
	private int supplierCount;
	

	public int getSupplierCount() {
		return supplierCount;
	}

	public void setSupplierCount(int supplierCount) {
		this.supplierCount = supplierCount;
	}

	public String getTenderName() {
		return tenderName;
	}

	public void setTenderName(String tenderName) {
		this.tenderName = tenderName;
	}
 

	public String getParentId() {
		return parentId;
	}

	public void setParentId(String parentId) {
		this.parentId = parentId;
	}

	public String getPhaseType() {
		return phaseType;
	}

	public void setPhaseType(String phaseType) {
		this.phaseType = phaseType;
	}

	public String getTenderType() {
		return tenderType;
	}

	public void setTenderType(String tenderType) {
		this.tenderType = tenderType;
	}

	public String getTenderMethod() {
		return tenderMethod;
	}

	public void setTenderMethod(String tenderMethod) {
		this.tenderMethod = tenderMethod;
	}

	public String getEvaluationStatus() {
		return evaluationStatus;
	}

	public void setEvaluationStatus(String evaluationStatus) {
		this.evaluationStatus = evaluationStatus;
	}

	public Date getBidOpeningStartTime() {
		return bidOpeningStartTime;
	}

	public void setBidOpeningStartTime(Date bidOpeningStartTime) {
		this.bidOpeningStartTime = bidOpeningStartTime;
	}

	public Date getBidEvaluationStartTime() {
		return bidEvaluationStartTime;
	}

	public void setBidEvaluationStartTime(Date bidEvaluationStartTime) {
		this.bidEvaluationStartTime = bidEvaluationStartTime;
	}

	public String getTenderId() {
		return tenderId;
	}

	public void setTenderId(String tenderId) {
		this.tenderId = tenderId;
	}

	public String getTenderNo() {
		return tenderNo;
	}

	public void setTenderNo(String tenderNo) {
		this.tenderNo = tenderNo;
	}

}
