package com.gx.obe.server.management.vo;

import java.io.Serializable;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * @Title: TenderProjectVo.java
 * @Package com.gx.obe.server.management.vo
 * @Description: 项目实体类
 * @author: XiaoMaPro
 * @date: 2019年4月30日
 * @version V1.0
 * @Copyright: 2018 - 2019 www.myspro.com Inc. All rights reserved.
 * 
 */
//@JsonIgnoreProperties(value = { "hibernateLazyInitializer", "handler" })
//@Configuration
public class TenderProjectVo implements Serializable {

	/**
	 * @Fields serialVersionUID : TODO
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * 主键
	 */
	private String tenderId;

	/**
	 * 项目编号
	 */
	private String tenderNo;

	/**
	 * 父级项目外键
	 */
	private String parentId;

	/**
	 * 项目名称
	 */
	private String tenderName;

	/**
	 * 阶段类型
	 */
	private String phaseType;

	/**
	 * 项目类型
	 */
	private String tenderType;

	/**
	 * 使用状态
	 */
	private String useStatus;

	/**
	 * 项目或包件是否为远程项目
	 */
	private String remoteStatus;
	/**
	 * 是否分包[00：未分包；01：分包]
	 */
	private String isPack;
	/**
	 * 开标意见
	 */
	private String bidOpeningOpinion;

	/**
	 * 采购方式
	 */
	private String tenderMethod;
	/**
	 * 开标开始时间
	 */
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date bidOpeningStartTime;

	/**
	 * 评标开始时间
	 */
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date bidEvaluationStartTime;

	/**
	 * @Fields CHILD_COUNT : TODO
	 */
	private int childCount;
	
	/**
	 */
	private int openingComplateCount;
	
	/**
	 */
	private int evaluationComplateCount;

	/**
	 * @Fields CHILD_COUNT : TODO
	 */
	private int supplierCount;
	
	
	 /**
	 * 开标状态
	 */            
	private String bidOpeningStatus;

	/**
	 * 上传开标结果状态
	 */
	private String uploadOpeningResultStatus;
	   
	private String complateStatus;
	/**
	 * 上传评标结果
	 */
	private String uploadEvaluationResultStatus;

	/**
	 * 项目有效状态
	 */
	private String effectiveType;
	
	private String bidOpeningStage;
	

	public String getTenderId() {
		return tenderId;
	}

	public void setTenderId(String tenderId) {
		this.tenderId = tenderId;
	}

	public String getTenderNo() {
		return tenderNo;
	}

	public void setTenderNo(String tenderNo) {
		this.tenderNo = tenderNo;
	}

	public String getParentId() {
		return parentId;
	}

	public void setParentId(String parentId) {
		this.parentId = parentId;
	}

	public String getTenderName() {
		return tenderName;
	}

	public void setTenderName(String tenderName) {
		this.tenderName = tenderName;
	}

	public String getPhaseType() {
		return phaseType;
	}

	public void setPhaseType(String phaseType) {
		this.phaseType = phaseType;
	}

	public String getTenderType() {
		return tenderType;
	}

	public void setTenderType(String tenderType) {
		this.tenderType = tenderType;
	}

	public String getUseStatus() {
		return useStatus;
	}

	public void setUseStatus(String useStatus) {
		this.useStatus = useStatus;
	}

	public String getRemoteStatus() {
		return remoteStatus;
	}

	public void setRemoteStatus(String remoteStatus) {
		this.remoteStatus = remoteStatus;
	}

	public String getIsPack() {
		return isPack;
	}

	public void setIsPack(String isPack) {
		this.isPack = isPack;
	}

	public String getBidOpeningOpinion() {
		return bidOpeningOpinion;
	}

	public void setBidOpeningOpinion(String bidOpeningOpinion) {
		this.bidOpeningOpinion = bidOpeningOpinion;
	}

	public String getTenderMethod() {
		return tenderMethod;
	}

	public void setTenderMethod(String tenderMethod) {
		this.tenderMethod = tenderMethod;
	}

	public Date getBidOpeningStartTime() {
		return bidOpeningStartTime;
	}

	public void setBidOpeningStartTime(Date bidOpeningStartTime) {
		this.bidOpeningStartTime = bidOpeningStartTime;
	}

	public Date getBidEvaluationStartTime() {
		return bidEvaluationStartTime;
	}

	public void setBidEvaluationStartTime(Date bidEvaluationStartTime) {
		this.bidEvaluationStartTime = bidEvaluationStartTime;
	}

	public int getChildCount() {
		return childCount;
	}

	public void setChildCount(int childCount) {
		this.childCount = childCount;
	}

	public int getSupplierCount() {
		return supplierCount;
	}

	public void setSupplierCount(int supplierCount) {
		this.supplierCount = supplierCount;
	}

	public int getOpeningComplateCount() {
		return openingComplateCount;
	}

	public void setOpeningComplateCount(int openingComplateCount) {
		this.openingComplateCount = openingComplateCount;
	}

	public String getBidOpeningStatus() {
		return bidOpeningStatus;
	}

	public void setBidOpeningStatus(String bidOpeningStatus) {
		this.bidOpeningStatus = bidOpeningStatus;
	}

	public String getUploadOpeningResultStatus() {
		return uploadOpeningResultStatus;
	}

	public void setUploadOpeningResultStatus(String uploadOpeningResultStatus) {
		this.uploadOpeningResultStatus = uploadOpeningResultStatus;
	}

	public String getComplateStatus() {
		return complateStatus;
	}

	public void setComplateStatus(String complateStatus) {
		this.complateStatus = complateStatus;
	}

	public int getEvaluationComplateCount() {
		return evaluationComplateCount;
	}

	public void setEvaluationComplateCount(int evaluationComplateCount) {
		this.evaluationComplateCount = evaluationComplateCount;
	}

	public String getUploadEvaluationResultStatus() {
		return uploadEvaluationResultStatus;
	}

	public void setUploadEvaluationResultStatus(String uploadEvaluationResultStatus) {
		this.uploadEvaluationResultStatus = uploadEvaluationResultStatus;
	}

	public String getEffectiveType() {
		return effectiveType;
	}

	public void setEffectiveType(String effectiveType) {
		this.effectiveType = effectiveType;
	}

	public String getBidOpeningStage() {
		return bidOpeningStage;
	}

	public void setBidOpeningStage(String bidOpeningStage) {
		this.bidOpeningStage = bidOpeningStage;
	}

}
